#include "mellinint.h"
#include "mesq.h"
#include "pdfevol.h"
#include "settings.h"
#include "parton.h"

using namespace parton;

void mellinint::pdf_mesq_expy(int i1, int i2, int sign)
{
  complex<double>* fn1 = pdfevol::fn1;
  complex<double>* fn2 = pdfevol::fn2;

  //complex<double> fn1[11];
  //complex<double> fn2[11];
  //memcpy(fn1, &(pdfevol::fx1[i1*11]), 11*sizeof(complex<double>));
  //if (sign == mesq::positive)
  //memcpy(fn2, &(pdfevol::fx2[i2*11]), 11*sizeof(complex<double>));
  //else
  //memcpy(fn2, &(pdfevol::fx2[mellinint::mdim*11+i2*11]), 11*sizeof(complex<double>));


  //set b to 0
  //  fn2[bb] = 0;  fn1[bb] = 0;
  //  fn2[b ] = 0;  fn1[b ]  = 0;
  
  //set s and c to 0
  //  fn2[cb] = 0;  fn1[cb] = 0;
  //  fn2[sb] = 0;  fn1[sb] = 0;
  //  fn2[s ] = 0;  fn1[s ]  = 0;
  //  fn2[c ] = 0;  fn1[c ]  = 0;

  //set u and d to 0
  //  fn2[db] = 0; fn1[db] = 0;
  //  fn2[ub] = 0; fn1[ub] = 0;
  //  fn2[u ] = 0; fn1[u ]  = 0;
  //  fn2[d ] = 0; fn1[d ]  = 0;

  //set gluon to 0
  //  fn2[g] = 0;  fn1[g] = 0;
  
  //DYRES convention
  // bb cb sb db ub g u d s c b
  // -5 -4 -3 -2 -1 0 1 2 3 4 5
    
  //mesqij[n] -> mesqij_expy[mesq::index(n,i1,i2,sign)]
  if (opts.nproc == 3)
    {
      complex <double> mesq_uub = mesq::mesqij_expy[mesq::index(0,i1,i2,sign)];
      complex <double> mesq_ubu = mesq::mesqij_expy[mesq::index(1,i1,i2,sign)];
      complex <double> mesq_ddb = mesq::mesqij_expy[mesq::index(2,i1,i2,sign)];
      complex <double> mesq_dbd = mesq::mesqij_expy[mesq::index(3,i1,i2,sign)];
      complex <double> mesq_ssb = mesq::mesqij_expy[mesq::index(4,i1,i2,sign)];
      complex <double> mesq_sbs = mesq::mesqij_expy[mesq::index(5,i1,i2,sign)];
      complex <double> mesq_ccb = mesq::mesqij_expy[mesq::index(6,i1,i2,sign)];
      complex <double> mesq_cbc = mesq::mesqij_expy[mesq::index(7,i1,i2,sign)];
      complex <double> mesq_bbr = mesq::mesqij_expy[mesq::index(8,i1,i2,sign)];
      complex <double> mesq_brb = mesq::mesqij_expy[mesq::index(9,i1,i2,sign)];
      
      //      cout << "pdf_mesq_expy " << i1 << "  " << i2 << "  " << mesq_uub << "  " << fn1[u] << "  " << fn2[ub]  << endl;
      //LL part
      QQBN = fn1[u ]*fn2[ub]*mesq_uub
	    +fn1[c ]*fn2[cb]*mesq_ccb
	    +fn1[d ]*fn2[db]*mesq_ddb
	    +fn1[s ]*fn2[sb]*mesq_ssb
	    +fn1[b ]*fn2[bb]*mesq_bbr
	    +fn1[ub]*fn2[u ]*mesq_ubu
	    +fn1[cb]*fn2[c ]*mesq_cbc
	    +fn1[db]*fn2[d ]*mesq_dbd
	    +fn1[sb]*fn2[s ]*mesq_sbs
	    +fn1[bb]*fn2[b ]*mesq_brb;

      BBRN = fn1[b ]*fn2[bb]*mesq_bbr
	    +fn1[bb]*fn2[b ]*mesq_brb;

      CCBN = fn1[c ]*fn2[cb]*mesq_ccb
	    +fn1[cb]*fn2[c ]*mesq_cbc;
      
      //NLL part
      if (opts.order >= 1)
	{
	  QGN_1 = fn1[g]*(fn2[ub]*mesq_uub
			  +fn2[cb]*mesq_ccb
			  +fn2[db]*mesq_ddb
			  +fn2[sb]*mesq_ssb
			  +fn2[bb]*mesq_bbr
			  +fn2[u]*mesq_ubu
			  +fn2[c]*mesq_cbc
			  +fn2[d]*mesq_dbd
			  +fn2[s]*mesq_sbs
			  +fn2[b]*mesq_brb);

	  QGN_2 = fn2[g]*(fn1[u]*mesq_uub
			  +fn1[c]*mesq_ccb
			  +fn1[d]*mesq_ddb
			  +fn1[s]*mesq_ssb
			  +fn1[b]*mesq_bbr
			  +fn1[ub]*mesq_ubu
			  +fn1[cb]*mesq_cbc
			  +fn1[db]*mesq_dbd
			  +fn1[sb]*mesq_sbs
			  +fn1[bb]*mesq_brb);
	}

      //NNLL
      if (opts.order >= 2)
	{
	  if (opts.vfncqg)
	    {
	      GGN = fn1[g]*fn2[g]*
		(mesq_uub + mesq_ccb
		 + mesq_ddb + mesq_ssb
		 + mesq_ubu + mesq_cbc
		 + mesq_dbd + mesq_sbs);
	  
	      GGN_bb = fn1[g]*fn2[g]*
		(mesq_bbr + mesq_brb);
	    }
	  else
	    {
	      GGN = fn1[g]*fn2[g]*
		(mesq_uub + mesq_ccb
		 + mesq_ddb + mesq_ssb + mesq_bbr
		 + mesq_ubu + mesq_cbc
		 + mesq_dbd + mesq_sbs + mesq_brb);

	      GGN_bb = 0.;
	    }
	  
	  QQN_1 = fn1[u]*fn2[u]*mesq_ubu
	    +fn1[c]*fn2[c]*mesq_cbc
	    +fn1[d]*fn2[d]*mesq_dbd
	    +fn1[s]*fn2[s]*mesq_sbs
	    +fn1[b]*fn2[b]*mesq_brb
	    +fn1[ub]*fn2[ub]*mesq_uub
	    +fn1[cb]*fn2[cb]*mesq_ccb
	    +fn1[db]*fn2[db]*mesq_ddb
	    +fn1[sb]*fn2[sb]*mesq_ssb
	    +fn1[bb]*fn2[bb]*mesq_bbr;
	  
	  QQN_2 = fn1[u]*fn2[u]*mesq_uub
	    +fn1[c]*fn2[c]*mesq_ccb
	    +fn1[d]*fn2[d]*mesq_ddb
	    +fn1[s]*fn2[s]*mesq_ssb
	    +fn1[b]*fn2[b]*mesq_bbr
	    +fn1[ub]*fn2[ub]*mesq_ubu
	    +fn1[cb]*fn2[cb]*mesq_cbc
	    +fn1[db]*fn2[db]*mesq_dbd
	    +fn1[sb]*fn2[sb]*mesq_sbs
	    +fn1[bb]*fn2[bb]*mesq_brb;

	  QQPN_1=
	    +fn1[u]*fn2[b]*mesq_brb
	    +fn1[d]*fn2[b]*mesq_brb
	    +fn1[s]*fn2[b]*mesq_brb
	    +fn1[c]*fn2[b]*mesq_brb
	    +fn1[u]*fn2[c]*mesq_cbc
	    +fn1[d]*fn2[c]*mesq_cbc
	    +fn1[s]*fn2[c]*mesq_cbc
	    +fn1[b]*fn2[c]*mesq_cbc
	    +fn1[u]*fn2[s]*mesq_sbs
	    +fn1[d]*fn2[s]*mesq_sbs
	    +fn1[c]*fn2[s]*mesq_sbs
	    +fn1[b]*fn2[s]*mesq_sbs
	    +fn1[u]*fn2[d]*mesq_dbd
	    +fn1[s]*fn2[d]*mesq_dbd
	    +fn1[c]*fn2[d]*mesq_dbd
	    +fn1[b]*fn2[d]*mesq_dbd
	    +fn1[d]*fn2[u]*mesq_ubu
	    +fn1[s]*fn2[u]*mesq_ubu
	    +fn1[c]*fn2[u]*mesq_ubu
	    +fn1[b]*fn2[u]*mesq_ubu
	    +fn1[bb]*fn2[ub]*mesq_uub
	    +fn1[cb]*fn2[ub]*mesq_uub
	    +fn1[sb]*fn2[ub]*mesq_uub
	    +fn1[db]*fn2[ub]*mesq_uub
	    +fn1[bb]*fn2[db]*mesq_ddb
	    +fn1[cb]*fn2[db]*mesq_ddb
	    +fn1[sb]*fn2[db]*mesq_ddb
	    +fn1[ub]*fn2[db]*mesq_ddb
	    +fn1[bb]*fn2[sb]*mesq_ssb
	    +fn1[cb]*fn2[sb]*mesq_ssb
	    +fn1[db]*fn2[sb]*mesq_ssb
	    +fn1[ub]*fn2[sb]*mesq_ssb
	    +fn1[bb]*fn2[cb]*mesq_ccb
	    +fn1[sb]*fn2[cb]*mesq_ccb
	    +fn1[db]*fn2[cb]*mesq_ccb
	    +fn1[ub]*fn2[cb]*mesq_ccb
	    +fn1[cb]*fn2[bb]*mesq_bbr
	    +fn1[sb]*fn2[bb]*mesq_bbr
	    +fn1[db]*fn2[bb]*mesq_bbr
	    +fn1[ub]*fn2[bb]*mesq_bbr;
	  QQPN_2=
	    +fn1[bb]*fn2[cb]*mesq_brb
	    +fn1[bb]*fn2[sb]*mesq_brb
	    +fn1[bb]*fn2[db]*mesq_brb
	    +fn1[bb]*fn2[ub]*mesq_brb
	    +fn1[cb]*fn2[bb]*mesq_cbc
	    +fn1[cb]*fn2[sb]*mesq_cbc
	    +fn1[cb]*fn2[db]*mesq_cbc
	    +fn1[cb]*fn2[ub]*mesq_cbc
	    +fn1[sb]*fn2[bb]*mesq_sbs
	    +fn1[sb]*fn2[cb]*mesq_sbs
	    +fn1[sb]*fn2[db]*mesq_sbs
	    +fn1[sb]*fn2[ub]*mesq_sbs
	    +fn1[db]*fn2[bb]*mesq_dbd
	    +fn1[db]*fn2[cb]*mesq_dbd
	    +fn1[db]*fn2[sb]*mesq_dbd
	    +fn1[db]*fn2[ub]*mesq_dbd
	    +fn1[ub]*fn2[bb]*mesq_ubu
	    +fn1[ub]*fn2[cb]*mesq_ubu
	    +fn1[ub]*fn2[sb]*mesq_ubu
	    +fn1[ub]*fn2[db]*mesq_ubu
	    +fn1[u]*fn2[d]*mesq_uub
	    +fn1[u]*fn2[s]*mesq_uub
	    +fn1[u]*fn2[c]*mesq_uub
	    +fn1[u]*fn2[b]*mesq_uub
	    +fn1[d]*fn2[u]*mesq_ddb
	    +fn1[d]*fn2[s]*mesq_ddb
	    +fn1[d]*fn2[c]*mesq_ddb
	    +fn1[d]*fn2[b]*mesq_ddb
	    +fn1[s]*fn2[u]*mesq_ssb
	    +fn1[s]*fn2[d]*mesq_ssb
	    +fn1[s]*fn2[c]*mesq_ssb
	    +fn1[s]*fn2[b]*mesq_ssb
	    +fn1[c]*fn2[u]*mesq_ccb
	    +fn1[c]*fn2[d]*mesq_ccb
	    +fn1[c]*fn2[s]*mesq_ccb
	    +fn1[c]*fn2[b]*mesq_ccb
	    +fn1[b]*fn2[u]*mesq_bbr
	    +fn1[b]*fn2[d]*mesq_bbr
	    +fn1[b]*fn2[s]*mesq_bbr
	    +fn1[b]*fn2[c]*mesq_bbr;
	  QQBPN_1=
	    +fn1[cb]*fn2[b]*mesq_brb
	    +fn1[sb]*fn2[b]*mesq_brb
	    +fn1[db]*fn2[b]*mesq_brb
	    +fn1[ub]*fn2[b]*mesq_brb
	    +fn1[bb]*fn2[c]*mesq_cbc
	    +fn1[sb]*fn2[c]*mesq_cbc
	    +fn1[db]*fn2[c]*mesq_cbc
	    +fn1[ub]*fn2[c]*mesq_cbc
	    +fn1[bb]*fn2[s]*mesq_sbs
	    +fn1[cb]*fn2[s]*mesq_sbs
	    +fn1[db]*fn2[s]*mesq_sbs
	    +fn1[ub]*fn2[s]*mesq_sbs
	    +fn1[bb]*fn2[d]*mesq_dbd
	    +fn1[cb]*fn2[d]*mesq_dbd
	    +fn1[sb]*fn2[d]*mesq_dbd
	    +fn1[ub]*fn2[d]*mesq_dbd
	    +fn1[bb]*fn2[u]*mesq_ubu
	    +fn1[cb]*fn2[u]*mesq_ubu
	    +fn1[sb]*fn2[u]*mesq_ubu
	    +fn1[db]*fn2[u]*mesq_ubu
	    +fn1[d]*fn2[ub]*mesq_uub
	    +fn1[s]*fn2[ub]*mesq_uub
	    +fn1[c]*fn2[ub]*mesq_uub
	    +fn1[b]*fn2[ub]*mesq_uub
	    +fn1[u]*fn2[db]*mesq_ddb
	    +fn1[s]*fn2[db]*mesq_ddb
	    +fn1[c]*fn2[db]*mesq_ddb
	    +fn1[b]*fn2[db]*mesq_ddb
	    +fn1[u]*fn2[sb]*mesq_ssb
	    +fn1[d]*fn2[sb]*mesq_ssb
	    +fn1[c]*fn2[sb]*mesq_ssb
	    +fn1[b]*fn2[sb]*mesq_ssb
	    +fn1[u]*fn2[cb]*mesq_ccb
	    +fn1[d]*fn2[cb]*mesq_ccb
	    +fn1[s]*fn2[cb]*mesq_ccb
	    +fn1[b]*fn2[cb]*mesq_ccb
	    +fn1[u]*fn2[bb]*mesq_bbr
	    +fn1[d]*fn2[bb]*mesq_bbr
	    +fn1[s]*fn2[bb]*mesq_bbr
	    +fn1[c]*fn2[bb]*mesq_bbr;
	  QQBPN_2=
	    +fn1[bb]*fn2[u]*mesq_brb
	    +fn1[bb]*fn2[d]*mesq_brb
	    +fn1[bb]*fn2[s]*mesq_brb
	    +fn1[bb]*fn2[c]*mesq_brb
	    +fn1[cb]*fn2[u]*mesq_cbc
	    +fn1[cb]*fn2[d]*mesq_cbc
	    +fn1[cb]*fn2[s]*mesq_cbc
	    +fn1[cb]*fn2[b]*mesq_cbc
	    +fn1[sb]*fn2[u]*mesq_sbs
	    +fn1[sb]*fn2[d]*mesq_sbs
	    +fn1[sb]*fn2[c]*mesq_sbs
	    +fn1[sb]*fn2[b]*mesq_sbs
	    +fn1[db]*fn2[u]*mesq_dbd
	    +fn1[db]*fn2[s]*mesq_dbd
	    +fn1[db]*fn2[c]*mesq_dbd
	    +fn1[db]*fn2[b]*mesq_dbd
	    +fn1[ub]*fn2[d]*mesq_ubu
	    +fn1[ub]*fn2[s]*mesq_ubu
	    +fn1[ub]*fn2[c]*mesq_ubu
	    +fn1[ub]*fn2[b]*mesq_ubu
	    +fn1[u]*fn2[bb]*mesq_uub
	    +fn1[u]*fn2[cb]*mesq_uub
	    +fn1[u]*fn2[sb]*mesq_uub
	    +fn1[u]*fn2[db]*mesq_uub
	    +fn1[d]*fn2[bb]*mesq_ddb
	    +fn1[d]*fn2[cb]*mesq_ddb
	    +fn1[d]*fn2[sb]*mesq_ddb
	    +fn1[d]*fn2[ub]*mesq_ddb
	    +fn1[s]*fn2[bb]*mesq_ssb
	    +fn1[s]*fn2[cb]*mesq_ssb
	    +fn1[s]*fn2[db]*mesq_ssb
	    +fn1[s]*fn2[ub]*mesq_ssb
	    +fn1[c]*fn2[bb]*mesq_ccb
	    +fn1[c]*fn2[sb]*mesq_ccb
	    +fn1[c]*fn2[db]*mesq_ccb
	    +fn1[c]*fn2[ub]*mesq_ccb
	    +fn1[b]*fn2[cb]*mesq_bbr
	    +fn1[b]*fn2[sb]*mesq_bbr
	    +fn1[b]*fn2[db]*mesq_bbr
	    +fn1[b]*fn2[ub]*mesq_bbr;	  
	}
      if (opts.order >= 3)
	{
	  complex <double> mesq_uub_nfz = mesq::mesqij_expy_NFZ[mesq::index(0,i1,i2,sign)];
	  complex <double> mesq_ubu_nfz = mesq::mesqij_expy_NFZ[mesq::index(1,i1,i2,sign)];
	  complex <double> mesq_ddb_nfz = mesq::mesqij_expy_NFZ[mesq::index(2,i1,i2,sign)];
	  complex <double> mesq_dbd_nfz = mesq::mesqij_expy_NFZ[mesq::index(3,i1,i2,sign)];
	  complex <double> mesq_ssb_nfz = mesq::mesqij_expy_NFZ[mesq::index(4,i1,i2,sign)];
	  complex <double> mesq_sbs_nfz = mesq::mesqij_expy_NFZ[mesq::index(5,i1,i2,sign)];
	  complex <double> mesq_ccb_nfz = mesq::mesqij_expy_NFZ[mesq::index(6,i1,i2,sign)];
	  complex <double> mesq_cbc_nfz = mesq::mesqij_expy_NFZ[mesq::index(7,i1,i2,sign)];
	  complex <double> mesq_bbr_nfz = mesq::mesqij_expy_NFZ[mesq::index(8,i1,i2,sign)];
	  complex <double> mesq_brb_nfz = mesq::mesqij_expy_NFZ[mesq::index(9,i1,i2,sign)];
      
	  //      cout << "pdf_mesq_expy " << i1 << "  " << i2 << "  " << mesq_uub << "  " << fn1[u] << "  " << fn2[ub]  << endl;
	  //LL part
	  QQBN_nfz = fn1[u ]*fn2[ub]*mesq_uub_nfz
	            +fn1[c ]*fn2[cb]*mesq_ccb_nfz
	            +fn1[d ]*fn2[db]*mesq_ddb_nfz
	            +fn1[s ]*fn2[sb]*mesq_ssb_nfz
	            +fn1[b ]*fn2[bb]*mesq_bbr_nfz
	            +fn1[ub]*fn2[u ]*mesq_ubu_nfz
	            +fn1[cb]*fn2[c ]*mesq_cbc_nfz
	            +fn1[db]*fn2[d ]*mesq_dbd_nfz
	            +fn1[sb]*fn2[s ]*mesq_sbs_nfz
	            +fn1[bb]*fn2[b ]*mesq_brb_nfz;
	  QBGN_1=
	    +fn1[g]*fn2[bb]*mesq_brb
	    +fn1[g]*fn2[cb]*mesq_cbc
	    +fn1[g]*fn2[sb]*mesq_sbs
	    +fn1[g]*fn2[db]*mesq_dbd
	    +fn1[g]*fn2[ub]*mesq_ubu
	    +fn1[g]*fn2[u]*mesq_uub
	    +fn1[g]*fn2[d]*mesq_ddb
	    +fn1[g]*fn2[s]*mesq_ssb
	    +fn1[g]*fn2[c]*mesq_ccb
	    +fn1[g]*fn2[b]*mesq_bbr;
	  QBGN_2=
	    +fn1[b]*fn2[g]*mesq_brb
	    +fn1[c]*fn2[g]*mesq_cbc
	    +fn1[s]*fn2[g]*mesq_sbs
	    +fn1[d]*fn2[g]*mesq_dbd
	    +fn1[u]*fn2[g]*mesq_ubu
	    +fn1[ub]*fn2[g]*mesq_uub
	    +fn1[db]*fn2[g]*mesq_ddb
	    +fn1[sb]*fn2[g]*mesq_ssb
	    +fn1[cb]*fn2[g]*mesq_ccb
	    +fn1[bb]*fn2[g]*mesq_bbr;
	  QPGN_1=
	    +fn1[g]*fn2[cb]*mesq_brb
	    +fn1[g]*fn2[sb]*mesq_brb
	    +fn1[g]*fn2[db]*mesq_brb
	    +fn1[g]*fn2[ub]*mesq_brb
	    +fn1[g]*fn2[bb]*mesq_cbc
	    +fn1[g]*fn2[sb]*mesq_cbc
	    +fn1[g]*fn2[db]*mesq_cbc
	    +fn1[g]*fn2[ub]*mesq_cbc
	    +fn1[g]*fn2[bb]*mesq_sbs
	    +fn1[g]*fn2[cb]*mesq_sbs
	    +fn1[g]*fn2[db]*mesq_sbs
	    +fn1[g]*fn2[ub]*mesq_sbs
	    +fn1[g]*fn2[bb]*mesq_dbd
	    +fn1[g]*fn2[cb]*mesq_dbd
	    +fn1[g]*fn2[sb]*mesq_dbd
	    +fn1[g]*fn2[ub]*mesq_dbd
	    +fn1[g]*fn2[bb]*mesq_ubu
	    +fn1[g]*fn2[cb]*mesq_ubu
	    +fn1[g]*fn2[sb]*mesq_ubu
	    +fn1[g]*fn2[db]*mesq_ubu
	    +fn1[g]*fn2[d]*mesq_uub
	    +fn1[g]*fn2[s]*mesq_uub
	    +fn1[g]*fn2[c]*mesq_uub
	    +fn1[g]*fn2[b]*mesq_uub
	    +fn1[g]*fn2[u]*mesq_ddb
	    +fn1[g]*fn2[s]*mesq_ddb
	    +fn1[g]*fn2[c]*mesq_ddb
	    +fn1[g]*fn2[b]*mesq_ddb
	    +fn1[g]*fn2[u]*mesq_ssb
	    +fn1[g]*fn2[d]*mesq_ssb
	    +fn1[g]*fn2[c]*mesq_ssb
	    +fn1[g]*fn2[b]*mesq_ssb
	    +fn1[g]*fn2[u]*mesq_ccb
	    +fn1[g]*fn2[d]*mesq_ccb
	    +fn1[g]*fn2[s]*mesq_ccb
	    +fn1[g]*fn2[b]*mesq_ccb
	    +fn1[g]*fn2[u]*mesq_bbr
	    +fn1[g]*fn2[d]*mesq_bbr
	    +fn1[g]*fn2[s]*mesq_bbr
	    +fn1[g]*fn2[c]*mesq_bbr;
	  QPGN_2=
	    +fn1[u]*fn2[g]*mesq_brb
	    +fn1[d]*fn2[g]*mesq_brb
	    +fn1[s]*fn2[g]*mesq_brb
	    +fn1[c]*fn2[g]*mesq_brb
	    +fn1[u]*fn2[g]*mesq_cbc
	    +fn1[d]*fn2[g]*mesq_cbc
	    +fn1[s]*fn2[g]*mesq_cbc
	    +fn1[b]*fn2[g]*mesq_cbc
	    +fn1[u]*fn2[g]*mesq_sbs
	    +fn1[d]*fn2[g]*mesq_sbs
	    +fn1[c]*fn2[g]*mesq_sbs
	    +fn1[b]*fn2[g]*mesq_sbs
	    +fn1[u]*fn2[g]*mesq_dbd
	    +fn1[s]*fn2[g]*mesq_dbd
	    +fn1[c]*fn2[g]*mesq_dbd
	    +fn1[b]*fn2[g]*mesq_dbd
	    +fn1[d]*fn2[g]*mesq_ubu
	    +fn1[s]*fn2[g]*mesq_ubu
	    +fn1[c]*fn2[g]*mesq_ubu
	    +fn1[b]*fn2[g]*mesq_ubu
	    +fn1[bb]*fn2[g]*mesq_uub
	    +fn1[cb]*fn2[g]*mesq_uub
	    +fn1[sb]*fn2[g]*mesq_uub
	    +fn1[db]*fn2[g]*mesq_uub
	    +fn1[bb]*fn2[g]*mesq_ddb
	    +fn1[cb]*fn2[g]*mesq_ddb
	    +fn1[sb]*fn2[g]*mesq_ddb
	    +fn1[ub]*fn2[g]*mesq_ddb
	    +fn1[bb]*fn2[g]*mesq_ssb
	    +fn1[cb]*fn2[g]*mesq_ssb
	    +fn1[db]*fn2[g]*mesq_ssb
	    +fn1[ub]*fn2[g]*mesq_ssb
	    +fn1[bb]*fn2[g]*mesq_ccb
	    +fn1[sb]*fn2[g]*mesq_ccb
	    +fn1[db]*fn2[g]*mesq_ccb
	    +fn1[ub]*fn2[g]*mesq_ccb
	    +fn1[cb]*fn2[g]*mesq_bbr
	    +fn1[sb]*fn2[g]*mesq_bbr
	    +fn1[db]*fn2[g]*mesq_bbr
	    +fn1[ub]*fn2[g]*mesq_bbr;
	  QBPGN_1=
	    +fn1[g]*fn2[u]*mesq_brb
	    +fn1[g]*fn2[d]*mesq_brb
	    +fn1[g]*fn2[s]*mesq_brb
	    +fn1[g]*fn2[c]*mesq_brb
	    +fn1[g]*fn2[u]*mesq_cbc
	    +fn1[g]*fn2[d]*mesq_cbc
	    +fn1[g]*fn2[s]*mesq_cbc
	    +fn1[g]*fn2[b]*mesq_cbc
	    +fn1[g]*fn2[u]*mesq_sbs
	    +fn1[g]*fn2[d]*mesq_sbs
	    +fn1[g]*fn2[c]*mesq_sbs
	    +fn1[g]*fn2[b]*mesq_sbs
	    +fn1[g]*fn2[u]*mesq_dbd
	    +fn1[g]*fn2[s]*mesq_dbd
	    +fn1[g]*fn2[c]*mesq_dbd
	    +fn1[g]*fn2[b]*mesq_dbd
	    +fn1[g]*fn2[d]*mesq_ubu
	    +fn1[g]*fn2[s]*mesq_ubu
	    +fn1[g]*fn2[c]*mesq_ubu
	    +fn1[g]*fn2[b]*mesq_ubu
	    +fn1[g]*fn2[bb]*mesq_uub
	    +fn1[g]*fn2[cb]*mesq_uub
	    +fn1[g]*fn2[sb]*mesq_uub
	    +fn1[g]*fn2[db]*mesq_uub
	    +fn1[g]*fn2[bb]*mesq_ddb
	    +fn1[g]*fn2[cb]*mesq_ddb
	    +fn1[g]*fn2[sb]*mesq_ddb
	    +fn1[g]*fn2[ub]*mesq_ddb
	    +fn1[g]*fn2[bb]*mesq_ssb
	    +fn1[g]*fn2[cb]*mesq_ssb
	    +fn1[g]*fn2[db]*mesq_ssb
	    +fn1[g]*fn2[ub]*mesq_ssb
	    +fn1[g]*fn2[bb]*mesq_ccb
	    +fn1[g]*fn2[sb]*mesq_ccb
	    +fn1[g]*fn2[db]*mesq_ccb
	    +fn1[g]*fn2[ub]*mesq_ccb
	    +fn1[g]*fn2[cb]*mesq_bbr
	    +fn1[g]*fn2[sb]*mesq_bbr
	    +fn1[g]*fn2[db]*mesq_bbr
	    +fn1[g]*fn2[ub]*mesq_bbr;
	  QBPGN_2=
	    +fn1[cb]*fn2[g]*mesq_brb
	    +fn1[sb]*fn2[g]*mesq_brb
	    +fn1[db]*fn2[g]*mesq_brb
	    +fn1[ub]*fn2[g]*mesq_brb
	    +fn1[bb]*fn2[g]*mesq_cbc
	    +fn1[sb]*fn2[g]*mesq_cbc
	    +fn1[db]*fn2[g]*mesq_cbc
	    +fn1[ub]*fn2[g]*mesq_cbc
	    +fn1[bb]*fn2[g]*mesq_sbs
	    +fn1[cb]*fn2[g]*mesq_sbs
	    +fn1[db]*fn2[g]*mesq_sbs
	    +fn1[ub]*fn2[g]*mesq_sbs
	    +fn1[bb]*fn2[g]*mesq_dbd
	    +fn1[cb]*fn2[g]*mesq_dbd
	    +fn1[sb]*fn2[g]*mesq_dbd
	    +fn1[ub]*fn2[g]*mesq_dbd
	    +fn1[bb]*fn2[g]*mesq_ubu
	    +fn1[cb]*fn2[g]*mesq_ubu
	    +fn1[sb]*fn2[g]*mesq_ubu
	    +fn1[db]*fn2[g]*mesq_ubu
	    +fn1[d]*fn2[g]*mesq_uub
	    +fn1[s]*fn2[g]*mesq_uub
	    +fn1[c]*fn2[g]*mesq_uub
	    +fn1[b]*fn2[g]*mesq_uub
	    +fn1[u]*fn2[g]*mesq_ddb
	    +fn1[s]*fn2[g]*mesq_ddb
	    +fn1[c]*fn2[g]*mesq_ddb
	    +fn1[b]*fn2[g]*mesq_ddb
	    +fn1[u]*fn2[g]*mesq_ssb
	    +fn1[d]*fn2[g]*mesq_ssb
	    +fn1[c]*fn2[g]*mesq_ssb
	    +fn1[b]*fn2[g]*mesq_ssb
	    +fn1[u]*fn2[g]*mesq_ccb
	    +fn1[d]*fn2[g]*mesq_ccb
	    +fn1[s]*fn2[g]*mesq_ccb
	    +fn1[b]*fn2[g]*mesq_ccb
	    +fn1[u]*fn2[g]*mesq_bbr
	    +fn1[d]*fn2[g]*mesq_bbr
	    +fn1[s]*fn2[g]*mesq_bbr
	    +fn1[c]*fn2[g]*mesq_bbr;
	}
      if (opts.order >= 4)
	{
	  QBQN=
	    +fn1[b]*fn2[bb]*mesq_brb
	    +fn1[c]*fn2[cb]*mesq_cbc
	    +fn1[s]*fn2[sb]*mesq_sbs
	    +fn1[d]*fn2[db]*mesq_dbd
	    +fn1[u]*fn2[ub]*mesq_ubu
	    +fn1[ub]*fn2[u]*mesq_uub
	    +fn1[db]*fn2[d]*mesq_ddb
	    +fn1[sb]*fn2[s]*mesq_ssb
	    +fn1[cb]*fn2[c]*mesq_ccb
	    +fn1[bb]*fn2[b]*mesq_bbr;
	  QBQPN_2=
	    +fn1[b]*fn2[cb]*mesq_brb
	    +fn1[b]*fn2[sb]*mesq_brb
	    +fn1[b]*fn2[db]*mesq_brb
	    +fn1[b]*fn2[ub]*mesq_brb
	    +fn1[c]*fn2[bb]*mesq_cbc
	    +fn1[c]*fn2[sb]*mesq_cbc
	    +fn1[c]*fn2[db]*mesq_cbc
	    +fn1[c]*fn2[ub]*mesq_cbc
	    +fn1[s]*fn2[bb]*mesq_sbs
	    +fn1[s]*fn2[cb]*mesq_sbs
	    +fn1[s]*fn2[db]*mesq_sbs
	    +fn1[s]*fn2[ub]*mesq_sbs
	    +fn1[d]*fn2[bb]*mesq_dbd
	    +fn1[d]*fn2[cb]*mesq_dbd
	    +fn1[d]*fn2[sb]*mesq_dbd
	    +fn1[d]*fn2[ub]*mesq_dbd
	    +fn1[u]*fn2[bb]*mesq_ubu
	    +fn1[u]*fn2[cb]*mesq_ubu
	    +fn1[u]*fn2[sb]*mesq_ubu
	    +fn1[u]*fn2[db]*mesq_ubu
	    +fn1[ub]*fn2[d]*mesq_uub
	    +fn1[ub]*fn2[s]*mesq_uub
	    +fn1[ub]*fn2[c]*mesq_uub
	    +fn1[ub]*fn2[b]*mesq_uub
	    +fn1[db]*fn2[u]*mesq_ddb
	    +fn1[db]*fn2[s]*mesq_ddb
	    +fn1[db]*fn2[c]*mesq_ddb
	    +fn1[db]*fn2[b]*mesq_ddb
	    +fn1[sb]*fn2[u]*mesq_ssb
	    +fn1[sb]*fn2[d]*mesq_ssb
	    +fn1[sb]*fn2[c]*mesq_ssb
	    +fn1[sb]*fn2[b]*mesq_ssb
	    +fn1[cb]*fn2[u]*mesq_ccb
	    +fn1[cb]*fn2[d]*mesq_ccb
	    +fn1[cb]*fn2[s]*mesq_ccb
	    +fn1[cb]*fn2[b]*mesq_ccb
	    +fn1[bb]*fn2[u]*mesq_bbr
	    +fn1[bb]*fn2[d]*mesq_bbr
	    +fn1[bb]*fn2[s]*mesq_bbr
	    +fn1[bb]*fn2[c]*mesq_bbr;
	  QBQPN_1=
	    +fn1[u]*fn2[bb]*mesq_brb
	    +fn1[d]*fn2[bb]*mesq_brb
	    +fn1[s]*fn2[bb]*mesq_brb
	    +fn1[c]*fn2[bb]*mesq_brb
	    +fn1[u]*fn2[cb]*mesq_cbc
	    +fn1[d]*fn2[cb]*mesq_cbc
	    +fn1[s]*fn2[cb]*mesq_cbc
	    +fn1[b]*fn2[cb]*mesq_cbc
	    +fn1[u]*fn2[sb]*mesq_sbs
	    +fn1[d]*fn2[sb]*mesq_sbs
	    +fn1[c]*fn2[sb]*mesq_sbs
	    +fn1[b]*fn2[sb]*mesq_sbs
	    +fn1[u]*fn2[db]*mesq_dbd
	    +fn1[s]*fn2[db]*mesq_dbd
	    +fn1[c]*fn2[db]*mesq_dbd
	    +fn1[b]*fn2[db]*mesq_dbd
	    +fn1[d]*fn2[ub]*mesq_ubu
	    +fn1[s]*fn2[ub]*mesq_ubu
	    +fn1[c]*fn2[ub]*mesq_ubu
	    +fn1[b]*fn2[ub]*mesq_ubu
	    +fn1[bb]*fn2[u]*mesq_uub
	    +fn1[cb]*fn2[u]*mesq_uub
	    +fn1[sb]*fn2[u]*mesq_uub
	    +fn1[db]*fn2[u]*mesq_uub
	    +fn1[bb]*fn2[d]*mesq_ddb
	    +fn1[cb]*fn2[d]*mesq_ddb
	    +fn1[sb]*fn2[d]*mesq_ddb
	    +fn1[ub]*fn2[d]*mesq_ddb
	    +fn1[bb]*fn2[s]*mesq_ssb
	    +fn1[cb]*fn2[s]*mesq_ssb
	    +fn1[db]*fn2[s]*mesq_ssb
	    +fn1[ub]*fn2[s]*mesq_ssb
	    +fn1[bb]*fn2[c]*mesq_ccb
	    +fn1[sb]*fn2[c]*mesq_ccb
	    +fn1[db]*fn2[c]*mesq_ccb
	    +fn1[ub]*fn2[c]*mesq_ccb
	    +fn1[cb]*fn2[b]*mesq_bbr
	    +fn1[sb]*fn2[b]*mesq_bbr
	    +fn1[db]*fn2[b]*mesq_bbr
	    +fn1[ub]*fn2[b]*mesq_bbr;
	  QBQBPN_2=
	    +fn1[b]*fn2[u]*mesq_brb
	    +fn1[b]*fn2[d]*mesq_brb
	    +fn1[b]*fn2[s]*mesq_brb
	    +fn1[b]*fn2[c]*mesq_brb
	    +fn1[c]*fn2[u]*mesq_cbc
	    +fn1[c]*fn2[d]*mesq_cbc
	    +fn1[c]*fn2[s]*mesq_cbc
	    +fn1[c]*fn2[b]*mesq_cbc
	    +fn1[s]*fn2[u]*mesq_sbs
	    +fn1[s]*fn2[d]*mesq_sbs
	    +fn1[s]*fn2[c]*mesq_sbs
	    +fn1[s]*fn2[b]*mesq_sbs
	    +fn1[d]*fn2[u]*mesq_dbd
	    +fn1[d]*fn2[s]*mesq_dbd
	    +fn1[d]*fn2[c]*mesq_dbd
	    +fn1[d]*fn2[b]*mesq_dbd
	    +fn1[u]*fn2[d]*mesq_ubu
	    +fn1[u]*fn2[s]*mesq_ubu
	    +fn1[u]*fn2[c]*mesq_ubu
	    +fn1[u]*fn2[b]*mesq_ubu
	    +fn1[ub]*fn2[bb]*mesq_uub
	    +fn1[ub]*fn2[cb]*mesq_uub
	    +fn1[ub]*fn2[sb]*mesq_uub
	    +fn1[ub]*fn2[db]*mesq_uub
	    +fn1[db]*fn2[bb]*mesq_ddb
	    +fn1[db]*fn2[cb]*mesq_ddb
	    +fn1[db]*fn2[sb]*mesq_ddb
	    +fn1[db]*fn2[ub]*mesq_ddb
	    +fn1[sb]*fn2[bb]*mesq_ssb
	    +fn1[sb]*fn2[cb]*mesq_ssb
	    +fn1[sb]*fn2[db]*mesq_ssb
	    +fn1[sb]*fn2[ub]*mesq_ssb
	    +fn1[cb]*fn2[bb]*mesq_ccb
	    +fn1[cb]*fn2[sb]*mesq_ccb
	    +fn1[cb]*fn2[db]*mesq_ccb
	    +fn1[cb]*fn2[ub]*mesq_ccb
	    +fn1[bb]*fn2[cb]*mesq_bbr
	    +fn1[bb]*fn2[sb]*mesq_bbr
	    +fn1[bb]*fn2[db]*mesq_bbr
	    +fn1[bb]*fn2[ub]*mesq_bbr;
	  QBQBPN_1=
	    +fn1[cb]*fn2[bb]*mesq_brb
	    +fn1[sb]*fn2[bb]*mesq_brb
	    +fn1[db]*fn2[bb]*mesq_brb
	    +fn1[ub]*fn2[bb]*mesq_brb
	    +fn1[bb]*fn2[cb]*mesq_cbc
	    +fn1[sb]*fn2[cb]*mesq_cbc
	    +fn1[db]*fn2[cb]*mesq_cbc
	    +fn1[ub]*fn2[cb]*mesq_cbc
	    +fn1[bb]*fn2[sb]*mesq_sbs
	    +fn1[cb]*fn2[sb]*mesq_sbs
	    +fn1[db]*fn2[sb]*mesq_sbs
	    +fn1[ub]*fn2[sb]*mesq_sbs
	    +fn1[bb]*fn2[db]*mesq_dbd
	    +fn1[cb]*fn2[db]*mesq_dbd
	    +fn1[sb]*fn2[db]*mesq_dbd
	    +fn1[ub]*fn2[db]*mesq_dbd
	    +fn1[bb]*fn2[ub]*mesq_ubu
	    +fn1[cb]*fn2[ub]*mesq_ubu
	    +fn1[sb]*fn2[ub]*mesq_ubu
	    +fn1[db]*fn2[ub]*mesq_ubu
	    +fn1[d]*fn2[u]*mesq_uub
	    +fn1[s]*fn2[u]*mesq_uub
	    +fn1[c]*fn2[u]*mesq_uub
	    +fn1[b]*fn2[u]*mesq_uub
	    +fn1[u]*fn2[d]*mesq_ddb
	    +fn1[s]*fn2[d]*mesq_ddb
	    +fn1[c]*fn2[d]*mesq_ddb
	    +fn1[b]*fn2[d]*mesq_ddb
	    +fn1[u]*fn2[s]*mesq_ssb
	    +fn1[d]*fn2[s]*mesq_ssb
	    +fn1[c]*fn2[s]*mesq_ssb
	    +fn1[b]*fn2[s]*mesq_ssb
	    +fn1[u]*fn2[c]*mesq_ccb
	    +fn1[d]*fn2[c]*mesq_ccb
	    +fn1[s]*fn2[c]*mesq_ccb
	    +fn1[b]*fn2[c]*mesq_ccb
	    +fn1[u]*fn2[b]*mesq_bbr
	    +fn1[d]*fn2[b]*mesq_bbr
	    +fn1[s]*fn2[b]*mesq_bbr
	    +fn1[c]*fn2[b]*mesq_bbr;
	  QPQPN_2=
	    +fn1[cb]*fn2[cb]*mesq_brb
	    +fn1[cb]*fn2[sb]*mesq_brb
	    +fn1[cb]*fn2[db]*mesq_brb
	    +fn1[cb]*fn2[ub]*mesq_brb
	    +fn1[sb]*fn2[cb]*mesq_brb
	    +fn1[sb]*fn2[sb]*mesq_brb
	    +fn1[sb]*fn2[db]*mesq_brb
	    +fn1[sb]*fn2[ub]*mesq_brb
	    +fn1[db]*fn2[cb]*mesq_brb
	    +fn1[db]*fn2[sb]*mesq_brb
	    +fn1[db]*fn2[db]*mesq_brb
	    +fn1[db]*fn2[ub]*mesq_brb
	    +fn1[ub]*fn2[cb]*mesq_brb
	    +fn1[ub]*fn2[sb]*mesq_brb
	    +fn1[ub]*fn2[db]*mesq_brb
	    +fn1[ub]*fn2[ub]*mesq_brb
	    +fn1[bb]*fn2[bb]*mesq_cbc
	    +fn1[bb]*fn2[sb]*mesq_cbc
	    +fn1[bb]*fn2[db]*mesq_cbc
	    +fn1[bb]*fn2[ub]*mesq_cbc
	    +fn1[sb]*fn2[bb]*mesq_cbc
	    +fn1[sb]*fn2[sb]*mesq_cbc
	    +fn1[sb]*fn2[db]*mesq_cbc
	    +fn1[sb]*fn2[ub]*mesq_cbc
	    +fn1[db]*fn2[bb]*mesq_cbc
	    +fn1[db]*fn2[sb]*mesq_cbc
	    +fn1[db]*fn2[db]*mesq_cbc
	    +fn1[db]*fn2[ub]*mesq_cbc
	    +fn1[ub]*fn2[bb]*mesq_cbc
	    +fn1[ub]*fn2[sb]*mesq_cbc
	    +fn1[ub]*fn2[db]*mesq_cbc
	    +fn1[ub]*fn2[ub]*mesq_cbc
	    +fn1[bb]*fn2[bb]*mesq_sbs
	    +fn1[bb]*fn2[cb]*mesq_sbs
	    +fn1[bb]*fn2[db]*mesq_sbs
	    +fn1[bb]*fn2[ub]*mesq_sbs
	    +fn1[cb]*fn2[bb]*mesq_sbs
	    +fn1[cb]*fn2[cb]*mesq_sbs
	    +fn1[cb]*fn2[db]*mesq_sbs
	    +fn1[cb]*fn2[ub]*mesq_sbs
	    +fn1[db]*fn2[bb]*mesq_sbs
	    +fn1[db]*fn2[cb]*mesq_sbs
	    +fn1[db]*fn2[db]*mesq_sbs
	    +fn1[db]*fn2[ub]*mesq_sbs
	    +fn1[ub]*fn2[bb]*mesq_sbs
	    +fn1[ub]*fn2[cb]*mesq_sbs
	    +fn1[ub]*fn2[db]*mesq_sbs
	    +fn1[ub]*fn2[ub]*mesq_sbs
	    +fn1[bb]*fn2[bb]*mesq_dbd
	    +fn1[bb]*fn2[cb]*mesq_dbd
	    +fn1[bb]*fn2[sb]*mesq_dbd
	    +fn1[bb]*fn2[ub]*mesq_dbd
	    +fn1[cb]*fn2[bb]*mesq_dbd
	    +fn1[cb]*fn2[cb]*mesq_dbd
	    +fn1[cb]*fn2[sb]*mesq_dbd
	    +fn1[cb]*fn2[ub]*mesq_dbd
	    +fn1[sb]*fn2[bb]*mesq_dbd
	    +fn1[sb]*fn2[cb]*mesq_dbd
	    +fn1[sb]*fn2[sb]*mesq_dbd
	    +fn1[sb]*fn2[ub]*mesq_dbd
	    +fn1[ub]*fn2[bb]*mesq_dbd
	    +fn1[ub]*fn2[cb]*mesq_dbd
	    +fn1[ub]*fn2[sb]*mesq_dbd
	    +fn1[ub]*fn2[ub]*mesq_dbd
	    +fn1[bb]*fn2[bb]*mesq_ubu
	    +fn1[bb]*fn2[cb]*mesq_ubu
	    +fn1[bb]*fn2[sb]*mesq_ubu
	    +fn1[bb]*fn2[db]*mesq_ubu
	    +fn1[cb]*fn2[bb]*mesq_ubu
	    +fn1[cb]*fn2[cb]*mesq_ubu
	    +fn1[cb]*fn2[sb]*mesq_ubu
	    +fn1[cb]*fn2[db]*mesq_ubu
	    +fn1[sb]*fn2[bb]*mesq_ubu
	    +fn1[sb]*fn2[cb]*mesq_ubu
	    +fn1[sb]*fn2[sb]*mesq_ubu
	    +fn1[sb]*fn2[db]*mesq_ubu
	    +fn1[db]*fn2[bb]*mesq_ubu
	    +fn1[db]*fn2[cb]*mesq_ubu
	    +fn1[db]*fn2[sb]*mesq_ubu
	    +fn1[db]*fn2[db]*mesq_ubu
	    +fn1[d]*fn2[d]*mesq_uub
	    +fn1[d]*fn2[s]*mesq_uub
	    +fn1[d]*fn2[c]*mesq_uub
	    +fn1[d]*fn2[b]*mesq_uub
	    +fn1[s]*fn2[d]*mesq_uub
	    +fn1[s]*fn2[s]*mesq_uub
	    +fn1[s]*fn2[c]*mesq_uub
	    +fn1[s]*fn2[b]*mesq_uub
	    +fn1[c]*fn2[d]*mesq_uub
	    +fn1[c]*fn2[s]*mesq_uub
	    +fn1[c]*fn2[c]*mesq_uub
	    +fn1[c]*fn2[b]*mesq_uub
	    +fn1[b]*fn2[d]*mesq_uub
	    +fn1[b]*fn2[s]*mesq_uub
	    +fn1[b]*fn2[c]*mesq_uub
	    +fn1[b]*fn2[b]*mesq_uub
	    +fn1[u]*fn2[u]*mesq_ddb
	    +fn1[u]*fn2[s]*mesq_ddb
	    +fn1[u]*fn2[c]*mesq_ddb
	    +fn1[u]*fn2[b]*mesq_ddb
	    +fn1[s]*fn2[u]*mesq_ddb
	    +fn1[s]*fn2[s]*mesq_ddb
	    +fn1[s]*fn2[c]*mesq_ddb
	    +fn1[s]*fn2[b]*mesq_ddb
	    +fn1[c]*fn2[u]*mesq_ddb
	    +fn1[c]*fn2[s]*mesq_ddb
	    +fn1[c]*fn2[c]*mesq_ddb
	    +fn1[c]*fn2[b]*mesq_ddb
	    +fn1[b]*fn2[u]*mesq_ddb
	    +fn1[b]*fn2[s]*mesq_ddb
	    +fn1[b]*fn2[c]*mesq_ddb
	    +fn1[b]*fn2[b]*mesq_ddb
	    +fn1[u]*fn2[u]*mesq_ssb
	    +fn1[u]*fn2[d]*mesq_ssb
	    +fn1[u]*fn2[c]*mesq_ssb
	    +fn1[u]*fn2[b]*mesq_ssb
	    +fn1[d]*fn2[u]*mesq_ssb
	    +fn1[d]*fn2[d]*mesq_ssb
	    +fn1[d]*fn2[c]*mesq_ssb
	    +fn1[d]*fn2[b]*mesq_ssb
	    +fn1[c]*fn2[u]*mesq_ssb
	    +fn1[c]*fn2[d]*mesq_ssb
	    +fn1[c]*fn2[c]*mesq_ssb
	    +fn1[c]*fn2[b]*mesq_ssb
	    +fn1[b]*fn2[u]*mesq_ssb
	    +fn1[b]*fn2[d]*mesq_ssb
	    +fn1[b]*fn2[c]*mesq_ssb
	    +fn1[b]*fn2[b]*mesq_ssb
	    +fn1[u]*fn2[u]*mesq_ccb
	    +fn1[u]*fn2[d]*mesq_ccb
	    +fn1[u]*fn2[s]*mesq_ccb
	    +fn1[u]*fn2[b]*mesq_ccb
	    +fn1[d]*fn2[u]*mesq_ccb
	    +fn1[d]*fn2[d]*mesq_ccb
	    +fn1[d]*fn2[s]*mesq_ccb
	    +fn1[d]*fn2[b]*mesq_ccb
	    +fn1[s]*fn2[u]*mesq_ccb
	    +fn1[s]*fn2[d]*mesq_ccb
	    +fn1[s]*fn2[s]*mesq_ccb
	    +fn1[s]*fn2[b]*mesq_ccb
	    +fn1[b]*fn2[u]*mesq_ccb
	    +fn1[b]*fn2[d]*mesq_ccb
	    +fn1[b]*fn2[s]*mesq_ccb
	    +fn1[b]*fn2[b]*mesq_ccb
	    +fn1[u]*fn2[u]*mesq_bbr
	    +fn1[u]*fn2[d]*mesq_bbr
	    +fn1[u]*fn2[s]*mesq_bbr
	    +fn1[u]*fn2[c]*mesq_bbr
	    +fn1[d]*fn2[u]*mesq_bbr
	    +fn1[d]*fn2[d]*mesq_bbr
	    +fn1[d]*fn2[s]*mesq_bbr
	    +fn1[d]*fn2[c]*mesq_bbr
	    +fn1[s]*fn2[u]*mesq_bbr
	    +fn1[s]*fn2[d]*mesq_bbr
	    +fn1[s]*fn2[s]*mesq_bbr
	    +fn1[s]*fn2[c]*mesq_bbr
	    +fn1[c]*fn2[u]*mesq_bbr
	    +fn1[c]*fn2[d]*mesq_bbr
	    +fn1[c]*fn2[s]*mesq_bbr
	    +fn1[c]*fn2[c]*mesq_bbr;
	  QPQPN_1=
	    +fn1[u]*fn2[u]*mesq_brb
	    +fn1[u]*fn2[d]*mesq_brb
	    +fn1[u]*fn2[s]*mesq_brb
	    +fn1[u]*fn2[c]*mesq_brb
	    +fn1[d]*fn2[u]*mesq_brb
	    +fn1[d]*fn2[d]*mesq_brb
	    +fn1[d]*fn2[s]*mesq_brb
	    +fn1[d]*fn2[c]*mesq_brb
	    +fn1[s]*fn2[u]*mesq_brb
	    +fn1[s]*fn2[d]*mesq_brb
	    +fn1[s]*fn2[s]*mesq_brb
	    +fn1[s]*fn2[c]*mesq_brb
	    +fn1[c]*fn2[u]*mesq_brb
	    +fn1[c]*fn2[d]*mesq_brb
	    +fn1[c]*fn2[s]*mesq_brb
	    +fn1[c]*fn2[c]*mesq_brb
	    +fn1[u]*fn2[u]*mesq_cbc
	    +fn1[u]*fn2[d]*mesq_cbc
	    +fn1[u]*fn2[s]*mesq_cbc
	    +fn1[u]*fn2[b]*mesq_cbc
	    +fn1[d]*fn2[u]*mesq_cbc
	    +fn1[d]*fn2[d]*mesq_cbc
	    +fn1[d]*fn2[s]*mesq_cbc
	    +fn1[d]*fn2[b]*mesq_cbc
	    +fn1[s]*fn2[u]*mesq_cbc
	    +fn1[s]*fn2[d]*mesq_cbc
	    +fn1[s]*fn2[s]*mesq_cbc
	    +fn1[s]*fn2[b]*mesq_cbc
	    +fn1[b]*fn2[u]*mesq_cbc
	    +fn1[b]*fn2[d]*mesq_cbc
	    +fn1[b]*fn2[s]*mesq_cbc
	    +fn1[b]*fn2[b]*mesq_cbc
	    +fn1[u]*fn2[u]*mesq_sbs
	    +fn1[u]*fn2[d]*mesq_sbs
	    +fn1[u]*fn2[c]*mesq_sbs
	    +fn1[u]*fn2[b]*mesq_sbs
	    +fn1[d]*fn2[u]*mesq_sbs
	    +fn1[d]*fn2[d]*mesq_sbs
	    +fn1[d]*fn2[c]*mesq_sbs
	    +fn1[d]*fn2[b]*mesq_sbs
	    +fn1[c]*fn2[u]*mesq_sbs
	    +fn1[c]*fn2[d]*mesq_sbs
	    +fn1[c]*fn2[c]*mesq_sbs
	    +fn1[c]*fn2[b]*mesq_sbs
	    +fn1[b]*fn2[u]*mesq_sbs
	    +fn1[b]*fn2[d]*mesq_sbs
	    +fn1[b]*fn2[c]*mesq_sbs
	    +fn1[b]*fn2[b]*mesq_sbs
	    +fn1[u]*fn2[u]*mesq_dbd
	    +fn1[u]*fn2[s]*mesq_dbd
	    +fn1[u]*fn2[c]*mesq_dbd
	    +fn1[u]*fn2[b]*mesq_dbd
	    +fn1[s]*fn2[u]*mesq_dbd
	    +fn1[s]*fn2[s]*mesq_dbd
	    +fn1[s]*fn2[c]*mesq_dbd
	    +fn1[s]*fn2[b]*mesq_dbd
	    +fn1[c]*fn2[u]*mesq_dbd
	    +fn1[c]*fn2[s]*mesq_dbd
	    +fn1[c]*fn2[c]*mesq_dbd
	    +fn1[c]*fn2[b]*mesq_dbd
	    +fn1[b]*fn2[u]*mesq_dbd
	    +fn1[b]*fn2[s]*mesq_dbd
	    +fn1[b]*fn2[c]*mesq_dbd
	    +fn1[b]*fn2[b]*mesq_dbd
	    +fn1[d]*fn2[d]*mesq_ubu
	    +fn1[d]*fn2[s]*mesq_ubu
	    +fn1[d]*fn2[c]*mesq_ubu
	    +fn1[d]*fn2[b]*mesq_ubu
	    +fn1[s]*fn2[d]*mesq_ubu
	    +fn1[s]*fn2[s]*mesq_ubu
	    +fn1[s]*fn2[c]*mesq_ubu
	    +fn1[s]*fn2[b]*mesq_ubu
	    +fn1[c]*fn2[d]*mesq_ubu
	    +fn1[c]*fn2[s]*mesq_ubu
	    +fn1[c]*fn2[c]*mesq_ubu
	    +fn1[c]*fn2[b]*mesq_ubu
	    +fn1[b]*fn2[d]*mesq_ubu
	    +fn1[b]*fn2[s]*mesq_ubu
	    +fn1[b]*fn2[c]*mesq_ubu
	    +fn1[b]*fn2[b]*mesq_ubu
	    +fn1[bb]*fn2[bb]*mesq_uub
	    +fn1[bb]*fn2[cb]*mesq_uub
	    +fn1[bb]*fn2[sb]*mesq_uub
	    +fn1[bb]*fn2[db]*mesq_uub
	    +fn1[cb]*fn2[bb]*mesq_uub
	    +fn1[cb]*fn2[cb]*mesq_uub
	    +fn1[cb]*fn2[sb]*mesq_uub
	    +fn1[cb]*fn2[db]*mesq_uub
	    +fn1[sb]*fn2[bb]*mesq_uub
	    +fn1[sb]*fn2[cb]*mesq_uub
	    +fn1[sb]*fn2[sb]*mesq_uub
	    +fn1[sb]*fn2[db]*mesq_uub
	    +fn1[db]*fn2[bb]*mesq_uub
	    +fn1[db]*fn2[cb]*mesq_uub
	    +fn1[db]*fn2[sb]*mesq_uub
	    +fn1[db]*fn2[db]*mesq_uub
	    +fn1[bb]*fn2[bb]*mesq_ddb
	    +fn1[bb]*fn2[cb]*mesq_ddb
	    +fn1[bb]*fn2[sb]*mesq_ddb
	    +fn1[bb]*fn2[ub]*mesq_ddb
	    +fn1[cb]*fn2[bb]*mesq_ddb
	    +fn1[cb]*fn2[cb]*mesq_ddb
	    +fn1[cb]*fn2[sb]*mesq_ddb
	    +fn1[cb]*fn2[ub]*mesq_ddb
	    +fn1[sb]*fn2[bb]*mesq_ddb
	    +fn1[sb]*fn2[cb]*mesq_ddb
	    +fn1[sb]*fn2[sb]*mesq_ddb
	    +fn1[sb]*fn2[ub]*mesq_ddb
	    +fn1[ub]*fn2[bb]*mesq_ddb
	    +fn1[ub]*fn2[cb]*mesq_ddb
	    +fn1[ub]*fn2[sb]*mesq_ddb
	    +fn1[ub]*fn2[ub]*mesq_ddb
	    +fn1[bb]*fn2[bb]*mesq_ssb
	    +fn1[bb]*fn2[cb]*mesq_ssb
	    +fn1[bb]*fn2[db]*mesq_ssb
	    +fn1[bb]*fn2[ub]*mesq_ssb
	    +fn1[cb]*fn2[bb]*mesq_ssb
	    +fn1[cb]*fn2[cb]*mesq_ssb
	    +fn1[cb]*fn2[db]*mesq_ssb
	    +fn1[cb]*fn2[ub]*mesq_ssb
	    +fn1[db]*fn2[bb]*mesq_ssb
	    +fn1[db]*fn2[cb]*mesq_ssb
	    +fn1[db]*fn2[db]*mesq_ssb
	    +fn1[db]*fn2[ub]*mesq_ssb
	    +fn1[ub]*fn2[bb]*mesq_ssb
	    +fn1[ub]*fn2[cb]*mesq_ssb
	    +fn1[ub]*fn2[db]*mesq_ssb
	    +fn1[ub]*fn2[ub]*mesq_ssb
	    +fn1[bb]*fn2[bb]*mesq_ccb
	    +fn1[bb]*fn2[sb]*mesq_ccb
	    +fn1[bb]*fn2[db]*mesq_ccb
	    +fn1[bb]*fn2[ub]*mesq_ccb
	    +fn1[sb]*fn2[bb]*mesq_ccb
	    +fn1[sb]*fn2[sb]*mesq_ccb
	    +fn1[sb]*fn2[db]*mesq_ccb
	    +fn1[sb]*fn2[ub]*mesq_ccb
	    +fn1[db]*fn2[bb]*mesq_ccb
	    +fn1[db]*fn2[sb]*mesq_ccb
	    +fn1[db]*fn2[db]*mesq_ccb
	    +fn1[db]*fn2[ub]*mesq_ccb
	    +fn1[ub]*fn2[bb]*mesq_ccb
	    +fn1[ub]*fn2[sb]*mesq_ccb
	    +fn1[ub]*fn2[db]*mesq_ccb
	    +fn1[ub]*fn2[ub]*mesq_ccb
	    +fn1[cb]*fn2[cb]*mesq_bbr
	    +fn1[cb]*fn2[sb]*mesq_bbr
	    +fn1[cb]*fn2[db]*mesq_bbr
	    +fn1[cb]*fn2[ub]*mesq_bbr
	    +fn1[sb]*fn2[cb]*mesq_bbr
	    +fn1[sb]*fn2[sb]*mesq_bbr
	    +fn1[sb]*fn2[db]*mesq_bbr
	    +fn1[sb]*fn2[ub]*mesq_bbr
	    +fn1[db]*fn2[cb]*mesq_bbr
	    +fn1[db]*fn2[sb]*mesq_bbr
	    +fn1[db]*fn2[db]*mesq_bbr
	    +fn1[db]*fn2[ub]*mesq_bbr
	    +fn1[ub]*fn2[cb]*mesq_bbr
	    +fn1[ub]*fn2[sb]*mesq_bbr
	    +fn1[ub]*fn2[db]*mesq_bbr
	    +fn1[ub]*fn2[ub]*mesq_bbr;
	  QPQBPN=
	    +fn1[cb]*fn2[u]*mesq_brb
	    +fn1[cb]*fn2[d]*mesq_brb
	    +fn1[cb]*fn2[s]*mesq_brb
	    +fn1[cb]*fn2[c]*mesq_brb
	    +fn1[sb]*fn2[u]*mesq_brb
	    +fn1[sb]*fn2[d]*mesq_brb
	    +fn1[sb]*fn2[s]*mesq_brb
	    +fn1[sb]*fn2[c]*mesq_brb
	    +fn1[db]*fn2[u]*mesq_brb
	    +fn1[db]*fn2[d]*mesq_brb
	    +fn1[db]*fn2[s]*mesq_brb
	    +fn1[db]*fn2[c]*mesq_brb
	    +fn1[ub]*fn2[u]*mesq_brb
	    +fn1[ub]*fn2[d]*mesq_brb
	    +fn1[ub]*fn2[s]*mesq_brb
	    +fn1[ub]*fn2[c]*mesq_brb
	    +fn1[bb]*fn2[u]*mesq_cbc
	    +fn1[bb]*fn2[d]*mesq_cbc
	    +fn1[bb]*fn2[s]*mesq_cbc
	    +fn1[bb]*fn2[b]*mesq_cbc
	    +fn1[sb]*fn2[u]*mesq_cbc
	    +fn1[sb]*fn2[d]*mesq_cbc
	    +fn1[sb]*fn2[s]*mesq_cbc
	    +fn1[sb]*fn2[b]*mesq_cbc
	    +fn1[db]*fn2[u]*mesq_cbc
	    +fn1[db]*fn2[d]*mesq_cbc
	    +fn1[db]*fn2[s]*mesq_cbc
	    +fn1[db]*fn2[b]*mesq_cbc
	    +fn1[ub]*fn2[u]*mesq_cbc
	    +fn1[ub]*fn2[d]*mesq_cbc
	    +fn1[ub]*fn2[s]*mesq_cbc
	    +fn1[ub]*fn2[b]*mesq_cbc
	    +fn1[bb]*fn2[u]*mesq_sbs
	    +fn1[bb]*fn2[d]*mesq_sbs
	    +fn1[bb]*fn2[c]*mesq_sbs
	    +fn1[bb]*fn2[b]*mesq_sbs
	    +fn1[cb]*fn2[u]*mesq_sbs
	    +fn1[cb]*fn2[d]*mesq_sbs
	    +fn1[cb]*fn2[c]*mesq_sbs
	    +fn1[cb]*fn2[b]*mesq_sbs
	    +fn1[db]*fn2[u]*mesq_sbs
	    +fn1[db]*fn2[d]*mesq_sbs
	    +fn1[db]*fn2[c]*mesq_sbs
	    +fn1[db]*fn2[b]*mesq_sbs
	    +fn1[ub]*fn2[u]*mesq_sbs
	    +fn1[ub]*fn2[d]*mesq_sbs
	    +fn1[ub]*fn2[c]*mesq_sbs
	    +fn1[ub]*fn2[b]*mesq_sbs
	    +fn1[bb]*fn2[u]*mesq_dbd
	    +fn1[bb]*fn2[s]*mesq_dbd
	    +fn1[bb]*fn2[c]*mesq_dbd
	    +fn1[bb]*fn2[b]*mesq_dbd
	    +fn1[cb]*fn2[u]*mesq_dbd
	    +fn1[cb]*fn2[s]*mesq_dbd
	    +fn1[cb]*fn2[c]*mesq_dbd
	    +fn1[cb]*fn2[b]*mesq_dbd
	    +fn1[sb]*fn2[u]*mesq_dbd
	    +fn1[sb]*fn2[s]*mesq_dbd
	    +fn1[sb]*fn2[c]*mesq_dbd
	    +fn1[sb]*fn2[b]*mesq_dbd
	    +fn1[ub]*fn2[u]*mesq_dbd
	    +fn1[ub]*fn2[s]*mesq_dbd
	    +fn1[ub]*fn2[c]*mesq_dbd
	    +fn1[ub]*fn2[b]*mesq_dbd
	    +fn1[bb]*fn2[d]*mesq_ubu
	    +fn1[bb]*fn2[s]*mesq_ubu
	    +fn1[bb]*fn2[c]*mesq_ubu
	    +fn1[bb]*fn2[b]*mesq_ubu
	    +fn1[cb]*fn2[d]*mesq_ubu
	    +fn1[cb]*fn2[s]*mesq_ubu
	    +fn1[cb]*fn2[c]*mesq_ubu
	    +fn1[cb]*fn2[b]*mesq_ubu
	    +fn1[sb]*fn2[d]*mesq_ubu
	    +fn1[sb]*fn2[s]*mesq_ubu
	    +fn1[sb]*fn2[c]*mesq_ubu
	    +fn1[sb]*fn2[b]*mesq_ubu
	    +fn1[db]*fn2[d]*mesq_ubu
	    +fn1[db]*fn2[s]*mesq_ubu
	    +fn1[db]*fn2[c]*mesq_ubu
	    +fn1[db]*fn2[b]*mesq_ubu
	    +fn1[d]*fn2[bb]*mesq_uub
	    +fn1[d]*fn2[cb]*mesq_uub
	    +fn1[d]*fn2[sb]*mesq_uub
	    +fn1[d]*fn2[db]*mesq_uub
	    +fn1[s]*fn2[bb]*mesq_uub
	    +fn1[s]*fn2[cb]*mesq_uub
	    +fn1[s]*fn2[sb]*mesq_uub
	    +fn1[s]*fn2[db]*mesq_uub
	    +fn1[c]*fn2[bb]*mesq_uub
	    +fn1[c]*fn2[cb]*mesq_uub
	    +fn1[c]*fn2[sb]*mesq_uub
	    +fn1[c]*fn2[db]*mesq_uub
	    +fn1[b]*fn2[bb]*mesq_uub
	    +fn1[b]*fn2[cb]*mesq_uub
	    +fn1[b]*fn2[sb]*mesq_uub
	    +fn1[b]*fn2[db]*mesq_uub
	    +fn1[u]*fn2[bb]*mesq_ddb
	    +fn1[u]*fn2[cb]*mesq_ddb
	    +fn1[u]*fn2[sb]*mesq_ddb
	    +fn1[u]*fn2[ub]*mesq_ddb
	    +fn1[s]*fn2[bb]*mesq_ddb
	    +fn1[s]*fn2[cb]*mesq_ddb
	    +fn1[s]*fn2[sb]*mesq_ddb
	    +fn1[s]*fn2[ub]*mesq_ddb
	    +fn1[c]*fn2[bb]*mesq_ddb
	    +fn1[c]*fn2[cb]*mesq_ddb
	    +fn1[c]*fn2[sb]*mesq_ddb
	    +fn1[c]*fn2[ub]*mesq_ddb
	    +fn1[b]*fn2[bb]*mesq_ddb
	    +fn1[b]*fn2[cb]*mesq_ddb
	    +fn1[b]*fn2[sb]*mesq_ddb
	    +fn1[b]*fn2[ub]*mesq_ddb
	    +fn1[u]*fn2[bb]*mesq_ssb
	    +fn1[u]*fn2[cb]*mesq_ssb
	    +fn1[u]*fn2[db]*mesq_ssb
	    +fn1[u]*fn2[ub]*mesq_ssb
	    +fn1[d]*fn2[bb]*mesq_ssb
	    +fn1[d]*fn2[cb]*mesq_ssb
	    +fn1[d]*fn2[db]*mesq_ssb
	    +fn1[d]*fn2[ub]*mesq_ssb
	    +fn1[c]*fn2[bb]*mesq_ssb
	    +fn1[c]*fn2[cb]*mesq_ssb
	    +fn1[c]*fn2[db]*mesq_ssb
	    +fn1[c]*fn2[ub]*mesq_ssb
	    +fn1[b]*fn2[bb]*mesq_ssb
	    +fn1[b]*fn2[cb]*mesq_ssb
	    +fn1[b]*fn2[db]*mesq_ssb
	    +fn1[b]*fn2[ub]*mesq_ssb
	    +fn1[u]*fn2[bb]*mesq_ccb
	    +fn1[u]*fn2[sb]*mesq_ccb
	    +fn1[u]*fn2[db]*mesq_ccb
	    +fn1[u]*fn2[ub]*mesq_ccb
	    +fn1[d]*fn2[bb]*mesq_ccb
	    +fn1[d]*fn2[sb]*mesq_ccb
	    +fn1[d]*fn2[db]*mesq_ccb
	    +fn1[d]*fn2[ub]*mesq_ccb
	    +fn1[s]*fn2[bb]*mesq_ccb
	    +fn1[s]*fn2[sb]*mesq_ccb
	    +fn1[s]*fn2[db]*mesq_ccb
	    +fn1[s]*fn2[ub]*mesq_ccb
	    +fn1[b]*fn2[bb]*mesq_ccb
	    +fn1[b]*fn2[sb]*mesq_ccb
	    +fn1[b]*fn2[db]*mesq_ccb
	    +fn1[b]*fn2[ub]*mesq_ccb
	    +fn1[u]*fn2[cb]*mesq_bbr
	    +fn1[u]*fn2[sb]*mesq_bbr
	    +fn1[u]*fn2[db]*mesq_bbr
	    +fn1[u]*fn2[ub]*mesq_bbr
	    +fn1[d]*fn2[cb]*mesq_bbr
	    +fn1[d]*fn2[sb]*mesq_bbr
	    +fn1[d]*fn2[db]*mesq_bbr
	    +fn1[d]*fn2[ub]*mesq_bbr
	    +fn1[s]*fn2[cb]*mesq_bbr
	    +fn1[s]*fn2[sb]*mesq_bbr
	    +fn1[s]*fn2[db]*mesq_bbr
	    +fn1[s]*fn2[ub]*mesq_bbr
	    +fn1[c]*fn2[cb]*mesq_bbr
	    +fn1[c]*fn2[sb]*mesq_bbr
	    +fn1[c]*fn2[db]*mesq_bbr
	    +fn1[c]*fn2[ub]*mesq_bbr;
	  QBPQPN=
	    +fn1[u]*fn2[cb]*mesq_brb
	    +fn1[u]*fn2[sb]*mesq_brb
	    +fn1[u]*fn2[db]*mesq_brb
	    +fn1[u]*fn2[ub]*mesq_brb
	    +fn1[d]*fn2[cb]*mesq_brb
	    +fn1[d]*fn2[sb]*mesq_brb
	    +fn1[d]*fn2[db]*mesq_brb
	    +fn1[d]*fn2[ub]*mesq_brb
	    +fn1[s]*fn2[cb]*mesq_brb
	    +fn1[s]*fn2[sb]*mesq_brb
	    +fn1[s]*fn2[db]*mesq_brb
	    +fn1[s]*fn2[ub]*mesq_brb
	    +fn1[c]*fn2[cb]*mesq_brb
	    +fn1[c]*fn2[sb]*mesq_brb
	    +fn1[c]*fn2[db]*mesq_brb
	    +fn1[c]*fn2[ub]*mesq_brb
	    +fn1[u]*fn2[bb]*mesq_cbc
	    +fn1[u]*fn2[sb]*mesq_cbc
	    +fn1[u]*fn2[db]*mesq_cbc
	    +fn1[u]*fn2[ub]*mesq_cbc
	    +fn1[d]*fn2[bb]*mesq_cbc
	    +fn1[d]*fn2[sb]*mesq_cbc
	    +fn1[d]*fn2[db]*mesq_cbc
	    +fn1[d]*fn2[ub]*mesq_cbc
	    +fn1[s]*fn2[bb]*mesq_cbc
	    +fn1[s]*fn2[sb]*mesq_cbc
	    +fn1[s]*fn2[db]*mesq_cbc
	    +fn1[s]*fn2[ub]*mesq_cbc
	    +fn1[b]*fn2[bb]*mesq_cbc
	    +fn1[b]*fn2[sb]*mesq_cbc
	    +fn1[b]*fn2[db]*mesq_cbc
	    +fn1[b]*fn2[ub]*mesq_cbc
	    +fn1[u]*fn2[bb]*mesq_sbs
	    +fn1[u]*fn2[cb]*mesq_sbs
	    +fn1[u]*fn2[db]*mesq_sbs
	    +fn1[u]*fn2[ub]*mesq_sbs
	    +fn1[d]*fn2[bb]*mesq_sbs
	    +fn1[d]*fn2[cb]*mesq_sbs
	    +fn1[d]*fn2[db]*mesq_sbs
	    +fn1[d]*fn2[ub]*mesq_sbs
	    +fn1[c]*fn2[bb]*mesq_sbs
	    +fn1[c]*fn2[cb]*mesq_sbs
	    +fn1[c]*fn2[db]*mesq_sbs
	    +fn1[c]*fn2[ub]*mesq_sbs
	    +fn1[b]*fn2[bb]*mesq_sbs
	    +fn1[b]*fn2[cb]*mesq_sbs
	    +fn1[b]*fn2[db]*mesq_sbs
	    +fn1[b]*fn2[ub]*mesq_sbs
	    +fn1[u]*fn2[bb]*mesq_dbd
	    +fn1[u]*fn2[cb]*mesq_dbd
	    +fn1[u]*fn2[sb]*mesq_dbd
	    +fn1[u]*fn2[ub]*mesq_dbd
	    +fn1[s]*fn2[bb]*mesq_dbd
	    +fn1[s]*fn2[cb]*mesq_dbd
	    +fn1[s]*fn2[sb]*mesq_dbd
	    +fn1[s]*fn2[ub]*mesq_dbd
	    +fn1[c]*fn2[bb]*mesq_dbd
	    +fn1[c]*fn2[cb]*mesq_dbd
	    +fn1[c]*fn2[sb]*mesq_dbd
	    +fn1[c]*fn2[ub]*mesq_dbd
	    +fn1[b]*fn2[bb]*mesq_dbd
	    +fn1[b]*fn2[cb]*mesq_dbd
	    +fn1[b]*fn2[sb]*mesq_dbd
	    +fn1[b]*fn2[ub]*mesq_dbd
	    +fn1[d]*fn2[bb]*mesq_ubu
	    +fn1[d]*fn2[cb]*mesq_ubu
	    +fn1[d]*fn2[sb]*mesq_ubu
	    +fn1[d]*fn2[db]*mesq_ubu
	    +fn1[s]*fn2[bb]*mesq_ubu
	    +fn1[s]*fn2[cb]*mesq_ubu
	    +fn1[s]*fn2[sb]*mesq_ubu
	    +fn1[s]*fn2[db]*mesq_ubu
	    +fn1[c]*fn2[bb]*mesq_ubu
	    +fn1[c]*fn2[cb]*mesq_ubu
	    +fn1[c]*fn2[sb]*mesq_ubu
	    +fn1[c]*fn2[db]*mesq_ubu
	    +fn1[b]*fn2[bb]*mesq_ubu
	    +fn1[b]*fn2[cb]*mesq_ubu
	    +fn1[b]*fn2[sb]*mesq_ubu
	    +fn1[b]*fn2[db]*mesq_ubu
	    +fn1[bb]*fn2[d]*mesq_uub
	    +fn1[bb]*fn2[s]*mesq_uub
	    +fn1[bb]*fn2[c]*mesq_uub
	    +fn1[bb]*fn2[b]*mesq_uub
	    +fn1[cb]*fn2[d]*mesq_uub
	    +fn1[cb]*fn2[s]*mesq_uub
	    +fn1[cb]*fn2[c]*mesq_uub
	    +fn1[cb]*fn2[b]*mesq_uub
	    +fn1[sb]*fn2[d]*mesq_uub
	    +fn1[sb]*fn2[s]*mesq_uub
	    +fn1[sb]*fn2[c]*mesq_uub
	    +fn1[sb]*fn2[b]*mesq_uub
	    +fn1[db]*fn2[d]*mesq_uub
	    +fn1[db]*fn2[s]*mesq_uub
	    +fn1[db]*fn2[c]*mesq_uub
	    +fn1[db]*fn2[b]*mesq_uub
	    +fn1[bb]*fn2[u]*mesq_ddb
	    +fn1[bb]*fn2[s]*mesq_ddb
	    +fn1[bb]*fn2[c]*mesq_ddb
	    +fn1[bb]*fn2[b]*mesq_ddb
	    +fn1[cb]*fn2[u]*mesq_ddb
	    +fn1[cb]*fn2[s]*mesq_ddb
	    +fn1[cb]*fn2[c]*mesq_ddb
	    +fn1[cb]*fn2[b]*mesq_ddb
	    +fn1[sb]*fn2[u]*mesq_ddb
	    +fn1[sb]*fn2[s]*mesq_ddb
	    +fn1[sb]*fn2[c]*mesq_ddb
	    +fn1[sb]*fn2[b]*mesq_ddb
	    +fn1[ub]*fn2[u]*mesq_ddb
	    +fn1[ub]*fn2[s]*mesq_ddb
	    +fn1[ub]*fn2[c]*mesq_ddb
	    +fn1[ub]*fn2[b]*mesq_ddb
	    +fn1[bb]*fn2[u]*mesq_ssb
	    +fn1[bb]*fn2[d]*mesq_ssb
	    +fn1[bb]*fn2[c]*mesq_ssb
	    +fn1[bb]*fn2[b]*mesq_ssb
	    +fn1[cb]*fn2[u]*mesq_ssb
	    +fn1[cb]*fn2[d]*mesq_ssb
	    +fn1[cb]*fn2[c]*mesq_ssb
	    +fn1[cb]*fn2[b]*mesq_ssb
	    +fn1[db]*fn2[u]*mesq_ssb
	    +fn1[db]*fn2[d]*mesq_ssb
	    +fn1[db]*fn2[c]*mesq_ssb
	    +fn1[db]*fn2[b]*mesq_ssb
	    +fn1[ub]*fn2[u]*mesq_ssb
	    +fn1[ub]*fn2[d]*mesq_ssb
	    +fn1[ub]*fn2[c]*mesq_ssb
	    +fn1[ub]*fn2[b]*mesq_ssb
	    +fn1[bb]*fn2[u]*mesq_ccb
	    +fn1[bb]*fn2[d]*mesq_ccb
	    +fn1[bb]*fn2[s]*mesq_ccb
	    +fn1[bb]*fn2[b]*mesq_ccb
	    +fn1[sb]*fn2[u]*mesq_ccb
	    +fn1[sb]*fn2[d]*mesq_ccb
	    +fn1[sb]*fn2[s]*mesq_ccb
	    +fn1[sb]*fn2[b]*mesq_ccb
	    +fn1[db]*fn2[u]*mesq_ccb
	    +fn1[db]*fn2[d]*mesq_ccb
	    +fn1[db]*fn2[s]*mesq_ccb
	    +fn1[db]*fn2[b]*mesq_ccb
	    +fn1[ub]*fn2[u]*mesq_ccb
	    +fn1[ub]*fn2[d]*mesq_ccb
	    +fn1[ub]*fn2[s]*mesq_ccb
	    +fn1[ub]*fn2[b]*mesq_ccb
	    +fn1[cb]*fn2[u]*mesq_bbr
	    +fn1[cb]*fn2[d]*mesq_bbr
	    +fn1[cb]*fn2[s]*mesq_bbr
	    +fn1[cb]*fn2[c]*mesq_bbr
	    +fn1[sb]*fn2[u]*mesq_bbr
	    +fn1[sb]*fn2[d]*mesq_bbr
	    +fn1[sb]*fn2[s]*mesq_bbr
	    +fn1[sb]*fn2[c]*mesq_bbr
	    +fn1[db]*fn2[u]*mesq_bbr
	    +fn1[db]*fn2[d]*mesq_bbr
	    +fn1[db]*fn2[s]*mesq_bbr
	    +fn1[db]*fn2[c]*mesq_bbr
	    +fn1[ub]*fn2[u]*mesq_bbr
	    +fn1[ub]*fn2[d]*mesq_bbr
	    +fn1[ub]*fn2[s]*mesq_bbr
	    +fn1[ub]*fn2[c]*mesq_bbr;
	}      
    }
  if (opts.nproc == 1)
    {
      //DYRES convention
      // bb cb sb db ub g u d s c b
      // -5 -4 -3 -2 -1 0 1 2 3 4 5
      complex <double> mesq_udb = mesq::mesqij_expy[mesq::index(0,i1,i2,sign)];
      complex <double> mesq_dbu = mesq::mesqij_expy[mesq::index(1,i1,i2,sign)];
      complex <double> mesq_usb = mesq::mesqij_expy[mesq::index(2,i1,i2,sign)];
      complex <double> mesq_sbu = mesq::mesqij_expy[mesq::index(3,i1,i2,sign)];
      complex <double> mesq_ubb = mesq::mesqij_expy[mesq::index(4,i1,i2,sign)];
      complex <double> mesq_bbu = mesq::mesqij_expy[mesq::index(5,i1,i2,sign)];
      complex <double> mesq_csb = mesq::mesqij_expy[mesq::index(6,i1,i2,sign)];
      complex <double> mesq_sbc = mesq::mesqij_expy[mesq::index(7,i1,i2,sign)];
      complex <double> mesq_cdb = mesq::mesqij_expy[mesq::index(8,i1,i2,sign)];
      complex <double> mesq_dbc = mesq::mesqij_expy[mesq::index(9,i1,i2,sign)];
      complex <double> mesq_cbb = mesq::mesqij_expy[mesq::index(10,i1,i2,sign)];
      complex <double> mesq_bbc = mesq::mesqij_expy[mesq::index(11,i1,i2,sign)];

      //LL part
      QQBN = fn1[u ]*fn2[db]*mesq_udb
	   + fn1[u ]*fn2[sb]*mesq_usb
	   + fn1[u ]*fn2[bb]*mesq_ubb
	   + fn1[c ]*fn2[db]*mesq_cdb
	   + fn1[c ]*fn2[sb]*mesq_csb
	   + fn1[c ]*fn2[bb]*mesq_cbb
	   + fn1[db]*fn2[u ]*mesq_dbu
	   + fn1[db]*fn2[c ]*mesq_dbc
	   + fn1[sb]*fn2[u ]*mesq_sbu
	   + fn1[sb]*fn2[c ]*mesq_sbc
	   + fn1[bb]*fn2[u ]*mesq_bbu
	   + fn1[bb]*fn2[c ]*mesq_bbc;

      // NLL part
      if (opts.order >= 1)
	{
	  QGN_1 = fn1[g]*(fn2[db]*mesq_udb
			  + fn2[sb]*mesq_usb
			  + fn2[bb]*mesq_ubb
			  + fn2[db]*mesq_cdb
			  + fn2[sb]*mesq_csb
			  + fn2[bb]*mesq_cbb
			  + fn2[u]*mesq_dbu
			  + fn2[c]*mesq_dbc
			  + fn2[u]*mesq_sbu
			  + fn2[c]*mesq_sbc
			  + fn2[u]*mesq_bbu
			  + fn2[c]*mesq_bbc);
      
	  QGN_2 = fn2[g]*(fn1[u]*mesq_udb
			  + fn1[u]*mesq_usb
			  + fn1[u]*mesq_ubb
			  + fn1[c]*mesq_cdb
			  + fn1[c]*mesq_csb
			  + fn1[c]*mesq_cbb
			  + fn1[db]*mesq_dbu
			  + fn1[db]*mesq_dbc
			  + fn1[sb]*mesq_sbu
			  + fn1[sb]*mesq_sbc
			  + fn1[bb]*mesq_bbu
			  + fn1[bb]*mesq_bbc);
	}
      
      //NNLL
      if (opts.order >= 2)
	{
	  GGN = fn1[g]*fn2[g]*
	    (mesq_udb
             +   mesq_usb
             +   mesq_ubb
             +   mesq_cdb
             +   mesq_csb
             +   mesq_cbb
             +   mesq_dbu
             +   mesq_dbc
             +   mesq_sbu
             +   mesq_sbc
             +   mesq_bbu
	     +   mesq_bbc);

	  QQN_1 = fn1[ub]*fn2[db]*mesq_udb
	    + fn1[ub]*fn2[sb]*mesq_usb
	    + fn1[ub]*fn2[bb]*mesq_ubb
	    + fn1[cb]*fn2[db]*mesq_cdb
	    + fn1[cb]*fn2[sb]*mesq_csb
	    + fn1[cb]*fn2[bb]*mesq_cbb
	    + fn1[d]*fn2[u]*mesq_dbu
	    + fn1[d]*fn2[c]*mesq_dbc
	    + fn1[s]*fn2[u]*mesq_sbu
	    + fn1[s]*fn2[c]*mesq_sbc
	    + fn1[b]*fn2[u]*mesq_bbu
	    + fn1[b]*fn2[c]*mesq_bbc;
	  
	  QQN_2 = fn1[u]*fn2[d]*mesq_udb
	    + fn1[u]*fn2[s]*mesq_usb
	    + fn1[u]*fn2[b]*mesq_ubb
	    + fn1[c]*fn2[d]*mesq_cdb
	    + fn1[c]*fn2[s]*mesq_csb
	    + fn1[c]*fn2[b]*mesq_cbb
	    + fn1[db]*fn2[ub]*mesq_dbu
	    + fn1[db]*fn2[cb]*mesq_dbc
	    + fn1[sb]*fn2[ub]*mesq_sbu
	    + fn1[sb]*fn2[cb]*mesq_sbc
	    + fn1[bb]*fn2[ub]*mesq_bbu
	    + fn1[bb]*fn2[cb]*mesq_bbc;

	  QQPN_1=
	    +fn1[u]*fn2[u]*mesq_bbu
	    +fn1[d]*fn2[u]*mesq_bbu
	    +fn1[s]*fn2[u]*mesq_bbu
	    +fn1[c]*fn2[u]*mesq_bbu
	    +fn1[u]*fn2[c]*mesq_bbc
	    +fn1[d]*fn2[c]*mesq_bbc
	    +fn1[s]*fn2[c]*mesq_bbc
	    +fn1[c]*fn2[c]*mesq_bbc
	    +fn1[u]*fn2[u]*mesq_sbu
	    +fn1[d]*fn2[u]*mesq_sbu
	    +fn1[c]*fn2[u]*mesq_sbu
	    +fn1[b]*fn2[u]*mesq_sbu
	    +fn1[u]*fn2[c]*mesq_sbc
	    +fn1[d]*fn2[c]*mesq_sbc
	    +fn1[c]*fn2[c]*mesq_sbc
	    +fn1[b]*fn2[c]*mesq_sbc
	    +fn1[u]*fn2[u]*mesq_dbu
	    +fn1[s]*fn2[u]*mesq_dbu
	    +fn1[c]*fn2[u]*mesq_dbu
	    +fn1[b]*fn2[u]*mesq_dbu
	    +fn1[u]*fn2[c]*mesq_dbc
	    +fn1[s]*fn2[c]*mesq_dbc
	    +fn1[c]*fn2[c]*mesq_dbc
	    +fn1[b]*fn2[c]*mesq_dbc
	    +fn1[bb]*fn2[bb]*mesq_ubb
	    +fn1[cb]*fn2[bb]*mesq_ubb
	    +fn1[sb]*fn2[bb]*mesq_ubb
	    +fn1[db]*fn2[bb]*mesq_ubb
	    +fn1[bb]*fn2[sb]*mesq_usb
	    +fn1[cb]*fn2[sb]*mesq_usb
	    +fn1[sb]*fn2[sb]*mesq_usb
	    +fn1[db]*fn2[sb]*mesq_usb
	    +fn1[bb]*fn2[db]*mesq_udb
	    +fn1[cb]*fn2[db]*mesq_udb
	    +fn1[sb]*fn2[db]*mesq_udb
	    +fn1[db]*fn2[db]*mesq_udb
	    +fn1[bb]*fn2[bb]*mesq_cbb
	    +fn1[sb]*fn2[bb]*mesq_cbb
	    +fn1[db]*fn2[bb]*mesq_cbb
	    +fn1[ub]*fn2[bb]*mesq_cbb
	    +fn1[bb]*fn2[sb]*mesq_csb
	    +fn1[sb]*fn2[sb]*mesq_csb
	    +fn1[db]*fn2[sb]*mesq_csb
	    +fn1[ub]*fn2[sb]*mesq_csb
	    +fn1[bb]*fn2[db]*mesq_cdb
	    +fn1[sb]*fn2[db]*mesq_cdb
	    +fn1[db]*fn2[db]*mesq_cdb
	    +fn1[ub]*fn2[db]*mesq_cdb;
	  QQPN_2=
	    +fn1[bb]*fn2[bb]*mesq_bbu
	    +fn1[bb]*fn2[cb]*mesq_bbu
	    +fn1[bb]*fn2[sb]*mesq_bbu
	    +fn1[bb]*fn2[db]*mesq_bbu
	    +fn1[bb]*fn2[bb]*mesq_bbc
	    +fn1[bb]*fn2[sb]*mesq_bbc
	    +fn1[bb]*fn2[db]*mesq_bbc
	    +fn1[bb]*fn2[ub]*mesq_bbc
	    +fn1[sb]*fn2[bb]*mesq_sbu
	    +fn1[sb]*fn2[cb]*mesq_sbu
	    +fn1[sb]*fn2[sb]*mesq_sbu
	    +fn1[sb]*fn2[db]*mesq_sbu
	    +fn1[sb]*fn2[bb]*mesq_sbc
	    +fn1[sb]*fn2[sb]*mesq_sbc
	    +fn1[sb]*fn2[db]*mesq_sbc
	    +fn1[sb]*fn2[ub]*mesq_sbc
	    +fn1[db]*fn2[bb]*mesq_dbu
	    +fn1[db]*fn2[cb]*mesq_dbu
	    +fn1[db]*fn2[sb]*mesq_dbu
	    +fn1[db]*fn2[db]*mesq_dbu
	    +fn1[db]*fn2[bb]*mesq_dbc
	    +fn1[db]*fn2[sb]*mesq_dbc
	    +fn1[db]*fn2[db]*mesq_dbc
	    +fn1[db]*fn2[ub]*mesq_dbc
	    +fn1[u]*fn2[u]*mesq_ubb
	    +fn1[u]*fn2[d]*mesq_ubb
	    +fn1[u]*fn2[s]*mesq_ubb
	    +fn1[u]*fn2[c]*mesq_ubb
	    +fn1[u]*fn2[u]*mesq_usb
	    +fn1[u]*fn2[d]*mesq_usb
	    +fn1[u]*fn2[c]*mesq_usb
	    +fn1[u]*fn2[b]*mesq_usb
	    +fn1[u]*fn2[u]*mesq_udb
	    +fn1[u]*fn2[s]*mesq_udb
	    +fn1[u]*fn2[c]*mesq_udb
	    +fn1[u]*fn2[b]*mesq_udb
	    +fn1[c]*fn2[u]*mesq_cbb
	    +fn1[c]*fn2[d]*mesq_cbb
	    +fn1[c]*fn2[s]*mesq_cbb
	    +fn1[c]*fn2[c]*mesq_cbb
	    +fn1[c]*fn2[u]*mesq_csb
	    +fn1[c]*fn2[d]*mesq_csb
	    +fn1[c]*fn2[c]*mesq_csb
	    +fn1[c]*fn2[b]*mesq_csb
	    +fn1[c]*fn2[u]*mesq_cdb
	    +fn1[c]*fn2[s]*mesq_cdb
	    +fn1[c]*fn2[c]*mesq_cdb
	    +fn1[c]*fn2[b]*mesq_cdb;

	  QQBPN_1=
	    +fn1[cb]*fn2[u]*mesq_bbu
	    +fn1[sb]*fn2[u]*mesq_bbu
	    +fn1[db]*fn2[u]*mesq_bbu
	    +fn1[ub]*fn2[u]*mesq_bbu
	    +fn1[cb]*fn2[c]*mesq_bbc
	    +fn1[sb]*fn2[c]*mesq_bbc
	    +fn1[db]*fn2[c]*mesq_bbc
	    +fn1[ub]*fn2[c]*mesq_bbc
	    +fn1[bb]*fn2[u]*mesq_sbu
	    +fn1[cb]*fn2[u]*mesq_sbu
	    +fn1[db]*fn2[u]*mesq_sbu
	    +fn1[ub]*fn2[u]*mesq_sbu
	    +fn1[bb]*fn2[c]*mesq_sbc
	    +fn1[cb]*fn2[c]*mesq_sbc
	    +fn1[db]*fn2[c]*mesq_sbc
	    +fn1[ub]*fn2[c]*mesq_sbc
	    +fn1[bb]*fn2[u]*mesq_dbu
	    +fn1[cb]*fn2[u]*mesq_dbu
	    +fn1[sb]*fn2[u]*mesq_dbu
	    +fn1[ub]*fn2[u]*mesq_dbu
	    +fn1[bb]*fn2[c]*mesq_dbc
	    +fn1[cb]*fn2[c]*mesq_dbc
	    +fn1[sb]*fn2[c]*mesq_dbc
	    +fn1[ub]*fn2[c]*mesq_dbc
	    +fn1[d]*fn2[bb]*mesq_ubb
	    +fn1[s]*fn2[bb]*mesq_ubb
	    +fn1[c]*fn2[bb]*mesq_ubb
	    +fn1[b]*fn2[bb]*mesq_ubb
	    +fn1[d]*fn2[sb]*mesq_usb
	    +fn1[s]*fn2[sb]*mesq_usb
	    +fn1[c]*fn2[sb]*mesq_usb
	    +fn1[b]*fn2[sb]*mesq_usb
	    +fn1[d]*fn2[db]*mesq_udb
	    +fn1[s]*fn2[db]*mesq_udb
	    +fn1[c]*fn2[db]*mesq_udb
	    +fn1[b]*fn2[db]*mesq_udb
	    +fn1[u]*fn2[bb]*mesq_cbb
	    +fn1[d]*fn2[bb]*mesq_cbb
	    +fn1[s]*fn2[bb]*mesq_cbb
	    +fn1[b]*fn2[bb]*mesq_cbb
	    +fn1[u]*fn2[sb]*mesq_csb
	    +fn1[d]*fn2[sb]*mesq_csb
	    +fn1[s]*fn2[sb]*mesq_csb
	    +fn1[b]*fn2[sb]*mesq_csb
	    +fn1[u]*fn2[db]*mesq_cdb
	    +fn1[d]*fn2[db]*mesq_cdb
	    +fn1[s]*fn2[db]*mesq_cdb
	    +fn1[b]*fn2[db]*mesq_cdb;
	  QQBPN_2=
	    +fn1[bb]*fn2[d]*mesq_bbu
	    +fn1[bb]*fn2[s]*mesq_bbu
	    +fn1[bb]*fn2[c]*mesq_bbu
	    +fn1[bb]*fn2[b]*mesq_bbu
	    +fn1[bb]*fn2[u]*mesq_bbc
	    +fn1[bb]*fn2[d]*mesq_bbc
	    +fn1[bb]*fn2[s]*mesq_bbc
	    +fn1[bb]*fn2[b]*mesq_bbc
	    +fn1[sb]*fn2[d]*mesq_sbu
	    +fn1[sb]*fn2[s]*mesq_sbu
	    +fn1[sb]*fn2[c]*mesq_sbu
	    +fn1[sb]*fn2[b]*mesq_sbu
	    +fn1[sb]*fn2[u]*mesq_sbc
	    +fn1[sb]*fn2[d]*mesq_sbc
	    +fn1[sb]*fn2[s]*mesq_sbc
	    +fn1[sb]*fn2[b]*mesq_sbc
	    +fn1[db]*fn2[d]*mesq_dbu
	    +fn1[db]*fn2[s]*mesq_dbu
	    +fn1[db]*fn2[c]*mesq_dbu
	    +fn1[db]*fn2[b]*mesq_dbu
	    +fn1[db]*fn2[u]*mesq_dbc
	    +fn1[db]*fn2[d]*mesq_dbc
	    +fn1[db]*fn2[s]*mesq_dbc
	    +fn1[db]*fn2[b]*mesq_dbc
	    +fn1[u]*fn2[cb]*mesq_ubb
	    +fn1[u]*fn2[sb]*mesq_ubb
	    +fn1[u]*fn2[db]*mesq_ubb
	    +fn1[u]*fn2[ub]*mesq_ubb
	    +fn1[u]*fn2[bb]*mesq_usb
	    +fn1[u]*fn2[cb]*mesq_usb
	    +fn1[u]*fn2[db]*mesq_usb
	    +fn1[u]*fn2[ub]*mesq_usb
	    +fn1[u]*fn2[bb]*mesq_udb
	    +fn1[u]*fn2[cb]*mesq_udb
	    +fn1[u]*fn2[sb]*mesq_udb
	    +fn1[u]*fn2[ub]*mesq_udb
	    +fn1[c]*fn2[cb]*mesq_cbb
	    +fn1[c]*fn2[sb]*mesq_cbb
	    +fn1[c]*fn2[db]*mesq_cbb
	    +fn1[c]*fn2[ub]*mesq_cbb
	    +fn1[c]*fn2[bb]*mesq_csb
	    +fn1[c]*fn2[cb]*mesq_csb
	    +fn1[c]*fn2[db]*mesq_csb
	    +fn1[c]*fn2[ub]*mesq_csb
	    +fn1[c]*fn2[bb]*mesq_cdb
	    +fn1[c]*fn2[cb]*mesq_cdb
	    +fn1[c]*fn2[sb]*mesq_cdb
	    +fn1[c]*fn2[ub]*mesq_cdb;
	}
      if (opts.order >= 3)
	{
	  QBGN_1 =
	    +fn1[g]*fn2[ub]*mesq_bbu
	    +fn1[g]*fn2[cb]*mesq_bbc
	    +fn1[g]*fn2[ub]*mesq_sbu
	    +fn1[g]*fn2[cb]*mesq_sbc
	    +fn1[g]*fn2[ub]*mesq_dbu
	    +fn1[g]*fn2[cb]*mesq_dbc
	    +fn1[g]*fn2[b]*mesq_ubb
	    +fn1[g]*fn2[s]*mesq_usb
	    +fn1[g]*fn2[d]*mesq_udb
	    +fn1[g]*fn2[b]*mesq_cbb
	    +fn1[g]*fn2[s]*mesq_csb
	    +fn1[g]*fn2[d]*mesq_cdb;
	  
	  QBGN_2 =
	    +fn1[b]*fn2[g]*mesq_bbu
	    +fn1[b]*fn2[g]*mesq_bbc
	    +fn1[s]*fn2[g]*mesq_sbu
	    +fn1[s]*fn2[g]*mesq_sbc
	    +fn1[d]*fn2[g]*mesq_dbu
	    +fn1[d]*fn2[g]*mesq_dbc
	    +fn1[ub]*fn2[g]*mesq_ubb
	    +fn1[ub]*fn2[g]*mesq_usb
	    +fn1[ub]*fn2[g]*mesq_udb
	    +fn1[cb]*fn2[g]*mesq_cbb
	    +fn1[cb]*fn2[g]*mesq_csb
	    +fn1[cb]*fn2[g]*mesq_cdb;
	  
	  QPGN_1 =
	    +fn1[g]*fn2[u]*mesq_bbu
	    +fn1[g]*fn2[d]*mesq_bbu
	    +fn1[g]*fn2[s]*mesq_bbu
	    +fn1[g]*fn2[c]*mesq_bbu
	    +fn1[g]*fn2[u]*mesq_bbc
	    +fn1[g]*fn2[d]*mesq_bbc
	    +fn1[g]*fn2[s]*mesq_bbc
	    +fn1[g]*fn2[c]*mesq_bbc
	    +fn1[g]*fn2[u]*mesq_sbu
	    +fn1[g]*fn2[d]*mesq_sbu
	    +fn1[g]*fn2[c]*mesq_sbu
	    +fn1[g]*fn2[b]*mesq_sbu
	    +fn1[g]*fn2[u]*mesq_sbc
	    +fn1[g]*fn2[d]*mesq_sbc
	    +fn1[g]*fn2[c]*mesq_sbc
	    +fn1[g]*fn2[b]*mesq_sbc
	    +fn1[g]*fn2[u]*mesq_dbu
	    +fn1[g]*fn2[s]*mesq_dbu
	    +fn1[g]*fn2[c]*mesq_dbu
	    +fn1[g]*fn2[b]*mesq_dbu
	    +fn1[g]*fn2[u]*mesq_dbc
	    +fn1[g]*fn2[s]*mesq_dbc
	    +fn1[g]*fn2[c]*mesq_dbc
	    +fn1[g]*fn2[b]*mesq_dbc
	    +fn1[g]*fn2[bb]*mesq_ubb
	    +fn1[g]*fn2[cb]*mesq_ubb
	    +fn1[g]*fn2[sb]*mesq_ubb
	    +fn1[g]*fn2[db]*mesq_ubb
	    +fn1[g]*fn2[bb]*mesq_usb
	    +fn1[g]*fn2[cb]*mesq_usb
	    +fn1[g]*fn2[sb]*mesq_usb
	    +fn1[g]*fn2[db]*mesq_usb
	    +fn1[g]*fn2[bb]*mesq_udb
	    +fn1[g]*fn2[cb]*mesq_udb
	    +fn1[g]*fn2[sb]*mesq_udb
	    +fn1[g]*fn2[db]*mesq_udb
	    +fn1[g]*fn2[bb]*mesq_cbb
	    +fn1[g]*fn2[sb]*mesq_cbb
	    +fn1[g]*fn2[db]*mesq_cbb
	    +fn1[g]*fn2[ub]*mesq_cbb
	    +fn1[g]*fn2[bb]*mesq_csb
	    +fn1[g]*fn2[sb]*mesq_csb
	    +fn1[g]*fn2[db]*mesq_csb
	    +fn1[g]*fn2[ub]*mesq_csb
	    +fn1[g]*fn2[bb]*mesq_cdb
	    +fn1[g]*fn2[sb]*mesq_cdb
	    +fn1[g]*fn2[db]*mesq_cdb
	    +fn1[g]*fn2[ub]*mesq_cdb;

	  QPGN_2 =
	    +fn1[u]*fn2[g]*mesq_bbu
	    +fn1[d]*fn2[g]*mesq_bbu
	    +fn1[s]*fn2[g]*mesq_bbu
	    +fn1[c]*fn2[g]*mesq_bbu
	    +fn1[u]*fn2[g]*mesq_bbc
	    +fn1[d]*fn2[g]*mesq_bbc
	    +fn1[s]*fn2[g]*mesq_bbc
	    +fn1[c]*fn2[g]*mesq_bbc
	    +fn1[u]*fn2[g]*mesq_sbu
	    +fn1[d]*fn2[g]*mesq_sbu
	    +fn1[c]*fn2[g]*mesq_sbu
	    +fn1[b]*fn2[g]*mesq_sbu
	    +fn1[u]*fn2[g]*mesq_sbc
	    +fn1[d]*fn2[g]*mesq_sbc
	    +fn1[c]*fn2[g]*mesq_sbc
	    +fn1[b]*fn2[g]*mesq_sbc
	    +fn1[u]*fn2[g]*mesq_dbu
	    +fn1[s]*fn2[g]*mesq_dbu
	    +fn1[c]*fn2[g]*mesq_dbu
	    +fn1[b]*fn2[g]*mesq_dbu
	    +fn1[u]*fn2[g]*mesq_dbc
	    +fn1[s]*fn2[g]*mesq_dbc
	    +fn1[c]*fn2[g]*mesq_dbc
	    +fn1[b]*fn2[g]*mesq_dbc
	    +fn1[bb]*fn2[g]*mesq_ubb
	    +fn1[cb]*fn2[g]*mesq_ubb
	    +fn1[sb]*fn2[g]*mesq_ubb
	    +fn1[db]*fn2[g]*mesq_ubb
	    +fn1[bb]*fn2[g]*mesq_usb
	    +fn1[cb]*fn2[g]*mesq_usb
	    +fn1[sb]*fn2[g]*mesq_usb
	    +fn1[db]*fn2[g]*mesq_usb
	    +fn1[bb]*fn2[g]*mesq_udb
	    +fn1[cb]*fn2[g]*mesq_udb
	    +fn1[sb]*fn2[g]*mesq_udb
	    +fn1[db]*fn2[g]*mesq_udb
	    +fn1[bb]*fn2[g]*mesq_cbb
	    +fn1[sb]*fn2[g]*mesq_cbb
	    +fn1[db]*fn2[g]*mesq_cbb
	    +fn1[ub]*fn2[g]*mesq_cbb
	    +fn1[bb]*fn2[g]*mesq_csb
	    +fn1[sb]*fn2[g]*mesq_csb
	    +fn1[db]*fn2[g]*mesq_csb
	    +fn1[ub]*fn2[g]*mesq_csb
	    +fn1[bb]*fn2[g]*mesq_cdb
	    +fn1[sb]*fn2[g]*mesq_cdb
	    +fn1[db]*fn2[g]*mesq_cdb
	    +fn1[ub]*fn2[g]*mesq_cdb;

	  QBPGN_1 =
	    +fn1[g]*fn2[cb]*mesq_bbu
	    +fn1[g]*fn2[sb]*mesq_bbu
	    +fn1[g]*fn2[db]*mesq_bbu
	    +fn1[g]*fn2[ub]*mesq_bbu
	    +fn1[g]*fn2[cb]*mesq_bbc
	    +fn1[g]*fn2[sb]*mesq_bbc
	    +fn1[g]*fn2[db]*mesq_bbc
	    +fn1[g]*fn2[ub]*mesq_bbc
	    +fn1[g]*fn2[bb]*mesq_sbu
	    +fn1[g]*fn2[cb]*mesq_sbu
	    +fn1[g]*fn2[db]*mesq_sbu
	    +fn1[g]*fn2[ub]*mesq_sbu
	    +fn1[g]*fn2[bb]*mesq_sbc
	    +fn1[g]*fn2[cb]*mesq_sbc
	    +fn1[g]*fn2[db]*mesq_sbc
	    +fn1[g]*fn2[ub]*mesq_sbc
	    +fn1[g]*fn2[bb]*mesq_dbu
	    +fn1[g]*fn2[cb]*mesq_dbu
	    +fn1[g]*fn2[sb]*mesq_dbu
	    +fn1[g]*fn2[ub]*mesq_dbu
	    +fn1[g]*fn2[bb]*mesq_dbc
	    +fn1[g]*fn2[cb]*mesq_dbc
	    +fn1[g]*fn2[sb]*mesq_dbc
	    +fn1[g]*fn2[ub]*mesq_dbc
	    +fn1[g]*fn2[d]*mesq_ubb
	    +fn1[g]*fn2[s]*mesq_ubb
	    +fn1[g]*fn2[c]*mesq_ubb
	    +fn1[g]*fn2[b]*mesq_ubb
	    +fn1[g]*fn2[d]*mesq_usb
	    +fn1[g]*fn2[s]*mesq_usb
	    +fn1[g]*fn2[c]*mesq_usb
	    +fn1[g]*fn2[b]*mesq_usb
	    +fn1[g]*fn2[d]*mesq_udb
	    +fn1[g]*fn2[s]*mesq_udb
	    +fn1[g]*fn2[c]*mesq_udb
	    +fn1[g]*fn2[b]*mesq_udb
	    +fn1[g]*fn2[u]*mesq_cbb
	    +fn1[g]*fn2[d]*mesq_cbb
	    +fn1[g]*fn2[s]*mesq_cbb
	    +fn1[g]*fn2[b]*mesq_cbb
	    +fn1[g]*fn2[u]*mesq_csb
	    +fn1[g]*fn2[d]*mesq_csb
	    +fn1[g]*fn2[s]*mesq_csb
	    +fn1[g]*fn2[b]*mesq_csb
	    +fn1[g]*fn2[u]*mesq_cdb
	    +fn1[g]*fn2[d]*mesq_cdb
	    +fn1[g]*fn2[s]*mesq_cdb
	    +fn1[g]*fn2[b]*mesq_cdb;

	  QBPGN_2 =
	    +fn1[cb]*fn2[g]*mesq_bbu
	    +fn1[sb]*fn2[g]*mesq_bbu
	    +fn1[db]*fn2[g]*mesq_bbu
	    +fn1[ub]*fn2[g]*mesq_bbu
	    +fn1[cb]*fn2[g]*mesq_bbc
	    +fn1[sb]*fn2[g]*mesq_bbc
	    +fn1[db]*fn2[g]*mesq_bbc
	    +fn1[ub]*fn2[g]*mesq_bbc
	    +fn1[bb]*fn2[g]*mesq_sbu
	    +fn1[cb]*fn2[g]*mesq_sbu
	    +fn1[db]*fn2[g]*mesq_sbu
	    +fn1[ub]*fn2[g]*mesq_sbu
	    +fn1[bb]*fn2[g]*mesq_sbc
	    +fn1[cb]*fn2[g]*mesq_sbc
	    +fn1[db]*fn2[g]*mesq_sbc
	    +fn1[ub]*fn2[g]*mesq_sbc
	    +fn1[bb]*fn2[g]*mesq_dbu
	    +fn1[cb]*fn2[g]*mesq_dbu
	    +fn1[sb]*fn2[g]*mesq_dbu
	    +fn1[ub]*fn2[g]*mesq_dbu
	    +fn1[bb]*fn2[g]*mesq_dbc
	    +fn1[cb]*fn2[g]*mesq_dbc
	    +fn1[sb]*fn2[g]*mesq_dbc
	    +fn1[ub]*fn2[g]*mesq_dbc
	    +fn1[d]*fn2[g]*mesq_ubb
	    +fn1[s]*fn2[g]*mesq_ubb
	    +fn1[c]*fn2[g]*mesq_ubb
	    +fn1[b]*fn2[g]*mesq_ubb
	    +fn1[d]*fn2[g]*mesq_usb
	    +fn1[s]*fn2[g]*mesq_usb
	    +fn1[c]*fn2[g]*mesq_usb
	    +fn1[b]*fn2[g]*mesq_usb
	    +fn1[d]*fn2[g]*mesq_udb
	    +fn1[s]*fn2[g]*mesq_udb
	    +fn1[c]*fn2[g]*mesq_udb
	    +fn1[b]*fn2[g]*mesq_udb
	    +fn1[u]*fn2[g]*mesq_cbb
	    +fn1[d]*fn2[g]*mesq_cbb
	    +fn1[s]*fn2[g]*mesq_cbb
	    +fn1[b]*fn2[g]*mesq_cbb
	    +fn1[u]*fn2[g]*mesq_csb
	    +fn1[d]*fn2[g]*mesq_csb
	    +fn1[s]*fn2[g]*mesq_csb
	    +fn1[b]*fn2[g]*mesq_csb
	    +fn1[u]*fn2[g]*mesq_cdb
	    +fn1[d]*fn2[g]*mesq_cdb
	    +fn1[s]*fn2[g]*mesq_cdb
	    +fn1[b]*fn2[g]*mesq_cdb;
	}
      if (opts.order >= 4)
	{
	  QBQN=
	    +fn1[b]*fn2[ub]*mesq_bbu
	    +fn1[b]*fn2[cb]*mesq_bbc
	    +fn1[s]*fn2[ub]*mesq_sbu
	    +fn1[s]*fn2[cb]*mesq_sbc
	    +fn1[d]*fn2[ub]*mesq_dbu
	    +fn1[d]*fn2[cb]*mesq_dbc
	    +fn1[ub]*fn2[b]*mesq_ubb
	    +fn1[ub]*fn2[s]*mesq_usb
	    +fn1[ub]*fn2[d]*mesq_udb
	    +fn1[cb]*fn2[b]*mesq_cbb
	    +fn1[cb]*fn2[s]*mesq_csb
	    +fn1[cb]*fn2[d]*mesq_cdb;
	  QBQPN_2=
	    +fn1[b]*fn2[bb]*mesq_bbu
	    +fn1[b]*fn2[cb]*mesq_bbu
	    +fn1[b]*fn2[sb]*mesq_bbu
	    +fn1[b]*fn2[db]*mesq_bbu
	    +fn1[b]*fn2[bb]*mesq_bbc
	    +fn1[b]*fn2[sb]*mesq_bbc
	    +fn1[b]*fn2[db]*mesq_bbc
	    +fn1[b]*fn2[ub]*mesq_bbc
	    +fn1[s]*fn2[bb]*mesq_sbu
	    +fn1[s]*fn2[cb]*mesq_sbu
	    +fn1[s]*fn2[sb]*mesq_sbu
	    +fn1[s]*fn2[db]*mesq_sbu
	    +fn1[s]*fn2[bb]*mesq_sbc
	    +fn1[s]*fn2[sb]*mesq_sbc
	    +fn1[s]*fn2[db]*mesq_sbc
	    +fn1[s]*fn2[ub]*mesq_sbc
	    +fn1[d]*fn2[bb]*mesq_dbu
	    +fn1[d]*fn2[cb]*mesq_dbu
	    +fn1[d]*fn2[sb]*mesq_dbu
	    +fn1[d]*fn2[db]*mesq_dbu
	    +fn1[d]*fn2[bb]*mesq_dbc
	    +fn1[d]*fn2[sb]*mesq_dbc
	    +fn1[d]*fn2[db]*mesq_dbc
	    +fn1[d]*fn2[ub]*mesq_dbc
	    +fn1[ub]*fn2[u]*mesq_ubb
	    +fn1[ub]*fn2[d]*mesq_ubb
	    +fn1[ub]*fn2[s]*mesq_ubb
	    +fn1[ub]*fn2[c]*mesq_ubb
	    +fn1[ub]*fn2[u]*mesq_usb
	    +fn1[ub]*fn2[d]*mesq_usb
	    +fn1[ub]*fn2[c]*mesq_usb
	    +fn1[ub]*fn2[b]*mesq_usb
	    +fn1[ub]*fn2[u]*mesq_udb
	    +fn1[ub]*fn2[s]*mesq_udb
	    +fn1[ub]*fn2[c]*mesq_udb
	    +fn1[ub]*fn2[b]*mesq_udb
	    +fn1[cb]*fn2[u]*mesq_cbb
	    +fn1[cb]*fn2[d]*mesq_cbb
	    +fn1[cb]*fn2[s]*mesq_cbb
	    +fn1[cb]*fn2[c]*mesq_cbb
	    +fn1[cb]*fn2[u]*mesq_csb
	    +fn1[cb]*fn2[d]*mesq_csb
	    +fn1[cb]*fn2[c]*mesq_csb
	    +fn1[cb]*fn2[b]*mesq_csb
	    +fn1[cb]*fn2[u]*mesq_cdb
	    +fn1[cb]*fn2[s]*mesq_cdb
	    +fn1[cb]*fn2[c]*mesq_cdb
	    +fn1[cb]*fn2[b]*mesq_cdb;
	  QBQPN_1=
	    +fn1[u]*fn2[ub]*mesq_bbu
	    +fn1[d]*fn2[ub]*mesq_bbu
	    +fn1[s]*fn2[ub]*mesq_bbu
	    +fn1[c]*fn2[ub]*mesq_bbu
	    +fn1[u]*fn2[cb]*mesq_bbc
	    +fn1[d]*fn2[cb]*mesq_bbc
	    +fn1[s]*fn2[cb]*mesq_bbc
	    +fn1[c]*fn2[cb]*mesq_bbc
	    +fn1[u]*fn2[ub]*mesq_sbu
	    +fn1[d]*fn2[ub]*mesq_sbu
	    +fn1[c]*fn2[ub]*mesq_sbu
	    +fn1[b]*fn2[ub]*mesq_sbu
	    +fn1[u]*fn2[cb]*mesq_sbc
	    +fn1[d]*fn2[cb]*mesq_sbc
	    +fn1[c]*fn2[cb]*mesq_sbc
	    +fn1[b]*fn2[cb]*mesq_sbc
	    +fn1[u]*fn2[ub]*mesq_dbu
	    +fn1[s]*fn2[ub]*mesq_dbu
	    +fn1[c]*fn2[ub]*mesq_dbu
	    +fn1[b]*fn2[ub]*mesq_dbu
	    +fn1[u]*fn2[cb]*mesq_dbc
	    +fn1[s]*fn2[cb]*mesq_dbc
	    +fn1[c]*fn2[cb]*mesq_dbc
	    +fn1[b]*fn2[cb]*mesq_dbc
	    +fn1[bb]*fn2[b]*mesq_ubb
	    +fn1[cb]*fn2[b]*mesq_ubb
	    +fn1[sb]*fn2[b]*mesq_ubb
	    +fn1[db]*fn2[b]*mesq_ubb
	    +fn1[bb]*fn2[s]*mesq_usb
	    +fn1[cb]*fn2[s]*mesq_usb
	    +fn1[sb]*fn2[s]*mesq_usb
	    +fn1[db]*fn2[s]*mesq_usb
	    +fn1[bb]*fn2[d]*mesq_udb
	    +fn1[cb]*fn2[d]*mesq_udb
	    +fn1[sb]*fn2[d]*mesq_udb
	    +fn1[db]*fn2[d]*mesq_udb
	    +fn1[bb]*fn2[b]*mesq_cbb
	    +fn1[sb]*fn2[b]*mesq_cbb
	    +fn1[db]*fn2[b]*mesq_cbb
	    +fn1[ub]*fn2[b]*mesq_cbb
	    +fn1[bb]*fn2[s]*mesq_csb
	    +fn1[sb]*fn2[s]*mesq_csb
	    +fn1[db]*fn2[s]*mesq_csb
	    +fn1[ub]*fn2[s]*mesq_csb
	    +fn1[bb]*fn2[d]*mesq_cdb
	    +fn1[sb]*fn2[d]*mesq_cdb
	    +fn1[db]*fn2[d]*mesq_cdb
	    +fn1[ub]*fn2[d]*mesq_cdb;
	  QBQBPN_2=
	    +fn1[b]*fn2[d]*mesq_bbu
	    +fn1[b]*fn2[s]*mesq_bbu
	    +fn1[b]*fn2[c]*mesq_bbu
	    +fn1[b]*fn2[b]*mesq_bbu
	    +fn1[b]*fn2[u]*mesq_bbc
	    +fn1[b]*fn2[d]*mesq_bbc
	    +fn1[b]*fn2[s]*mesq_bbc
	    +fn1[b]*fn2[b]*mesq_bbc
	    +fn1[s]*fn2[d]*mesq_sbu
	    +fn1[s]*fn2[s]*mesq_sbu
	    +fn1[s]*fn2[c]*mesq_sbu
	    +fn1[s]*fn2[b]*mesq_sbu
	    +fn1[s]*fn2[u]*mesq_sbc
	    +fn1[s]*fn2[d]*mesq_sbc
	    +fn1[s]*fn2[s]*mesq_sbc
	    +fn1[s]*fn2[b]*mesq_sbc
	    +fn1[d]*fn2[d]*mesq_dbu
	    +fn1[d]*fn2[s]*mesq_dbu
	    +fn1[d]*fn2[c]*mesq_dbu
	    +fn1[d]*fn2[b]*mesq_dbu
	    +fn1[d]*fn2[u]*mesq_dbc
	    +fn1[d]*fn2[d]*mesq_dbc
	    +fn1[d]*fn2[s]*mesq_dbc
	    +fn1[d]*fn2[b]*mesq_dbc
	    +fn1[ub]*fn2[cb]*mesq_ubb
	    +fn1[ub]*fn2[sb]*mesq_ubb
	    +fn1[ub]*fn2[db]*mesq_ubb
	    +fn1[ub]*fn2[ub]*mesq_ubb
	    +fn1[ub]*fn2[bb]*mesq_usb
	    +fn1[ub]*fn2[cb]*mesq_usb
	    +fn1[ub]*fn2[db]*mesq_usb
	    +fn1[ub]*fn2[ub]*mesq_usb
	    +fn1[ub]*fn2[bb]*mesq_udb
	    +fn1[ub]*fn2[cb]*mesq_udb
	    +fn1[ub]*fn2[sb]*mesq_udb
	    +fn1[ub]*fn2[ub]*mesq_udb
	    +fn1[cb]*fn2[cb]*mesq_cbb
	    +fn1[cb]*fn2[sb]*mesq_cbb
	    +fn1[cb]*fn2[db]*mesq_cbb
	    +fn1[cb]*fn2[ub]*mesq_cbb
	    +fn1[cb]*fn2[bb]*mesq_csb
	    +fn1[cb]*fn2[cb]*mesq_csb
	    +fn1[cb]*fn2[db]*mesq_csb
	    +fn1[cb]*fn2[ub]*mesq_csb
	    +fn1[cb]*fn2[bb]*mesq_cdb
	    +fn1[cb]*fn2[cb]*mesq_cdb
	    +fn1[cb]*fn2[sb]*mesq_cdb
	    +fn1[cb]*fn2[ub]*mesq_cdb;
	  QBQBPN_1=
	    +fn1[cb]*fn2[ub]*mesq_bbu
	    +fn1[sb]*fn2[ub]*mesq_bbu
	    +fn1[db]*fn2[ub]*mesq_bbu
	    +fn1[ub]*fn2[ub]*mesq_bbu
	    +fn1[cb]*fn2[cb]*mesq_bbc
	    +fn1[sb]*fn2[cb]*mesq_bbc
	    +fn1[db]*fn2[cb]*mesq_bbc
	    +fn1[ub]*fn2[cb]*mesq_bbc
	    +fn1[bb]*fn2[ub]*mesq_sbu
	    +fn1[cb]*fn2[ub]*mesq_sbu
	    +fn1[db]*fn2[ub]*mesq_sbu
	    +fn1[ub]*fn2[ub]*mesq_sbu
	    +fn1[bb]*fn2[cb]*mesq_sbc
	    +fn1[cb]*fn2[cb]*mesq_sbc
	    +fn1[db]*fn2[cb]*mesq_sbc
	    +fn1[ub]*fn2[cb]*mesq_sbc
	    +fn1[bb]*fn2[ub]*mesq_dbu
	    +fn1[cb]*fn2[ub]*mesq_dbu
	    +fn1[sb]*fn2[ub]*mesq_dbu
	    +fn1[ub]*fn2[ub]*mesq_dbu
	    +fn1[bb]*fn2[cb]*mesq_dbc
	    +fn1[cb]*fn2[cb]*mesq_dbc
	    +fn1[sb]*fn2[cb]*mesq_dbc
	    +fn1[ub]*fn2[cb]*mesq_dbc
	    +fn1[d]*fn2[b]*mesq_ubb
	    +fn1[s]*fn2[b]*mesq_ubb
	    +fn1[c]*fn2[b]*mesq_ubb
	    +fn1[b]*fn2[b]*mesq_ubb
	    +fn1[d]*fn2[s]*mesq_usb
	    +fn1[s]*fn2[s]*mesq_usb
	    +fn1[c]*fn2[s]*mesq_usb
	    +fn1[b]*fn2[s]*mesq_usb
	    +fn1[d]*fn2[d]*mesq_udb
	    +fn1[s]*fn2[d]*mesq_udb
	    +fn1[c]*fn2[d]*mesq_udb
	    +fn1[b]*fn2[d]*mesq_udb
	    +fn1[u]*fn2[b]*mesq_cbb
	    +fn1[d]*fn2[b]*mesq_cbb
	    +fn1[s]*fn2[b]*mesq_cbb
	    +fn1[b]*fn2[b]*mesq_cbb
	    +fn1[u]*fn2[s]*mesq_csb
	    +fn1[d]*fn2[s]*mesq_csb
	    +fn1[s]*fn2[s]*mesq_csb
	    +fn1[b]*fn2[s]*mesq_csb
	    +fn1[u]*fn2[d]*mesq_cdb
	    +fn1[d]*fn2[d]*mesq_cdb
	    +fn1[s]*fn2[d]*mesq_cdb
	    +fn1[b]*fn2[d]*mesq_cdb;
	  QPQPN_2=
	    +fn1[cb]*fn2[bb]*mesq_bbu
	    +fn1[cb]*fn2[cb]*mesq_bbu
	    +fn1[cb]*fn2[sb]*mesq_bbu
	    +fn1[cb]*fn2[db]*mesq_bbu
	    +fn1[sb]*fn2[bb]*mesq_bbu
	    +fn1[sb]*fn2[cb]*mesq_bbu
	    +fn1[sb]*fn2[sb]*mesq_bbu
	    +fn1[sb]*fn2[db]*mesq_bbu
	    +fn1[db]*fn2[bb]*mesq_bbu
	    +fn1[db]*fn2[cb]*mesq_bbu
	    +fn1[db]*fn2[sb]*mesq_bbu
	    +fn1[db]*fn2[db]*mesq_bbu
	    +fn1[ub]*fn2[bb]*mesq_bbu
	    +fn1[ub]*fn2[cb]*mesq_bbu
	    +fn1[ub]*fn2[sb]*mesq_bbu
	    +fn1[ub]*fn2[db]*mesq_bbu
	    +fn1[cb]*fn2[bb]*mesq_bbc
	    +fn1[cb]*fn2[sb]*mesq_bbc
	    +fn1[cb]*fn2[db]*mesq_bbc
	    +fn1[cb]*fn2[ub]*mesq_bbc
	    +fn1[sb]*fn2[bb]*mesq_bbc
	    +fn1[sb]*fn2[sb]*mesq_bbc
	    +fn1[sb]*fn2[db]*mesq_bbc
	    +fn1[sb]*fn2[ub]*mesq_bbc
	    +fn1[db]*fn2[bb]*mesq_bbc
	    +fn1[db]*fn2[sb]*mesq_bbc
	    +fn1[db]*fn2[db]*mesq_bbc
	    +fn1[db]*fn2[ub]*mesq_bbc
	    +fn1[ub]*fn2[bb]*mesq_bbc
	    +fn1[ub]*fn2[sb]*mesq_bbc
	    +fn1[ub]*fn2[db]*mesq_bbc
	    +fn1[ub]*fn2[ub]*mesq_bbc
	    +fn1[bb]*fn2[bb]*mesq_sbu
	    +fn1[bb]*fn2[cb]*mesq_sbu
	    +fn1[bb]*fn2[sb]*mesq_sbu
	    +fn1[bb]*fn2[db]*mesq_sbu
	    +fn1[cb]*fn2[bb]*mesq_sbu
	    +fn1[cb]*fn2[cb]*mesq_sbu
	    +fn1[cb]*fn2[sb]*mesq_sbu
	    +fn1[cb]*fn2[db]*mesq_sbu
	    +fn1[db]*fn2[bb]*mesq_sbu
	    +fn1[db]*fn2[cb]*mesq_sbu
	    +fn1[db]*fn2[sb]*mesq_sbu
	    +fn1[db]*fn2[db]*mesq_sbu
	    +fn1[ub]*fn2[bb]*mesq_sbu
	    +fn1[ub]*fn2[cb]*mesq_sbu
	    +fn1[ub]*fn2[sb]*mesq_sbu
	    +fn1[ub]*fn2[db]*mesq_sbu
	    +fn1[bb]*fn2[bb]*mesq_sbc
	    +fn1[bb]*fn2[sb]*mesq_sbc
	    +fn1[bb]*fn2[db]*mesq_sbc
	    +fn1[bb]*fn2[ub]*mesq_sbc
	    +fn1[cb]*fn2[bb]*mesq_sbc
	    +fn1[cb]*fn2[sb]*mesq_sbc
	    +fn1[cb]*fn2[db]*mesq_sbc
	    +fn1[cb]*fn2[ub]*mesq_sbc
	    +fn1[db]*fn2[bb]*mesq_sbc
	    +fn1[db]*fn2[sb]*mesq_sbc
	    +fn1[db]*fn2[db]*mesq_sbc
	    +fn1[db]*fn2[ub]*mesq_sbc
	    +fn1[ub]*fn2[bb]*mesq_sbc
	    +fn1[ub]*fn2[sb]*mesq_sbc
	    +fn1[ub]*fn2[db]*mesq_sbc
	    +fn1[ub]*fn2[ub]*mesq_sbc
	    +fn1[bb]*fn2[bb]*mesq_dbu
	    +fn1[bb]*fn2[cb]*mesq_dbu
	    +fn1[bb]*fn2[sb]*mesq_dbu
	    +fn1[bb]*fn2[db]*mesq_dbu
	    +fn1[cb]*fn2[bb]*mesq_dbu
	    +fn1[cb]*fn2[cb]*mesq_dbu
	    +fn1[cb]*fn2[sb]*mesq_dbu
	    +fn1[cb]*fn2[db]*mesq_dbu
	    +fn1[sb]*fn2[bb]*mesq_dbu
	    +fn1[sb]*fn2[cb]*mesq_dbu
	    +fn1[sb]*fn2[sb]*mesq_dbu
	    +fn1[sb]*fn2[db]*mesq_dbu
	    +fn1[ub]*fn2[bb]*mesq_dbu
	    +fn1[ub]*fn2[cb]*mesq_dbu
	    +fn1[ub]*fn2[sb]*mesq_dbu
	    +fn1[ub]*fn2[db]*mesq_dbu
	    +fn1[bb]*fn2[bb]*mesq_dbc
	    +fn1[bb]*fn2[sb]*mesq_dbc
	    +fn1[bb]*fn2[db]*mesq_dbc
	    +fn1[bb]*fn2[ub]*mesq_dbc
	    +fn1[cb]*fn2[bb]*mesq_dbc
	    +fn1[cb]*fn2[sb]*mesq_dbc
	    +fn1[cb]*fn2[db]*mesq_dbc
	    +fn1[cb]*fn2[ub]*mesq_dbc
	    +fn1[sb]*fn2[bb]*mesq_dbc
	    +fn1[sb]*fn2[sb]*mesq_dbc
	    +fn1[sb]*fn2[db]*mesq_dbc
	    +fn1[sb]*fn2[ub]*mesq_dbc
	    +fn1[ub]*fn2[bb]*mesq_dbc
	    +fn1[ub]*fn2[sb]*mesq_dbc
	    +fn1[ub]*fn2[db]*mesq_dbc
	    +fn1[ub]*fn2[ub]*mesq_dbc
	    +fn1[d]*fn2[u]*mesq_ubb
	    +fn1[d]*fn2[d]*mesq_ubb
	    +fn1[d]*fn2[s]*mesq_ubb
	    +fn1[d]*fn2[c]*mesq_ubb
	    +fn1[s]*fn2[u]*mesq_ubb
	    +fn1[s]*fn2[d]*mesq_ubb
	    +fn1[s]*fn2[s]*mesq_ubb
	    +fn1[s]*fn2[c]*mesq_ubb
	    +fn1[c]*fn2[u]*mesq_ubb
	    +fn1[c]*fn2[d]*mesq_ubb
	    +fn1[c]*fn2[s]*mesq_ubb
	    +fn1[c]*fn2[c]*mesq_ubb
	    +fn1[b]*fn2[u]*mesq_ubb
	    +fn1[b]*fn2[d]*mesq_ubb
	    +fn1[b]*fn2[s]*mesq_ubb
	    +fn1[b]*fn2[c]*mesq_ubb
	    +fn1[d]*fn2[u]*mesq_usb
	    +fn1[d]*fn2[d]*mesq_usb
	    +fn1[d]*fn2[c]*mesq_usb
	    +fn1[d]*fn2[b]*mesq_usb
	    +fn1[s]*fn2[u]*mesq_usb
	    +fn1[s]*fn2[d]*mesq_usb
	    +fn1[s]*fn2[c]*mesq_usb
	    +fn1[s]*fn2[b]*mesq_usb
	    +fn1[c]*fn2[u]*mesq_usb
	    +fn1[c]*fn2[d]*mesq_usb
	    +fn1[c]*fn2[c]*mesq_usb
	    +fn1[c]*fn2[b]*mesq_usb
	    +fn1[b]*fn2[u]*mesq_usb
	    +fn1[b]*fn2[d]*mesq_usb
	    +fn1[b]*fn2[c]*mesq_usb
	    +fn1[b]*fn2[b]*mesq_usb
	    +fn1[d]*fn2[u]*mesq_udb
	    +fn1[d]*fn2[s]*mesq_udb
	    +fn1[d]*fn2[c]*mesq_udb
	    +fn1[d]*fn2[b]*mesq_udb
	    +fn1[s]*fn2[u]*mesq_udb
	    +fn1[s]*fn2[s]*mesq_udb
	    +fn1[s]*fn2[c]*mesq_udb
	    +fn1[s]*fn2[b]*mesq_udb
	    +fn1[c]*fn2[u]*mesq_udb
	    +fn1[c]*fn2[s]*mesq_udb
	    +fn1[c]*fn2[c]*mesq_udb
	    +fn1[c]*fn2[b]*mesq_udb
	    +fn1[b]*fn2[u]*mesq_udb
	    +fn1[b]*fn2[s]*mesq_udb
	    +fn1[b]*fn2[c]*mesq_udb
	    +fn1[b]*fn2[b]*mesq_udb
	    +fn1[u]*fn2[u]*mesq_cbb
	    +fn1[u]*fn2[d]*mesq_cbb
	    +fn1[u]*fn2[s]*mesq_cbb
	    +fn1[u]*fn2[c]*mesq_cbb
	    +fn1[d]*fn2[u]*mesq_cbb
	    +fn1[d]*fn2[d]*mesq_cbb
	    +fn1[d]*fn2[s]*mesq_cbb
	    +fn1[d]*fn2[c]*mesq_cbb
	    +fn1[s]*fn2[u]*mesq_cbb
	    +fn1[s]*fn2[d]*mesq_cbb
	    +fn1[s]*fn2[s]*mesq_cbb
	    +fn1[s]*fn2[c]*mesq_cbb
	    +fn1[b]*fn2[u]*mesq_cbb
	    +fn1[b]*fn2[d]*mesq_cbb
	    +fn1[b]*fn2[s]*mesq_cbb
	    +fn1[b]*fn2[c]*mesq_cbb
	    +fn1[u]*fn2[u]*mesq_csb
	    +fn1[u]*fn2[d]*mesq_csb
	    +fn1[u]*fn2[c]*mesq_csb
	    +fn1[u]*fn2[b]*mesq_csb
	    +fn1[d]*fn2[u]*mesq_csb
	    +fn1[d]*fn2[d]*mesq_csb
	    +fn1[d]*fn2[c]*mesq_csb
	    +fn1[d]*fn2[b]*mesq_csb
	    +fn1[s]*fn2[u]*mesq_csb
	    +fn1[s]*fn2[d]*mesq_csb
	    +fn1[s]*fn2[c]*mesq_csb
	    +fn1[s]*fn2[b]*mesq_csb
	    +fn1[b]*fn2[u]*mesq_csb
	    +fn1[b]*fn2[d]*mesq_csb
	    +fn1[b]*fn2[c]*mesq_csb
	    +fn1[b]*fn2[b]*mesq_csb
	    +fn1[u]*fn2[u]*mesq_cdb
	    +fn1[u]*fn2[s]*mesq_cdb
	    +fn1[u]*fn2[c]*mesq_cdb
	    +fn1[u]*fn2[b]*mesq_cdb
	    +fn1[d]*fn2[u]*mesq_cdb
	    +fn1[d]*fn2[s]*mesq_cdb
	    +fn1[d]*fn2[c]*mesq_cdb
	    +fn1[d]*fn2[b]*mesq_cdb
	    +fn1[s]*fn2[u]*mesq_cdb
	    +fn1[s]*fn2[s]*mesq_cdb
	    +fn1[s]*fn2[c]*mesq_cdb
	    +fn1[s]*fn2[b]*mesq_cdb
	    +fn1[b]*fn2[u]*mesq_cdb
	    +fn1[b]*fn2[s]*mesq_cdb
	    +fn1[b]*fn2[c]*mesq_cdb
	    +fn1[b]*fn2[b]*mesq_cdb;
	  QPQPN_1=
	    +fn1[u]*fn2[d]*mesq_bbu
	    +fn1[u]*fn2[s]*mesq_bbu
	    +fn1[u]*fn2[c]*mesq_bbu
	    +fn1[u]*fn2[b]*mesq_bbu
	    +fn1[d]*fn2[d]*mesq_bbu
	    +fn1[d]*fn2[s]*mesq_bbu
	    +fn1[d]*fn2[c]*mesq_bbu
	    +fn1[d]*fn2[b]*mesq_bbu
	    +fn1[s]*fn2[d]*mesq_bbu
	    +fn1[s]*fn2[s]*mesq_bbu
	    +fn1[s]*fn2[c]*mesq_bbu
	    +fn1[s]*fn2[b]*mesq_bbu
	    +fn1[c]*fn2[d]*mesq_bbu
	    +fn1[c]*fn2[s]*mesq_bbu
	    +fn1[c]*fn2[c]*mesq_bbu
	    +fn1[c]*fn2[b]*mesq_bbu
	    +fn1[u]*fn2[u]*mesq_bbc
	    +fn1[u]*fn2[d]*mesq_bbc
	    +fn1[u]*fn2[s]*mesq_bbc
	    +fn1[u]*fn2[b]*mesq_bbc
	    +fn1[d]*fn2[u]*mesq_bbc
	    +fn1[d]*fn2[d]*mesq_bbc
	    +fn1[d]*fn2[s]*mesq_bbc
	    +fn1[d]*fn2[b]*mesq_bbc
	    +fn1[s]*fn2[u]*mesq_bbc
	    +fn1[s]*fn2[d]*mesq_bbc
	    +fn1[s]*fn2[s]*mesq_bbc
	    +fn1[s]*fn2[b]*mesq_bbc
	    +fn1[c]*fn2[u]*mesq_bbc
	    +fn1[c]*fn2[d]*mesq_bbc
	    +fn1[c]*fn2[s]*mesq_bbc
	    +fn1[c]*fn2[b]*mesq_bbc
	    +fn1[u]*fn2[d]*mesq_sbu
	    +fn1[u]*fn2[s]*mesq_sbu
	    +fn1[u]*fn2[c]*mesq_sbu
	    +fn1[u]*fn2[b]*mesq_sbu
	    +fn1[d]*fn2[d]*mesq_sbu
	    +fn1[d]*fn2[s]*mesq_sbu
	    +fn1[d]*fn2[c]*mesq_sbu
	    +fn1[d]*fn2[b]*mesq_sbu
	    +fn1[c]*fn2[d]*mesq_sbu
	    +fn1[c]*fn2[s]*mesq_sbu
	    +fn1[c]*fn2[c]*mesq_sbu
	    +fn1[c]*fn2[b]*mesq_sbu
	    +fn1[b]*fn2[d]*mesq_sbu
	    +fn1[b]*fn2[s]*mesq_sbu
	    +fn1[b]*fn2[c]*mesq_sbu
	    +fn1[b]*fn2[b]*mesq_sbu
	    +fn1[u]*fn2[u]*mesq_sbc
	    +fn1[u]*fn2[d]*mesq_sbc
	    +fn1[u]*fn2[s]*mesq_sbc
	    +fn1[u]*fn2[b]*mesq_sbc
	    +fn1[d]*fn2[u]*mesq_sbc
	    +fn1[d]*fn2[d]*mesq_sbc
	    +fn1[d]*fn2[s]*mesq_sbc
	    +fn1[d]*fn2[b]*mesq_sbc
	    +fn1[c]*fn2[u]*mesq_sbc
	    +fn1[c]*fn2[d]*mesq_sbc
	    +fn1[c]*fn2[s]*mesq_sbc
	    +fn1[c]*fn2[b]*mesq_sbc
	    +fn1[b]*fn2[u]*mesq_sbc
	    +fn1[b]*fn2[d]*mesq_sbc
	    +fn1[b]*fn2[s]*mesq_sbc
	    +fn1[b]*fn2[b]*mesq_sbc
	    +fn1[u]*fn2[d]*mesq_dbu
	    +fn1[u]*fn2[s]*mesq_dbu
	    +fn1[u]*fn2[c]*mesq_dbu
	    +fn1[u]*fn2[b]*mesq_dbu
	    +fn1[s]*fn2[d]*mesq_dbu
	    +fn1[s]*fn2[s]*mesq_dbu
	    +fn1[s]*fn2[c]*mesq_dbu
	    +fn1[s]*fn2[b]*mesq_dbu
	    +fn1[c]*fn2[d]*mesq_dbu
	    +fn1[c]*fn2[s]*mesq_dbu
	    +fn1[c]*fn2[c]*mesq_dbu
	    +fn1[c]*fn2[b]*mesq_dbu
	    +fn1[b]*fn2[d]*mesq_dbu
	    +fn1[b]*fn2[s]*mesq_dbu
	    +fn1[b]*fn2[c]*mesq_dbu
	    +fn1[b]*fn2[b]*mesq_dbu
	    +fn1[u]*fn2[u]*mesq_dbc
	    +fn1[u]*fn2[d]*mesq_dbc
	    +fn1[u]*fn2[s]*mesq_dbc
	    +fn1[u]*fn2[b]*mesq_dbc
	    +fn1[s]*fn2[u]*mesq_dbc
	    +fn1[s]*fn2[d]*mesq_dbc
	    +fn1[s]*fn2[s]*mesq_dbc
	    +fn1[s]*fn2[b]*mesq_dbc
	    +fn1[c]*fn2[u]*mesq_dbc
	    +fn1[c]*fn2[d]*mesq_dbc
	    +fn1[c]*fn2[s]*mesq_dbc
	    +fn1[c]*fn2[b]*mesq_dbc
	    +fn1[b]*fn2[u]*mesq_dbc
	    +fn1[b]*fn2[d]*mesq_dbc
	    +fn1[b]*fn2[s]*mesq_dbc
	    +fn1[b]*fn2[b]*mesq_dbc
	    +fn1[bb]*fn2[cb]*mesq_ubb
	    +fn1[bb]*fn2[sb]*mesq_ubb
	    +fn1[bb]*fn2[db]*mesq_ubb
	    +fn1[bb]*fn2[ub]*mesq_ubb
	    +fn1[cb]*fn2[cb]*mesq_ubb
	    +fn1[cb]*fn2[sb]*mesq_ubb
	    +fn1[cb]*fn2[db]*mesq_ubb
	    +fn1[cb]*fn2[ub]*mesq_ubb
	    +fn1[sb]*fn2[cb]*mesq_ubb
	    +fn1[sb]*fn2[sb]*mesq_ubb
	    +fn1[sb]*fn2[db]*mesq_ubb
	    +fn1[sb]*fn2[ub]*mesq_ubb
	    +fn1[db]*fn2[cb]*mesq_ubb
	    +fn1[db]*fn2[sb]*mesq_ubb
	    +fn1[db]*fn2[db]*mesq_ubb
	    +fn1[db]*fn2[ub]*mesq_ubb
	    +fn1[bb]*fn2[bb]*mesq_usb
	    +fn1[bb]*fn2[cb]*mesq_usb
	    +fn1[bb]*fn2[db]*mesq_usb
	    +fn1[bb]*fn2[ub]*mesq_usb
	    +fn1[cb]*fn2[bb]*mesq_usb
	    +fn1[cb]*fn2[cb]*mesq_usb
	    +fn1[cb]*fn2[db]*mesq_usb
	    +fn1[cb]*fn2[ub]*mesq_usb
	    +fn1[sb]*fn2[bb]*mesq_usb
	    +fn1[sb]*fn2[cb]*mesq_usb
	    +fn1[sb]*fn2[db]*mesq_usb
	    +fn1[sb]*fn2[ub]*mesq_usb
	    +fn1[db]*fn2[bb]*mesq_usb
	    +fn1[db]*fn2[cb]*mesq_usb
	    +fn1[db]*fn2[db]*mesq_usb
	    +fn1[db]*fn2[ub]*mesq_usb
	    +fn1[bb]*fn2[bb]*mesq_udb
	    +fn1[bb]*fn2[cb]*mesq_udb
	    +fn1[bb]*fn2[sb]*mesq_udb
	    +fn1[bb]*fn2[ub]*mesq_udb
	    +fn1[cb]*fn2[bb]*mesq_udb
	    +fn1[cb]*fn2[cb]*mesq_udb
	    +fn1[cb]*fn2[sb]*mesq_udb
	    +fn1[cb]*fn2[ub]*mesq_udb
	    +fn1[sb]*fn2[bb]*mesq_udb
	    +fn1[sb]*fn2[cb]*mesq_udb
	    +fn1[sb]*fn2[sb]*mesq_udb
	    +fn1[sb]*fn2[ub]*mesq_udb
	    +fn1[db]*fn2[bb]*mesq_udb
	    +fn1[db]*fn2[cb]*mesq_udb
	    +fn1[db]*fn2[sb]*mesq_udb
	    +fn1[db]*fn2[ub]*mesq_udb
	    +fn1[bb]*fn2[cb]*mesq_cbb
	    +fn1[bb]*fn2[sb]*mesq_cbb
	    +fn1[bb]*fn2[db]*mesq_cbb
	    +fn1[bb]*fn2[ub]*mesq_cbb
	    +fn1[sb]*fn2[cb]*mesq_cbb
	    +fn1[sb]*fn2[sb]*mesq_cbb
	    +fn1[sb]*fn2[db]*mesq_cbb
	    +fn1[sb]*fn2[ub]*mesq_cbb
	    +fn1[db]*fn2[cb]*mesq_cbb
	    +fn1[db]*fn2[sb]*mesq_cbb
	    +fn1[db]*fn2[db]*mesq_cbb
	    +fn1[db]*fn2[ub]*mesq_cbb
	    +fn1[ub]*fn2[cb]*mesq_cbb
	    +fn1[ub]*fn2[sb]*mesq_cbb
	    +fn1[ub]*fn2[db]*mesq_cbb
	    +fn1[ub]*fn2[ub]*mesq_cbb
	    +fn1[bb]*fn2[bb]*mesq_csb
	    +fn1[bb]*fn2[cb]*mesq_csb
	    +fn1[bb]*fn2[db]*mesq_csb
	    +fn1[bb]*fn2[ub]*mesq_csb
	    +fn1[sb]*fn2[bb]*mesq_csb
	    +fn1[sb]*fn2[cb]*mesq_csb
	    +fn1[sb]*fn2[db]*mesq_csb
	    +fn1[sb]*fn2[ub]*mesq_csb
	    +fn1[db]*fn2[bb]*mesq_csb
	    +fn1[db]*fn2[cb]*mesq_csb
	    +fn1[db]*fn2[db]*mesq_csb
	    +fn1[db]*fn2[ub]*mesq_csb
	    +fn1[ub]*fn2[bb]*mesq_csb
	    +fn1[ub]*fn2[cb]*mesq_csb
	    +fn1[ub]*fn2[db]*mesq_csb
	    +fn1[ub]*fn2[ub]*mesq_csb
	    +fn1[bb]*fn2[bb]*mesq_cdb
	    +fn1[bb]*fn2[cb]*mesq_cdb
	    +fn1[bb]*fn2[sb]*mesq_cdb
	    +fn1[bb]*fn2[ub]*mesq_cdb
	    +fn1[sb]*fn2[bb]*mesq_cdb
	    +fn1[sb]*fn2[cb]*mesq_cdb
	    +fn1[sb]*fn2[sb]*mesq_cdb
	    +fn1[sb]*fn2[ub]*mesq_cdb
	    +fn1[db]*fn2[bb]*mesq_cdb
	    +fn1[db]*fn2[cb]*mesq_cdb
	    +fn1[db]*fn2[sb]*mesq_cdb
	    +fn1[db]*fn2[ub]*mesq_cdb
	    +fn1[ub]*fn2[bb]*mesq_cdb
	    +fn1[ub]*fn2[cb]*mesq_cdb
	    +fn1[ub]*fn2[sb]*mesq_cdb
	    +fn1[ub]*fn2[ub]*mesq_cdb;
	  QPQBPN=
	    +fn1[cb]*fn2[d]*mesq_bbu
	    +fn1[cb]*fn2[s]*mesq_bbu
	    +fn1[cb]*fn2[c]*mesq_bbu
	    +fn1[cb]*fn2[b]*mesq_bbu
	    +fn1[sb]*fn2[d]*mesq_bbu
	    +fn1[sb]*fn2[s]*mesq_bbu
	    +fn1[sb]*fn2[c]*mesq_bbu
	    +fn1[sb]*fn2[b]*mesq_bbu
	    +fn1[db]*fn2[d]*mesq_bbu
	    +fn1[db]*fn2[s]*mesq_bbu
	    +fn1[db]*fn2[c]*mesq_bbu
	    +fn1[db]*fn2[b]*mesq_bbu
	    +fn1[ub]*fn2[d]*mesq_bbu
	    +fn1[ub]*fn2[s]*mesq_bbu
	    +fn1[ub]*fn2[c]*mesq_bbu
	    +fn1[ub]*fn2[b]*mesq_bbu
	    +fn1[cb]*fn2[u]*mesq_bbc
	    +fn1[cb]*fn2[d]*mesq_bbc
	    +fn1[cb]*fn2[s]*mesq_bbc
	    +fn1[cb]*fn2[b]*mesq_bbc
	    +fn1[sb]*fn2[u]*mesq_bbc
	    +fn1[sb]*fn2[d]*mesq_bbc
	    +fn1[sb]*fn2[s]*mesq_bbc
	    +fn1[sb]*fn2[b]*mesq_bbc
	    +fn1[db]*fn2[u]*mesq_bbc
	    +fn1[db]*fn2[d]*mesq_bbc
	    +fn1[db]*fn2[s]*mesq_bbc
	    +fn1[db]*fn2[b]*mesq_bbc
	    +fn1[ub]*fn2[u]*mesq_bbc
	    +fn1[ub]*fn2[d]*mesq_bbc
	    +fn1[ub]*fn2[s]*mesq_bbc
	    +fn1[ub]*fn2[b]*mesq_bbc
	    +fn1[bb]*fn2[d]*mesq_sbu
	    +fn1[bb]*fn2[s]*mesq_sbu
	    +fn1[bb]*fn2[c]*mesq_sbu
	    +fn1[bb]*fn2[b]*mesq_sbu
	    +fn1[cb]*fn2[d]*mesq_sbu
	    +fn1[cb]*fn2[s]*mesq_sbu
	    +fn1[cb]*fn2[c]*mesq_sbu
	    +fn1[cb]*fn2[b]*mesq_sbu
	    +fn1[db]*fn2[d]*mesq_sbu
	    +fn1[db]*fn2[s]*mesq_sbu
	    +fn1[db]*fn2[c]*mesq_sbu
	    +fn1[db]*fn2[b]*mesq_sbu
	    +fn1[ub]*fn2[d]*mesq_sbu
	    +fn1[ub]*fn2[s]*mesq_sbu
	    +fn1[ub]*fn2[c]*mesq_sbu
	    +fn1[ub]*fn2[b]*mesq_sbu
	    +fn1[bb]*fn2[u]*mesq_sbc
	    +fn1[bb]*fn2[d]*mesq_sbc
	    +fn1[bb]*fn2[s]*mesq_sbc
	    +fn1[bb]*fn2[b]*mesq_sbc
	    +fn1[cb]*fn2[u]*mesq_sbc
	    +fn1[cb]*fn2[d]*mesq_sbc
	    +fn1[cb]*fn2[s]*mesq_sbc
	    +fn1[cb]*fn2[b]*mesq_sbc
	    +fn1[db]*fn2[u]*mesq_sbc
	    +fn1[db]*fn2[d]*mesq_sbc
	    +fn1[db]*fn2[s]*mesq_sbc
	    +fn1[db]*fn2[b]*mesq_sbc
	    +fn1[ub]*fn2[u]*mesq_sbc
	    +fn1[ub]*fn2[d]*mesq_sbc
	    +fn1[ub]*fn2[s]*mesq_sbc
	    +fn1[ub]*fn2[b]*mesq_sbc
	    +fn1[bb]*fn2[d]*mesq_dbu
	    +fn1[bb]*fn2[s]*mesq_dbu
	    +fn1[bb]*fn2[c]*mesq_dbu
	    +fn1[bb]*fn2[b]*mesq_dbu
	    +fn1[cb]*fn2[d]*mesq_dbu
	    +fn1[cb]*fn2[s]*mesq_dbu
	    +fn1[cb]*fn2[c]*mesq_dbu
	    +fn1[cb]*fn2[b]*mesq_dbu
	    +fn1[sb]*fn2[d]*mesq_dbu
	    +fn1[sb]*fn2[s]*mesq_dbu
	    +fn1[sb]*fn2[c]*mesq_dbu
	    +fn1[sb]*fn2[b]*mesq_dbu
	    +fn1[ub]*fn2[d]*mesq_dbu
	    +fn1[ub]*fn2[s]*mesq_dbu
	    +fn1[ub]*fn2[c]*mesq_dbu
	    +fn1[ub]*fn2[b]*mesq_dbu
	    +fn1[bb]*fn2[u]*mesq_dbc
	    +fn1[bb]*fn2[d]*mesq_dbc
	    +fn1[bb]*fn2[s]*mesq_dbc
	    +fn1[bb]*fn2[b]*mesq_dbc
	    +fn1[cb]*fn2[u]*mesq_dbc
	    +fn1[cb]*fn2[d]*mesq_dbc
	    +fn1[cb]*fn2[s]*mesq_dbc
	    +fn1[cb]*fn2[b]*mesq_dbc
	    +fn1[sb]*fn2[u]*mesq_dbc
	    +fn1[sb]*fn2[d]*mesq_dbc
	    +fn1[sb]*fn2[s]*mesq_dbc
	    +fn1[sb]*fn2[b]*mesq_dbc
	    +fn1[ub]*fn2[u]*mesq_dbc
	    +fn1[ub]*fn2[d]*mesq_dbc
	    +fn1[ub]*fn2[s]*mesq_dbc
	    +fn1[ub]*fn2[b]*mesq_dbc
	    +fn1[d]*fn2[cb]*mesq_ubb
	    +fn1[d]*fn2[sb]*mesq_ubb
	    +fn1[d]*fn2[db]*mesq_ubb
	    +fn1[d]*fn2[ub]*mesq_ubb
	    +fn1[s]*fn2[cb]*mesq_ubb
	    +fn1[s]*fn2[sb]*mesq_ubb
	    +fn1[s]*fn2[db]*mesq_ubb
	    +fn1[s]*fn2[ub]*mesq_ubb
	    +fn1[c]*fn2[cb]*mesq_ubb
	    +fn1[c]*fn2[sb]*mesq_ubb
	    +fn1[c]*fn2[db]*mesq_ubb
	    +fn1[c]*fn2[ub]*mesq_ubb
	    +fn1[b]*fn2[cb]*mesq_ubb
	    +fn1[b]*fn2[sb]*mesq_ubb
	    +fn1[b]*fn2[db]*mesq_ubb
	    +fn1[b]*fn2[ub]*mesq_ubb
	    +fn1[d]*fn2[bb]*mesq_usb
	    +fn1[d]*fn2[cb]*mesq_usb
	    +fn1[d]*fn2[db]*mesq_usb
	    +fn1[d]*fn2[ub]*mesq_usb
	    +fn1[s]*fn2[bb]*mesq_usb
	    +fn1[s]*fn2[cb]*mesq_usb
	    +fn1[s]*fn2[db]*mesq_usb
	    +fn1[s]*fn2[ub]*mesq_usb
	    +fn1[c]*fn2[bb]*mesq_usb
	    +fn1[c]*fn2[cb]*mesq_usb
	    +fn1[c]*fn2[db]*mesq_usb
	    +fn1[c]*fn2[ub]*mesq_usb
	    +fn1[b]*fn2[bb]*mesq_usb
	    +fn1[b]*fn2[cb]*mesq_usb
	    +fn1[b]*fn2[db]*mesq_usb
	    +fn1[b]*fn2[ub]*mesq_usb
	    +fn1[d]*fn2[bb]*mesq_udb
	    +fn1[d]*fn2[cb]*mesq_udb
	    +fn1[d]*fn2[sb]*mesq_udb
	    +fn1[d]*fn2[ub]*mesq_udb
	    +fn1[s]*fn2[bb]*mesq_udb
	    +fn1[s]*fn2[cb]*mesq_udb
	    +fn1[s]*fn2[sb]*mesq_udb
	    +fn1[s]*fn2[ub]*mesq_udb
	    +fn1[c]*fn2[bb]*mesq_udb
	    +fn1[c]*fn2[cb]*mesq_udb
	    +fn1[c]*fn2[sb]*mesq_udb
	    +fn1[c]*fn2[ub]*mesq_udb
	    +fn1[b]*fn2[bb]*mesq_udb
	    +fn1[b]*fn2[cb]*mesq_udb
	    +fn1[b]*fn2[sb]*mesq_udb
	    +fn1[b]*fn2[ub]*mesq_udb
	    +fn1[u]*fn2[cb]*mesq_cbb
	    +fn1[u]*fn2[sb]*mesq_cbb
	    +fn1[u]*fn2[db]*mesq_cbb
	    +fn1[u]*fn2[ub]*mesq_cbb
	    +fn1[d]*fn2[cb]*mesq_cbb
	    +fn1[d]*fn2[sb]*mesq_cbb
	    +fn1[d]*fn2[db]*mesq_cbb
	    +fn1[d]*fn2[ub]*mesq_cbb
	    +fn1[s]*fn2[cb]*mesq_cbb
	    +fn1[s]*fn2[sb]*mesq_cbb
	    +fn1[s]*fn2[db]*mesq_cbb
	    +fn1[s]*fn2[ub]*mesq_cbb
	    +fn1[b]*fn2[cb]*mesq_cbb
	    +fn1[b]*fn2[sb]*mesq_cbb
	    +fn1[b]*fn2[db]*mesq_cbb
	    +fn1[b]*fn2[ub]*mesq_cbb
	    +fn1[u]*fn2[bb]*mesq_csb
	    +fn1[u]*fn2[cb]*mesq_csb
	    +fn1[u]*fn2[db]*mesq_csb
	    +fn1[u]*fn2[ub]*mesq_csb
	    +fn1[d]*fn2[bb]*mesq_csb
	    +fn1[d]*fn2[cb]*mesq_csb
	    +fn1[d]*fn2[db]*mesq_csb
	    +fn1[d]*fn2[ub]*mesq_csb
	    +fn1[s]*fn2[bb]*mesq_csb
	    +fn1[s]*fn2[cb]*mesq_csb
	    +fn1[s]*fn2[db]*mesq_csb
	    +fn1[s]*fn2[ub]*mesq_csb
	    +fn1[b]*fn2[bb]*mesq_csb
	    +fn1[b]*fn2[cb]*mesq_csb
	    +fn1[b]*fn2[db]*mesq_csb
	    +fn1[b]*fn2[ub]*mesq_csb
	    +fn1[u]*fn2[bb]*mesq_cdb
	    +fn1[u]*fn2[cb]*mesq_cdb
	    +fn1[u]*fn2[sb]*mesq_cdb
	    +fn1[u]*fn2[ub]*mesq_cdb
	    +fn1[d]*fn2[bb]*mesq_cdb
	    +fn1[d]*fn2[cb]*mesq_cdb
	    +fn1[d]*fn2[sb]*mesq_cdb
	    +fn1[d]*fn2[ub]*mesq_cdb
	    +fn1[s]*fn2[bb]*mesq_cdb
	    +fn1[s]*fn2[cb]*mesq_cdb
	    +fn1[s]*fn2[sb]*mesq_cdb
	    +fn1[s]*fn2[ub]*mesq_cdb
	    +fn1[b]*fn2[bb]*mesq_cdb
	    +fn1[b]*fn2[cb]*mesq_cdb
	    +fn1[b]*fn2[sb]*mesq_cdb
	    +fn1[b]*fn2[ub]*mesq_cdb;
	  QBPQPN=
	    +fn1[u]*fn2[bb]*mesq_bbu
	    +fn1[u]*fn2[cb]*mesq_bbu
	    +fn1[u]*fn2[sb]*mesq_bbu
	    +fn1[u]*fn2[db]*mesq_bbu
	    +fn1[d]*fn2[bb]*mesq_bbu
	    +fn1[d]*fn2[cb]*mesq_bbu
	    +fn1[d]*fn2[sb]*mesq_bbu
	    +fn1[d]*fn2[db]*mesq_bbu
	    +fn1[s]*fn2[bb]*mesq_bbu
	    +fn1[s]*fn2[cb]*mesq_bbu
	    +fn1[s]*fn2[sb]*mesq_bbu
	    +fn1[s]*fn2[db]*mesq_bbu
	    +fn1[c]*fn2[bb]*mesq_bbu
	    +fn1[c]*fn2[cb]*mesq_bbu
	    +fn1[c]*fn2[sb]*mesq_bbu
	    +fn1[c]*fn2[db]*mesq_bbu
	    +fn1[u]*fn2[bb]*mesq_bbc
	    +fn1[u]*fn2[sb]*mesq_bbc
	    +fn1[u]*fn2[db]*mesq_bbc
	    +fn1[u]*fn2[ub]*mesq_bbc
	    +fn1[d]*fn2[bb]*mesq_bbc
	    +fn1[d]*fn2[sb]*mesq_bbc
	    +fn1[d]*fn2[db]*mesq_bbc
	    +fn1[d]*fn2[ub]*mesq_bbc
	    +fn1[s]*fn2[bb]*mesq_bbc
	    +fn1[s]*fn2[sb]*mesq_bbc
	    +fn1[s]*fn2[db]*mesq_bbc
	    +fn1[s]*fn2[ub]*mesq_bbc
	    +fn1[c]*fn2[bb]*mesq_bbc
	    +fn1[c]*fn2[sb]*mesq_bbc
	    +fn1[c]*fn2[db]*mesq_bbc
	    +fn1[c]*fn2[ub]*mesq_bbc
	    +fn1[u]*fn2[bb]*mesq_sbu
	    +fn1[u]*fn2[cb]*mesq_sbu
	    +fn1[u]*fn2[sb]*mesq_sbu
	    +fn1[u]*fn2[db]*mesq_sbu
	    +fn1[d]*fn2[bb]*mesq_sbu
	    +fn1[d]*fn2[cb]*mesq_sbu
	    +fn1[d]*fn2[sb]*mesq_sbu
	    +fn1[d]*fn2[db]*mesq_sbu
	    +fn1[c]*fn2[bb]*mesq_sbu
	    +fn1[c]*fn2[cb]*mesq_sbu
	    +fn1[c]*fn2[sb]*mesq_sbu
	    +fn1[c]*fn2[db]*mesq_sbu
	    +fn1[b]*fn2[bb]*mesq_sbu
	    +fn1[b]*fn2[cb]*mesq_sbu
	    +fn1[b]*fn2[sb]*mesq_sbu
	    +fn1[b]*fn2[db]*mesq_sbu
	    +fn1[u]*fn2[bb]*mesq_sbc
	    +fn1[u]*fn2[sb]*mesq_sbc
	    +fn1[u]*fn2[db]*mesq_sbc
	    +fn1[u]*fn2[ub]*mesq_sbc
	    +fn1[d]*fn2[bb]*mesq_sbc
	    +fn1[d]*fn2[sb]*mesq_sbc
	    +fn1[d]*fn2[db]*mesq_sbc
	    +fn1[d]*fn2[ub]*mesq_sbc
	    +fn1[c]*fn2[bb]*mesq_sbc
	    +fn1[c]*fn2[sb]*mesq_sbc
	    +fn1[c]*fn2[db]*mesq_sbc
	    +fn1[c]*fn2[ub]*mesq_sbc
	    +fn1[b]*fn2[bb]*mesq_sbc
	    +fn1[b]*fn2[sb]*mesq_sbc
	    +fn1[b]*fn2[db]*mesq_sbc
	    +fn1[b]*fn2[ub]*mesq_sbc
	    +fn1[u]*fn2[bb]*mesq_dbu
	    +fn1[u]*fn2[cb]*mesq_dbu
	    +fn1[u]*fn2[sb]*mesq_dbu
	    +fn1[u]*fn2[db]*mesq_dbu
	    +fn1[s]*fn2[bb]*mesq_dbu
	    +fn1[s]*fn2[cb]*mesq_dbu
	    +fn1[s]*fn2[sb]*mesq_dbu
	    +fn1[s]*fn2[db]*mesq_dbu
	    +fn1[c]*fn2[bb]*mesq_dbu
	    +fn1[c]*fn2[cb]*mesq_dbu
	    +fn1[c]*fn2[sb]*mesq_dbu
	    +fn1[c]*fn2[db]*mesq_dbu
	    +fn1[b]*fn2[bb]*mesq_dbu
	    +fn1[b]*fn2[cb]*mesq_dbu
	    +fn1[b]*fn2[sb]*mesq_dbu
	    +fn1[b]*fn2[db]*mesq_dbu
	    +fn1[u]*fn2[bb]*mesq_dbc
	    +fn1[u]*fn2[sb]*mesq_dbc
	    +fn1[u]*fn2[db]*mesq_dbc
	    +fn1[u]*fn2[ub]*mesq_dbc
	    +fn1[s]*fn2[bb]*mesq_dbc
	    +fn1[s]*fn2[sb]*mesq_dbc
	    +fn1[s]*fn2[db]*mesq_dbc
	    +fn1[s]*fn2[ub]*mesq_dbc
	    +fn1[c]*fn2[bb]*mesq_dbc
	    +fn1[c]*fn2[sb]*mesq_dbc
	    +fn1[c]*fn2[db]*mesq_dbc
	    +fn1[c]*fn2[ub]*mesq_dbc
	    +fn1[b]*fn2[bb]*mesq_dbc
	    +fn1[b]*fn2[sb]*mesq_dbc
	    +fn1[b]*fn2[db]*mesq_dbc
	    +fn1[b]*fn2[ub]*mesq_dbc
	    +fn1[bb]*fn2[u]*mesq_ubb
	    +fn1[bb]*fn2[d]*mesq_ubb
	    +fn1[bb]*fn2[s]*mesq_ubb
	    +fn1[bb]*fn2[c]*mesq_ubb
	    +fn1[cb]*fn2[u]*mesq_ubb
	    +fn1[cb]*fn2[d]*mesq_ubb
	    +fn1[cb]*fn2[s]*mesq_ubb
	    +fn1[cb]*fn2[c]*mesq_ubb
	    +fn1[sb]*fn2[u]*mesq_ubb
	    +fn1[sb]*fn2[d]*mesq_ubb
	    +fn1[sb]*fn2[s]*mesq_ubb
	    +fn1[sb]*fn2[c]*mesq_ubb
	    +fn1[db]*fn2[u]*mesq_ubb
	    +fn1[db]*fn2[d]*mesq_ubb
	    +fn1[db]*fn2[s]*mesq_ubb
	    +fn1[db]*fn2[c]*mesq_ubb
	    +fn1[bb]*fn2[u]*mesq_usb
	    +fn1[bb]*fn2[d]*mesq_usb
	    +fn1[bb]*fn2[c]*mesq_usb
	    +fn1[bb]*fn2[b]*mesq_usb
	    +fn1[cb]*fn2[u]*mesq_usb
	    +fn1[cb]*fn2[d]*mesq_usb
	    +fn1[cb]*fn2[c]*mesq_usb
	    +fn1[cb]*fn2[b]*mesq_usb
	    +fn1[sb]*fn2[u]*mesq_usb
	    +fn1[sb]*fn2[d]*mesq_usb
	    +fn1[sb]*fn2[c]*mesq_usb
	    +fn1[sb]*fn2[b]*mesq_usb
	    +fn1[db]*fn2[u]*mesq_usb
	    +fn1[db]*fn2[d]*mesq_usb
	    +fn1[db]*fn2[c]*mesq_usb
	    +fn1[db]*fn2[b]*mesq_usb
	    +fn1[bb]*fn2[u]*mesq_udb
	    +fn1[bb]*fn2[s]*mesq_udb
	    +fn1[bb]*fn2[c]*mesq_udb
	    +fn1[bb]*fn2[b]*mesq_udb
	    +fn1[cb]*fn2[u]*mesq_udb
	    +fn1[cb]*fn2[s]*mesq_udb
	    +fn1[cb]*fn2[c]*mesq_udb
	    +fn1[cb]*fn2[b]*mesq_udb
	    +fn1[sb]*fn2[u]*mesq_udb
	    +fn1[sb]*fn2[s]*mesq_udb
	    +fn1[sb]*fn2[c]*mesq_udb
	    +fn1[sb]*fn2[b]*mesq_udb
	    +fn1[db]*fn2[u]*mesq_udb
	    +fn1[db]*fn2[s]*mesq_udb
	    +fn1[db]*fn2[c]*mesq_udb
	    +fn1[db]*fn2[b]*mesq_udb
	    +fn1[bb]*fn2[u]*mesq_cbb
	    +fn1[bb]*fn2[d]*mesq_cbb
	    +fn1[bb]*fn2[s]*mesq_cbb
	    +fn1[bb]*fn2[c]*mesq_cbb
	    +fn1[sb]*fn2[u]*mesq_cbb
	    +fn1[sb]*fn2[d]*mesq_cbb
	    +fn1[sb]*fn2[s]*mesq_cbb
	    +fn1[sb]*fn2[c]*mesq_cbb
	    +fn1[db]*fn2[u]*mesq_cbb
	    +fn1[db]*fn2[d]*mesq_cbb
	    +fn1[db]*fn2[s]*mesq_cbb
	    +fn1[db]*fn2[c]*mesq_cbb
	    +fn1[ub]*fn2[u]*mesq_cbb
	    +fn1[ub]*fn2[d]*mesq_cbb
	    +fn1[ub]*fn2[s]*mesq_cbb
	    +fn1[ub]*fn2[c]*mesq_cbb
	    +fn1[bb]*fn2[u]*mesq_csb
	    +fn1[bb]*fn2[d]*mesq_csb
	    +fn1[bb]*fn2[c]*mesq_csb
	    +fn1[bb]*fn2[b]*mesq_csb
	    +fn1[sb]*fn2[u]*mesq_csb
	    +fn1[sb]*fn2[d]*mesq_csb
	    +fn1[sb]*fn2[c]*mesq_csb
	    +fn1[sb]*fn2[b]*mesq_csb
	    +fn1[db]*fn2[u]*mesq_csb
	    +fn1[db]*fn2[d]*mesq_csb
	    +fn1[db]*fn2[c]*mesq_csb
	    +fn1[db]*fn2[b]*mesq_csb
	    +fn1[ub]*fn2[u]*mesq_csb
	    +fn1[ub]*fn2[d]*mesq_csb
	    +fn1[ub]*fn2[c]*mesq_csb
	    +fn1[ub]*fn2[b]*mesq_csb
	    +fn1[bb]*fn2[u]*mesq_cdb
	    +fn1[bb]*fn2[s]*mesq_cdb
	    +fn1[bb]*fn2[c]*mesq_cdb
	    +fn1[bb]*fn2[b]*mesq_cdb
	    +fn1[sb]*fn2[u]*mesq_cdb
	    +fn1[sb]*fn2[s]*mesq_cdb
	    +fn1[sb]*fn2[c]*mesq_cdb
	    +fn1[sb]*fn2[b]*mesq_cdb
	    +fn1[db]*fn2[u]*mesq_cdb
	    +fn1[db]*fn2[s]*mesq_cdb
	    +fn1[db]*fn2[c]*mesq_cdb
	    +fn1[db]*fn2[b]*mesq_cdb
	    +fn1[ub]*fn2[u]*mesq_cdb
	    +fn1[ub]*fn2[s]*mesq_cdb
	    +fn1[ub]*fn2[c]*mesq_cdb
	    +fn1[ub]*fn2[b]*mesq_cdb;
	}
    }
    if (opts.nproc == 2)
    {
      //DYRES convention
      // bb cb sb db ub g u d s c b
      // -5 -4 -3 -2 -1 0 1 2 3 4 5
      complex <double> mesq_dub = mesq::mesqij_expy[mesq::index(0,i1,i2,sign)];
      complex <double> mesq_ubd = mesq::mesqij_expy[mesq::index(1,i1,i2,sign)];
      complex <double> mesq_sub = mesq::mesqij_expy[mesq::index(2,i1,i2,sign)];
      complex <double> mesq_ubs = mesq::mesqij_expy[mesq::index(3,i1,i2,sign)];
      complex <double> mesq_bub = mesq::mesqij_expy[mesq::index(4,i1,i2,sign)];
      complex <double> mesq_ubb = mesq::mesqij_expy[mesq::index(5,i1,i2,sign)];
      complex <double> mesq_scb = mesq::mesqij_expy[mesq::index(6,i1,i2,sign)];
      complex <double> mesq_cbs = mesq::mesqij_expy[mesq::index(7,i1,i2,sign)];
      complex <double> mesq_dcb = mesq::mesqij_expy[mesq::index(8,i1,i2,sign)];
      complex <double> mesq_cbd = mesq::mesqij_expy[mesq::index(9,i1,i2,sign)];
      complex <double> mesq_bcb = mesq::mesqij_expy[mesq::index(10,i1,i2,sign)];
      complex <double> mesq_cbb = mesq::mesqij_expy[mesq::index(11,i1,i2,sign)];

      //LL part
      QQBN = fn1[ub]*fn2[d]*mesq_ubd
	+ fn1[ub]*fn2[s]*mesq_ubs
	+ fn1[ub]*fn2[b]*mesq_ubb
	+ fn1[cb]*fn2[d]*mesq_cbd
	+ fn1[cb]*fn2[s]*mesq_cbs
	+ fn1[cb]*fn2[b]*mesq_cbb
	+ fn1[d]*fn2[ub]*mesq_dub
	+ fn1[d]*fn2[cb]*mesq_dcb
	+ fn1[s]*fn2[ub]*mesq_sub
	+ fn1[s]*fn2[cb]*mesq_scb
	+ fn1[b]*fn2[ub]*mesq_bub
	+ fn1[b]*fn2[cb]*mesq_bcb;
      
      // NLL part
      if (opts.order >= 1)
	{
	  QGN_1 = fn1[g]*(fn2[d]*mesq_ubd
			  + fn2[s]*mesq_ubs
			  + fn2[b]*mesq_ubb
			  + fn2[d]*mesq_cbd
			  + fn2[s]*mesq_cbs
			  + fn2[b]*mesq_cbb
			  + fn2[ub]*mesq_dub
			  + fn2[cb]*mesq_dcb
			  + fn2[ub]*mesq_sub
			  + fn2[cb]*mesq_scb
			  + fn2[ub]*mesq_bub
			  + fn2[cb]*mesq_bcb);
      
	  QGN_2 = fn2[g]*(fn1[ub]*mesq_ubd
			  + fn1[ub]*mesq_ubs
			  + fn1[ub]*mesq_ubb
			  + fn1[cb]*mesq_cbd
			  + fn1[cb]*mesq_cbs
			  + fn1[cb]*mesq_cbb
			  + fn1[d]*mesq_dub
			  + fn1[d]*mesq_dcb
			  + fn1[s]*mesq_sub
			  + fn1[s]*mesq_scb
			  + fn1[b]*mesq_bub
			  + fn1[b]*mesq_bcb);
	}
      
      //NNLL
      if (opts.order >= 2)
	{
	  GGN = fn1[g]*fn2[g]*
	    (mesq_ubd
             +   mesq_ubs
             +   mesq_ubb
             +   mesq_cbd
             +   mesq_cbs
             +   mesq_cbb
             +   mesq_dub
             +   mesq_dcb
             +   mesq_sub
             +   mesq_scb
             +   mesq_bub
	     +   mesq_bcb);

	  QQN_1 = fn1[u]*fn2[d]*mesq_ubd
	    + fn1[u]*fn2[s]*mesq_ubs
	    + fn1[u]*fn2[b]*mesq_ubb
	    + fn1[c]*fn2[d]*mesq_cbd
	    + fn1[c]*fn2[s]*mesq_cbs
	    + fn1[c]*fn2[b]*mesq_cbb
	    + fn1[db]*fn2[ub]*mesq_dub
	    + fn1[db]*fn2[cb]*mesq_dcb
	    + fn1[sb]*fn2[ub]*mesq_sub
	    + fn1[sb]*fn2[cb]*mesq_scb
	    + fn1[bb]*fn2[ub]*mesq_bub
	    + fn1[bb]*fn2[cb]*mesq_bcb;
	  
	  QQN_2 = fn1[ub]*fn2[db]*mesq_ubd
	    + fn1[ub]*fn2[sb]*mesq_ubs
	    + fn1[ub]*fn2[bb]*mesq_ubb
	    + fn1[cb]*fn2[db]*mesq_cbd
	    + fn1[cb]*fn2[sb]*mesq_cbs
	    + fn1[cb]*fn2[bb]*mesq_cbb
	    + fn1[d]*fn2[u]*mesq_dub
	    + fn1[d]*fn2[c]*mesq_dcb
	    + fn1[s]*fn2[u]*mesq_sub
	    + fn1[s]*fn2[c]*mesq_scb
	    + fn1[b]*fn2[u]*mesq_bub
	    + fn1[b]*fn2[c]*mesq_bcb;

	  QQPN_1=
	    +fn1[u]*fn2[d]*mesq_cbd
	    +fn1[d]*fn2[d]*mesq_cbd
	    +fn1[s]*fn2[d]*mesq_cbd
	    +fn1[b]*fn2[d]*mesq_cbd
	    +fn1[u]*fn2[s]*mesq_cbs
	    +fn1[d]*fn2[s]*mesq_cbs
	    +fn1[s]*fn2[s]*mesq_cbs
	    +fn1[b]*fn2[s]*mesq_cbs
	    +fn1[u]*fn2[b]*mesq_cbb
	    +fn1[d]*fn2[b]*mesq_cbb
	    +fn1[s]*fn2[b]*mesq_cbb
	    +fn1[b]*fn2[b]*mesq_cbb
	    +fn1[d]*fn2[d]*mesq_ubd
	    +fn1[s]*fn2[d]*mesq_ubd
	    +fn1[c]*fn2[d]*mesq_ubd
	    +fn1[b]*fn2[d]*mesq_ubd
	    +fn1[d]*fn2[s]*mesq_ubs
	    +fn1[s]*fn2[s]*mesq_ubs
	    +fn1[c]*fn2[s]*mesq_ubs
	    +fn1[b]*fn2[s]*mesq_ubs
	    +fn1[d]*fn2[b]*mesq_ubb
	    +fn1[s]*fn2[b]*mesq_ubb
	    +fn1[c]*fn2[b]*mesq_ubb
	    +fn1[b]*fn2[b]*mesq_ubb
	    +fn1[bb]*fn2[cb]*mesq_dcb
	    +fn1[cb]*fn2[cb]*mesq_dcb
	    +fn1[sb]*fn2[cb]*mesq_dcb
	    +fn1[ub]*fn2[cb]*mesq_dcb
	    +fn1[bb]*fn2[ub]*mesq_dub
	    +fn1[cb]*fn2[ub]*mesq_dub
	    +fn1[sb]*fn2[ub]*mesq_dub
	    +fn1[ub]*fn2[ub]*mesq_dub
	    +fn1[bb]*fn2[cb]*mesq_scb
	    +fn1[cb]*fn2[cb]*mesq_scb
	    +fn1[db]*fn2[cb]*mesq_scb
	    +fn1[ub]*fn2[cb]*mesq_scb
	    +fn1[bb]*fn2[ub]*mesq_sub
	    +fn1[cb]*fn2[ub]*mesq_sub
	    +fn1[db]*fn2[ub]*mesq_sub
	    +fn1[ub]*fn2[ub]*mesq_sub
	    +fn1[cb]*fn2[cb]*mesq_bcb
	    +fn1[sb]*fn2[cb]*mesq_bcb
	    +fn1[db]*fn2[cb]*mesq_bcb
	    +fn1[ub]*fn2[cb]*mesq_bcb
	    +fn1[cb]*fn2[ub]*mesq_bub
	    +fn1[sb]*fn2[ub]*mesq_bub
	    +fn1[db]*fn2[ub]*mesq_bub
	    +fn1[ub]*fn2[ub]*mesq_bub;
	  
	  QQPN_2=
	    +fn1[cb]*fn2[bb]*mesq_cbd
	    +fn1[cb]*fn2[cb]*mesq_cbd
	    +fn1[cb]*fn2[sb]*mesq_cbd
	    +fn1[cb]*fn2[ub]*mesq_cbd
	    +fn1[cb]*fn2[bb]*mesq_cbs
	    +fn1[cb]*fn2[cb]*mesq_cbs
	    +fn1[cb]*fn2[db]*mesq_cbs
	    +fn1[cb]*fn2[ub]*mesq_cbs
	    +fn1[cb]*fn2[cb]*mesq_cbb
	    +fn1[cb]*fn2[sb]*mesq_cbb
	    +fn1[cb]*fn2[db]*mesq_cbb
	    +fn1[cb]*fn2[ub]*mesq_cbb
	    +fn1[ub]*fn2[bb]*mesq_ubd
	    +fn1[ub]*fn2[cb]*mesq_ubd
	    +fn1[ub]*fn2[sb]*mesq_ubd
	    +fn1[ub]*fn2[ub]*mesq_ubd
	    +fn1[ub]*fn2[bb]*mesq_ubs
	    +fn1[ub]*fn2[cb]*mesq_ubs
	    +fn1[ub]*fn2[db]*mesq_ubs
	    +fn1[ub]*fn2[ub]*mesq_ubs
	    +fn1[ub]*fn2[cb]*mesq_ubb
	    +fn1[ub]*fn2[sb]*mesq_ubb
	    +fn1[ub]*fn2[db]*mesq_ubb
	    +fn1[ub]*fn2[ub]*mesq_ubb
	    +fn1[d]*fn2[u]*mesq_dcb
	    +fn1[d]*fn2[d]*mesq_dcb
	    +fn1[d]*fn2[s]*mesq_dcb
	    +fn1[d]*fn2[b]*mesq_dcb
	    +fn1[d]*fn2[d]*mesq_dub
	    +fn1[d]*fn2[s]*mesq_dub
	    +fn1[d]*fn2[c]*mesq_dub
	    +fn1[d]*fn2[b]*mesq_dub
	    +fn1[s]*fn2[u]*mesq_scb
	    +fn1[s]*fn2[d]*mesq_scb
	    +fn1[s]*fn2[s]*mesq_scb
	    +fn1[s]*fn2[b]*mesq_scb
	    +fn1[s]*fn2[d]*mesq_sub
	    +fn1[s]*fn2[s]*mesq_sub
	    +fn1[s]*fn2[c]*mesq_sub
	    +fn1[s]*fn2[b]*mesq_sub
	    +fn1[b]*fn2[u]*mesq_bcb
	    +fn1[b]*fn2[d]*mesq_bcb
	    +fn1[b]*fn2[s]*mesq_bcb
	    +fn1[b]*fn2[b]*mesq_bcb
	    +fn1[b]*fn2[d]*mesq_bub
	    +fn1[b]*fn2[s]*mesq_bub
	    +fn1[b]*fn2[c]*mesq_bub
	    +fn1[b]*fn2[b]*mesq_bub;
	  QQBPN_1=
	    +fn1[bb]*fn2[d]*mesq_cbd
	    +fn1[sb]*fn2[d]*mesq_cbd
	    +fn1[db]*fn2[d]*mesq_cbd
	    +fn1[ub]*fn2[d]*mesq_cbd
	    +fn1[bb]*fn2[s]*mesq_cbs
	    +fn1[sb]*fn2[s]*mesq_cbs
	    +fn1[db]*fn2[s]*mesq_cbs
	    +fn1[ub]*fn2[s]*mesq_cbs
	    +fn1[bb]*fn2[b]*mesq_cbb
	    +fn1[sb]*fn2[b]*mesq_cbb
	    +fn1[db]*fn2[b]*mesq_cbb
	    +fn1[ub]*fn2[b]*mesq_cbb
	    +fn1[bb]*fn2[d]*mesq_ubd
	    +fn1[cb]*fn2[d]*mesq_ubd
	    +fn1[sb]*fn2[d]*mesq_ubd
	    +fn1[db]*fn2[d]*mesq_ubd
	    +fn1[bb]*fn2[s]*mesq_ubs
	    +fn1[cb]*fn2[s]*mesq_ubs
	    +fn1[sb]*fn2[s]*mesq_ubs
	    +fn1[db]*fn2[s]*mesq_ubs
	    +fn1[bb]*fn2[b]*mesq_ubb
	    +fn1[cb]*fn2[b]*mesq_ubb
	    +fn1[sb]*fn2[b]*mesq_ubb
	    +fn1[db]*fn2[b]*mesq_ubb
	    +fn1[u]*fn2[cb]*mesq_dcb
	    +fn1[s]*fn2[cb]*mesq_dcb
	    +fn1[c]*fn2[cb]*mesq_dcb
	    +fn1[b]*fn2[cb]*mesq_dcb
	    +fn1[u]*fn2[ub]*mesq_dub
	    +fn1[s]*fn2[ub]*mesq_dub
	    +fn1[c]*fn2[ub]*mesq_dub
	    +fn1[b]*fn2[ub]*mesq_dub
	    +fn1[u]*fn2[cb]*mesq_scb
	    +fn1[d]*fn2[cb]*mesq_scb
	    +fn1[c]*fn2[cb]*mesq_scb
	    +fn1[b]*fn2[cb]*mesq_scb
	    +fn1[u]*fn2[ub]*mesq_sub
	    +fn1[d]*fn2[ub]*mesq_sub
	    +fn1[c]*fn2[ub]*mesq_sub
	    +fn1[b]*fn2[ub]*mesq_sub
	    +fn1[u]*fn2[cb]*mesq_bcb
	    +fn1[d]*fn2[cb]*mesq_bcb
	    +fn1[s]*fn2[cb]*mesq_bcb
	    +fn1[c]*fn2[cb]*mesq_bcb
	    +fn1[u]*fn2[ub]*mesq_bub
	    +fn1[d]*fn2[ub]*mesq_bub
	    +fn1[s]*fn2[ub]*mesq_bub
	    +fn1[c]*fn2[ub]*mesq_bub;
	  QQBPN_2=
	    +fn1[cb]*fn2[u]*mesq_cbd
	    +fn1[cb]*fn2[s]*mesq_cbd
	    +fn1[cb]*fn2[c]*mesq_cbd
	    +fn1[cb]*fn2[b]*mesq_cbd
	    +fn1[cb]*fn2[u]*mesq_cbs
	    +fn1[cb]*fn2[d]*mesq_cbs
	    +fn1[cb]*fn2[c]*mesq_cbs
	    +fn1[cb]*fn2[b]*mesq_cbs
	    +fn1[cb]*fn2[u]*mesq_cbb
	    +fn1[cb]*fn2[d]*mesq_cbb
	    +fn1[cb]*fn2[s]*mesq_cbb
	    +fn1[cb]*fn2[c]*mesq_cbb
	    +fn1[ub]*fn2[u]*mesq_ubd
	    +fn1[ub]*fn2[s]*mesq_ubd
	    +fn1[ub]*fn2[c]*mesq_ubd
	    +fn1[ub]*fn2[b]*mesq_ubd
	    +fn1[ub]*fn2[u]*mesq_ubs
	    +fn1[ub]*fn2[d]*mesq_ubs
	    +fn1[ub]*fn2[c]*mesq_ubs
	    +fn1[ub]*fn2[b]*mesq_ubs
	    +fn1[ub]*fn2[u]*mesq_ubb
	    +fn1[ub]*fn2[d]*mesq_ubb
	    +fn1[ub]*fn2[s]*mesq_ubb
	    +fn1[ub]*fn2[c]*mesq_ubb
	    +fn1[d]*fn2[bb]*mesq_dcb
	    +fn1[d]*fn2[sb]*mesq_dcb
	    +fn1[d]*fn2[db]*mesq_dcb
	    +fn1[d]*fn2[ub]*mesq_dcb
	    +fn1[d]*fn2[bb]*mesq_dub
	    +fn1[d]*fn2[cb]*mesq_dub
	    +fn1[d]*fn2[sb]*mesq_dub
	    +fn1[d]*fn2[db]*mesq_dub
	    +fn1[s]*fn2[bb]*mesq_scb
	    +fn1[s]*fn2[sb]*mesq_scb
	    +fn1[s]*fn2[db]*mesq_scb
	    +fn1[s]*fn2[ub]*mesq_scb
	    +fn1[s]*fn2[bb]*mesq_sub
	    +fn1[s]*fn2[cb]*mesq_sub
	    +fn1[s]*fn2[sb]*mesq_sub
	    +fn1[s]*fn2[db]*mesq_sub
	    +fn1[b]*fn2[bb]*mesq_bcb
	    +fn1[b]*fn2[sb]*mesq_bcb
	    +fn1[b]*fn2[db]*mesq_bcb
	    +fn1[b]*fn2[ub]*mesq_bcb
	    +fn1[b]*fn2[bb]*mesq_bub
	    +fn1[b]*fn2[cb]*mesq_bub
	    +fn1[b]*fn2[sb]*mesq_bub
	    +fn1[b]*fn2[db]*mesq_bub;
	}
      if (opts.order >= 3)
	{
	  QBGN_1 =
	    +fn1[g]*fn2[db]*mesq_cbd
	    +fn1[g]*fn2[sb]*mesq_cbs
	    +fn1[g]*fn2[bb]*mesq_cbb
	    +fn1[g]*fn2[db]*mesq_ubd
	    +fn1[g]*fn2[sb]*mesq_ubs
	    +fn1[g]*fn2[bb]*mesq_ubb
	    +fn1[g]*fn2[c]*mesq_dcb
	    +fn1[g]*fn2[u]*mesq_dub
	    +fn1[g]*fn2[c]*mesq_scb
	    +fn1[g]*fn2[u]*mesq_sub
	    +fn1[g]*fn2[c]*mesq_bcb
	    +fn1[g]*fn2[u]*mesq_bub;

	  QBGN_2 =
	    +fn1[c]*fn2[g]*mesq_cbd
	    +fn1[c]*fn2[g]*mesq_cbs
	    +fn1[c]*fn2[g]*mesq_cbb
	    +fn1[u]*fn2[g]*mesq_ubd
	    +fn1[u]*fn2[g]*mesq_ubs
	    +fn1[u]*fn2[g]*mesq_ubb
	    +fn1[db]*fn2[g]*mesq_dcb
	    +fn1[db]*fn2[g]*mesq_dub
	    +fn1[sb]*fn2[g]*mesq_scb
	    +fn1[sb]*fn2[g]*mesq_sub
	    +fn1[bb]*fn2[g]*mesq_bcb
	    +fn1[bb]*fn2[g]*mesq_bub;

	  QPGN_1 =
	    +fn1[g]*fn2[u]*mesq_cbd
	    +fn1[g]*fn2[d]*mesq_cbd
	    +fn1[g]*fn2[s]*mesq_cbd
	    +fn1[g]*fn2[b]*mesq_cbd
	    +fn1[g]*fn2[u]*mesq_cbs
	    +fn1[g]*fn2[d]*mesq_cbs
	    +fn1[g]*fn2[s]*mesq_cbs
	    +fn1[g]*fn2[b]*mesq_cbs
	    +fn1[g]*fn2[u]*mesq_cbb
	    +fn1[g]*fn2[d]*mesq_cbb
	    +fn1[g]*fn2[s]*mesq_cbb
	    +fn1[g]*fn2[b]*mesq_cbb
	    +fn1[g]*fn2[d]*mesq_ubd
	    +fn1[g]*fn2[s]*mesq_ubd
	    +fn1[g]*fn2[c]*mesq_ubd
	    +fn1[g]*fn2[b]*mesq_ubd
	    +fn1[g]*fn2[d]*mesq_ubs
	    +fn1[g]*fn2[s]*mesq_ubs
	    +fn1[g]*fn2[c]*mesq_ubs
	    +fn1[g]*fn2[b]*mesq_ubs
	    +fn1[g]*fn2[d]*mesq_ubb
	    +fn1[g]*fn2[s]*mesq_ubb
	    +fn1[g]*fn2[c]*mesq_ubb
	    +fn1[g]*fn2[b]*mesq_ubb
	    +fn1[g]*fn2[bb]*mesq_dcb
	    +fn1[g]*fn2[cb]*mesq_dcb
	    +fn1[g]*fn2[sb]*mesq_dcb
	    +fn1[g]*fn2[ub]*mesq_dcb
	    +fn1[g]*fn2[bb]*mesq_dub
	    +fn1[g]*fn2[cb]*mesq_dub
	    +fn1[g]*fn2[sb]*mesq_dub
	    +fn1[g]*fn2[ub]*mesq_dub
	    +fn1[g]*fn2[bb]*mesq_scb
	    +fn1[g]*fn2[cb]*mesq_scb
	    +fn1[g]*fn2[db]*mesq_scb
	    +fn1[g]*fn2[ub]*mesq_scb
	    +fn1[g]*fn2[bb]*mesq_sub
	    +fn1[g]*fn2[cb]*mesq_sub
	    +fn1[g]*fn2[db]*mesq_sub
	    +fn1[g]*fn2[ub]*mesq_sub
	    +fn1[g]*fn2[cb]*mesq_bcb
	    +fn1[g]*fn2[sb]*mesq_bcb
	    +fn1[g]*fn2[db]*mesq_bcb
	    +fn1[g]*fn2[ub]*mesq_bcb
	    +fn1[g]*fn2[cb]*mesq_bub
	    +fn1[g]*fn2[sb]*mesq_bub
	    +fn1[g]*fn2[db]*mesq_bub
	    +fn1[g]*fn2[ub]*mesq_bub;

	  QPGN_2 =
	    +fn1[u]*fn2[g]*mesq_cbd
	    +fn1[d]*fn2[g]*mesq_cbd
	    +fn1[s]*fn2[g]*mesq_cbd
	    +fn1[b]*fn2[g]*mesq_cbd
	    +fn1[u]*fn2[g]*mesq_cbs
	    +fn1[d]*fn2[g]*mesq_cbs
	    +fn1[s]*fn2[g]*mesq_cbs
	    +fn1[b]*fn2[g]*mesq_cbs
	    +fn1[u]*fn2[g]*mesq_cbb
	    +fn1[d]*fn2[g]*mesq_cbb
	    +fn1[s]*fn2[g]*mesq_cbb
	    +fn1[b]*fn2[g]*mesq_cbb
	    +fn1[d]*fn2[g]*mesq_ubd
	    +fn1[s]*fn2[g]*mesq_ubd
	    +fn1[c]*fn2[g]*mesq_ubd
	    +fn1[b]*fn2[g]*mesq_ubd
	    +fn1[d]*fn2[g]*mesq_ubs
	    +fn1[s]*fn2[g]*mesq_ubs
	    +fn1[c]*fn2[g]*mesq_ubs
	    +fn1[b]*fn2[g]*mesq_ubs
	    +fn1[d]*fn2[g]*mesq_ubb
	    +fn1[s]*fn2[g]*mesq_ubb
	    +fn1[c]*fn2[g]*mesq_ubb
	    +fn1[b]*fn2[g]*mesq_ubb
	    +fn1[bb]*fn2[g]*mesq_dcb
	    +fn1[cb]*fn2[g]*mesq_dcb
	    +fn1[sb]*fn2[g]*mesq_dcb
	    +fn1[ub]*fn2[g]*mesq_dcb
	    +fn1[bb]*fn2[g]*mesq_dub
	    +fn1[cb]*fn2[g]*mesq_dub
	    +fn1[sb]*fn2[g]*mesq_dub
	    +fn1[ub]*fn2[g]*mesq_dub
	    +fn1[bb]*fn2[g]*mesq_scb
	    +fn1[cb]*fn2[g]*mesq_scb
	    +fn1[db]*fn2[g]*mesq_scb
	    +fn1[ub]*fn2[g]*mesq_scb
	    +fn1[bb]*fn2[g]*mesq_sub
	    +fn1[cb]*fn2[g]*mesq_sub
	    +fn1[db]*fn2[g]*mesq_sub
	    +fn1[ub]*fn2[g]*mesq_sub
	    +fn1[cb]*fn2[g]*mesq_bcb
	    +fn1[sb]*fn2[g]*mesq_bcb
	    +fn1[db]*fn2[g]*mesq_bcb
	    +fn1[ub]*fn2[g]*mesq_bcb
	    +fn1[cb]*fn2[g]*mesq_bub
	    +fn1[sb]*fn2[g]*mesq_bub
	    +fn1[db]*fn2[g]*mesq_bub
	    +fn1[ub]*fn2[g]*mesq_bub;

	  QBPGN_1 =
	    +fn1[g]*fn2[bb]*mesq_cbd
	    +fn1[g]*fn2[sb]*mesq_cbd
	    +fn1[g]*fn2[db]*mesq_cbd
	    +fn1[g]*fn2[ub]*mesq_cbd
	    +fn1[g]*fn2[bb]*mesq_cbs
	    +fn1[g]*fn2[sb]*mesq_cbs
	    +fn1[g]*fn2[db]*mesq_cbs
	    +fn1[g]*fn2[ub]*mesq_cbs
	    +fn1[g]*fn2[bb]*mesq_cbb
	    +fn1[g]*fn2[sb]*mesq_cbb
	    +fn1[g]*fn2[db]*mesq_cbb
	    +fn1[g]*fn2[ub]*mesq_cbb
	    +fn1[g]*fn2[bb]*mesq_ubd
	    +fn1[g]*fn2[cb]*mesq_ubd
	    +fn1[g]*fn2[sb]*mesq_ubd
	    +fn1[g]*fn2[db]*mesq_ubd
	    +fn1[g]*fn2[bb]*mesq_ubs
	    +fn1[g]*fn2[cb]*mesq_ubs
	    +fn1[g]*fn2[sb]*mesq_ubs
	    +fn1[g]*fn2[db]*mesq_ubs
	    +fn1[g]*fn2[bb]*mesq_ubb
	    +fn1[g]*fn2[cb]*mesq_ubb
	    +fn1[g]*fn2[sb]*mesq_ubb
	    +fn1[g]*fn2[db]*mesq_ubb
	    +fn1[g]*fn2[u]*mesq_dcb
	    +fn1[g]*fn2[s]*mesq_dcb
	    +fn1[g]*fn2[c]*mesq_dcb
	    +fn1[g]*fn2[b]*mesq_dcb
	    +fn1[g]*fn2[u]*mesq_dub
	    +fn1[g]*fn2[s]*mesq_dub
	    +fn1[g]*fn2[c]*mesq_dub
	    +fn1[g]*fn2[b]*mesq_dub
	    +fn1[g]*fn2[u]*mesq_scb
	    +fn1[g]*fn2[d]*mesq_scb
	    +fn1[g]*fn2[c]*mesq_scb
	    +fn1[g]*fn2[b]*mesq_scb
	    +fn1[g]*fn2[u]*mesq_sub
	    +fn1[g]*fn2[d]*mesq_sub
	    +fn1[g]*fn2[c]*mesq_sub
	    +fn1[g]*fn2[b]*mesq_sub
	    +fn1[g]*fn2[u]*mesq_bcb
	    +fn1[g]*fn2[d]*mesq_bcb
	    +fn1[g]*fn2[s]*mesq_bcb
	    +fn1[g]*fn2[c]*mesq_bcb
	    +fn1[g]*fn2[u]*mesq_bub
	    +fn1[g]*fn2[d]*mesq_bub
	    +fn1[g]*fn2[s]*mesq_bub
	    +fn1[g]*fn2[c]*mesq_bub;

	  QBPGN_2 =
	    +fn1[bb]*fn2[g]*mesq_cbd
	    +fn1[sb]*fn2[g]*mesq_cbd
	    +fn1[db]*fn2[g]*mesq_cbd
	    +fn1[ub]*fn2[g]*mesq_cbd
	    +fn1[bb]*fn2[g]*mesq_cbs
	    +fn1[sb]*fn2[g]*mesq_cbs
	    +fn1[db]*fn2[g]*mesq_cbs
	    +fn1[ub]*fn2[g]*mesq_cbs
	    +fn1[bb]*fn2[g]*mesq_cbb
	    +fn1[sb]*fn2[g]*mesq_cbb
	    +fn1[db]*fn2[g]*mesq_cbb
	    +fn1[ub]*fn2[g]*mesq_cbb
	    +fn1[bb]*fn2[g]*mesq_ubd
	    +fn1[cb]*fn2[g]*mesq_ubd
	    +fn1[sb]*fn2[g]*mesq_ubd
	    +fn1[db]*fn2[g]*mesq_ubd
	    +fn1[bb]*fn2[g]*mesq_ubs
	    +fn1[cb]*fn2[g]*mesq_ubs
	    +fn1[sb]*fn2[g]*mesq_ubs
	    +fn1[db]*fn2[g]*mesq_ubs
	    +fn1[bb]*fn2[g]*mesq_ubb
	    +fn1[cb]*fn2[g]*mesq_ubb
	    +fn1[sb]*fn2[g]*mesq_ubb
	    +fn1[db]*fn2[g]*mesq_ubb
	    +fn1[u]*fn2[g]*mesq_dcb
	    +fn1[s]*fn2[g]*mesq_dcb
	    +fn1[c]*fn2[g]*mesq_dcb
	    +fn1[b]*fn2[g]*mesq_dcb
	    +fn1[u]*fn2[g]*mesq_dub
	    +fn1[s]*fn2[g]*mesq_dub
	    +fn1[c]*fn2[g]*mesq_dub
	    +fn1[b]*fn2[g]*mesq_dub
	    +fn1[u]*fn2[g]*mesq_scb
	    +fn1[d]*fn2[g]*mesq_scb
	    +fn1[c]*fn2[g]*mesq_scb
	    +fn1[b]*fn2[g]*mesq_scb
	    +fn1[u]*fn2[g]*mesq_sub
	    +fn1[d]*fn2[g]*mesq_sub
	    +fn1[c]*fn2[g]*mesq_sub
	    +fn1[b]*fn2[g]*mesq_sub
	    +fn1[u]*fn2[g]*mesq_bcb
	    +fn1[d]*fn2[g]*mesq_bcb
	    +fn1[s]*fn2[g]*mesq_bcb
	    +fn1[c]*fn2[g]*mesq_bcb
	    +fn1[u]*fn2[g]*mesq_bub
	    +fn1[d]*fn2[g]*mesq_bub
	    +fn1[s]*fn2[g]*mesq_bub
	    +fn1[c]*fn2[g]*mesq_bub;
	}
      if (opts.order >= 4)
	{
	  QBQN=
	    +fn1[c]*fn2[db]*mesq_cbd
	    +fn1[c]*fn2[sb]*mesq_cbs
	    +fn1[c]*fn2[bb]*mesq_cbb
	    +fn1[u]*fn2[db]*mesq_ubd
	    +fn1[u]*fn2[sb]*mesq_ubs
	    +fn1[u]*fn2[bb]*mesq_ubb
	    +fn1[db]*fn2[c]*mesq_dcb
	    +fn1[db]*fn2[u]*mesq_dub
	    +fn1[sb]*fn2[c]*mesq_scb
	    +fn1[sb]*fn2[u]*mesq_sub
	    +fn1[bb]*fn2[c]*mesq_bcb
	    +fn1[bb]*fn2[u]*mesq_bub;
	  QBQPN_2=
	    +fn1[c]*fn2[bb]*mesq_cbd
	    +fn1[c]*fn2[cb]*mesq_cbd
	    +fn1[c]*fn2[sb]*mesq_cbd
	    +fn1[c]*fn2[ub]*mesq_cbd
	    +fn1[c]*fn2[bb]*mesq_cbs
	    +fn1[c]*fn2[cb]*mesq_cbs
	    +fn1[c]*fn2[db]*mesq_cbs
	    +fn1[c]*fn2[ub]*mesq_cbs
	    +fn1[c]*fn2[cb]*mesq_cbb
	    +fn1[c]*fn2[sb]*mesq_cbb
	    +fn1[c]*fn2[db]*mesq_cbb
	    +fn1[c]*fn2[ub]*mesq_cbb
	    +fn1[u]*fn2[bb]*mesq_ubd
	    +fn1[u]*fn2[cb]*mesq_ubd
	    +fn1[u]*fn2[sb]*mesq_ubd
	    +fn1[u]*fn2[ub]*mesq_ubd
	    +fn1[u]*fn2[bb]*mesq_ubs
	    +fn1[u]*fn2[cb]*mesq_ubs
	    +fn1[u]*fn2[db]*mesq_ubs
	    +fn1[u]*fn2[ub]*mesq_ubs
	    +fn1[u]*fn2[cb]*mesq_ubb
	    +fn1[u]*fn2[sb]*mesq_ubb
	    +fn1[u]*fn2[db]*mesq_ubb
	    +fn1[u]*fn2[ub]*mesq_ubb
	    +fn1[db]*fn2[u]*mesq_dcb
	    +fn1[db]*fn2[d]*mesq_dcb
	    +fn1[db]*fn2[s]*mesq_dcb
	    +fn1[db]*fn2[b]*mesq_dcb
	    +fn1[db]*fn2[d]*mesq_dub
	    +fn1[db]*fn2[s]*mesq_dub
	    +fn1[db]*fn2[c]*mesq_dub
	    +fn1[db]*fn2[b]*mesq_dub
	    +fn1[sb]*fn2[u]*mesq_scb
	    +fn1[sb]*fn2[d]*mesq_scb
	    +fn1[sb]*fn2[s]*mesq_scb
	    +fn1[sb]*fn2[b]*mesq_scb
	    +fn1[sb]*fn2[d]*mesq_sub
	    +fn1[sb]*fn2[s]*mesq_sub
	    +fn1[sb]*fn2[c]*mesq_sub
	    +fn1[sb]*fn2[b]*mesq_sub
	    +fn1[bb]*fn2[u]*mesq_bcb
	    +fn1[bb]*fn2[d]*mesq_bcb
	    +fn1[bb]*fn2[s]*mesq_bcb
	    +fn1[bb]*fn2[b]*mesq_bcb
	    +fn1[bb]*fn2[d]*mesq_bub
	    +fn1[bb]*fn2[s]*mesq_bub
	    +fn1[bb]*fn2[c]*mesq_bub
	    +fn1[bb]*fn2[b]*mesq_bub;
	  QBQPN_1=
	    +fn1[u]*fn2[db]*mesq_cbd
	    +fn1[d]*fn2[db]*mesq_cbd
	    +fn1[s]*fn2[db]*mesq_cbd
	    +fn1[b]*fn2[db]*mesq_cbd
	    +fn1[u]*fn2[sb]*mesq_cbs
	    +fn1[d]*fn2[sb]*mesq_cbs
	    +fn1[s]*fn2[sb]*mesq_cbs
	    +fn1[b]*fn2[sb]*mesq_cbs
	    +fn1[u]*fn2[bb]*mesq_cbb
	    +fn1[d]*fn2[bb]*mesq_cbb
	    +fn1[s]*fn2[bb]*mesq_cbb
	    +fn1[b]*fn2[bb]*mesq_cbb
	    +fn1[d]*fn2[db]*mesq_ubd
	    +fn1[s]*fn2[db]*mesq_ubd
	    +fn1[c]*fn2[db]*mesq_ubd
	    +fn1[b]*fn2[db]*mesq_ubd
	    +fn1[d]*fn2[sb]*mesq_ubs
	    +fn1[s]*fn2[sb]*mesq_ubs
	    +fn1[c]*fn2[sb]*mesq_ubs
	    +fn1[b]*fn2[sb]*mesq_ubs
	    +fn1[d]*fn2[bb]*mesq_ubb
	    +fn1[s]*fn2[bb]*mesq_ubb
	    +fn1[c]*fn2[bb]*mesq_ubb
	    +fn1[b]*fn2[bb]*mesq_ubb
	    +fn1[bb]*fn2[c]*mesq_dcb
	    +fn1[cb]*fn2[c]*mesq_dcb
	    +fn1[sb]*fn2[c]*mesq_dcb
	    +fn1[ub]*fn2[c]*mesq_dcb
	    +fn1[bb]*fn2[u]*mesq_dub
	    +fn1[cb]*fn2[u]*mesq_dub
	    +fn1[sb]*fn2[u]*mesq_dub
	    +fn1[ub]*fn2[u]*mesq_dub
	    +fn1[bb]*fn2[c]*mesq_scb
	    +fn1[cb]*fn2[c]*mesq_scb
	    +fn1[db]*fn2[c]*mesq_scb
	    +fn1[ub]*fn2[c]*mesq_scb
	    +fn1[bb]*fn2[u]*mesq_sub
	    +fn1[cb]*fn2[u]*mesq_sub
	    +fn1[db]*fn2[u]*mesq_sub
	    +fn1[ub]*fn2[u]*mesq_sub
	    +fn1[cb]*fn2[c]*mesq_bcb
	    +fn1[sb]*fn2[c]*mesq_bcb
	    +fn1[db]*fn2[c]*mesq_bcb
	    +fn1[ub]*fn2[c]*mesq_bcb
	    +fn1[cb]*fn2[u]*mesq_bub
	    +fn1[sb]*fn2[u]*mesq_bub
	    +fn1[db]*fn2[u]*mesq_bub
	    +fn1[ub]*fn2[u]*mesq_bub;
	  QBQBPN_2=
	    +fn1[c]*fn2[u]*mesq_cbd
	    +fn1[c]*fn2[s]*mesq_cbd
	    +fn1[c]*fn2[c]*mesq_cbd
	    +fn1[c]*fn2[b]*mesq_cbd
	    +fn1[c]*fn2[u]*mesq_cbs
	    +fn1[c]*fn2[d]*mesq_cbs
	    +fn1[c]*fn2[c]*mesq_cbs
	    +fn1[c]*fn2[b]*mesq_cbs
	    +fn1[c]*fn2[u]*mesq_cbb
	    +fn1[c]*fn2[d]*mesq_cbb
	    +fn1[c]*fn2[s]*mesq_cbb
	    +fn1[c]*fn2[c]*mesq_cbb
	    +fn1[u]*fn2[u]*mesq_ubd
	    +fn1[u]*fn2[s]*mesq_ubd
	    +fn1[u]*fn2[c]*mesq_ubd
	    +fn1[u]*fn2[b]*mesq_ubd
	    +fn1[u]*fn2[u]*mesq_ubs
	    +fn1[u]*fn2[d]*mesq_ubs
	    +fn1[u]*fn2[c]*mesq_ubs
	    +fn1[u]*fn2[b]*mesq_ubs
	    +fn1[u]*fn2[u]*mesq_ubb
	    +fn1[u]*fn2[d]*mesq_ubb
	    +fn1[u]*fn2[s]*mesq_ubb
	    +fn1[u]*fn2[c]*mesq_ubb
	    +fn1[db]*fn2[bb]*mesq_dcb
	    +fn1[db]*fn2[sb]*mesq_dcb
	    +fn1[db]*fn2[db]*mesq_dcb
	    +fn1[db]*fn2[ub]*mesq_dcb
	    +fn1[db]*fn2[bb]*mesq_dub
	    +fn1[db]*fn2[cb]*mesq_dub
	    +fn1[db]*fn2[sb]*mesq_dub
	    +fn1[db]*fn2[db]*mesq_dub
	    +fn1[sb]*fn2[bb]*mesq_scb
	    +fn1[sb]*fn2[sb]*mesq_scb
	    +fn1[sb]*fn2[db]*mesq_scb
	    +fn1[sb]*fn2[ub]*mesq_scb
	    +fn1[sb]*fn2[bb]*mesq_sub
	    +fn1[sb]*fn2[cb]*mesq_sub
	    +fn1[sb]*fn2[sb]*mesq_sub
	    +fn1[sb]*fn2[db]*mesq_sub
	    +fn1[bb]*fn2[bb]*mesq_bcb
	    +fn1[bb]*fn2[sb]*mesq_bcb
	    +fn1[bb]*fn2[db]*mesq_bcb
	    +fn1[bb]*fn2[ub]*mesq_bcb
	    +fn1[bb]*fn2[bb]*mesq_bub
	    +fn1[bb]*fn2[cb]*mesq_bub
	    +fn1[bb]*fn2[sb]*mesq_bub
	    +fn1[bb]*fn2[db]*mesq_bub;
	  QBQBPN_1=
	    +fn1[bb]*fn2[db]*mesq_cbd
	    +fn1[sb]*fn2[db]*mesq_cbd
	    +fn1[db]*fn2[db]*mesq_cbd
	    +fn1[ub]*fn2[db]*mesq_cbd
	    +fn1[bb]*fn2[sb]*mesq_cbs
	    +fn1[sb]*fn2[sb]*mesq_cbs
	    +fn1[db]*fn2[sb]*mesq_cbs
	    +fn1[ub]*fn2[sb]*mesq_cbs
	    +fn1[bb]*fn2[bb]*mesq_cbb
	    +fn1[sb]*fn2[bb]*mesq_cbb
	    +fn1[db]*fn2[bb]*mesq_cbb
	    +fn1[ub]*fn2[bb]*mesq_cbb
	    +fn1[bb]*fn2[db]*mesq_ubd
	    +fn1[cb]*fn2[db]*mesq_ubd
	    +fn1[sb]*fn2[db]*mesq_ubd
	    +fn1[db]*fn2[db]*mesq_ubd
	    +fn1[bb]*fn2[sb]*mesq_ubs
	    +fn1[cb]*fn2[sb]*mesq_ubs
	    +fn1[sb]*fn2[sb]*mesq_ubs
	    +fn1[db]*fn2[sb]*mesq_ubs
	    +fn1[bb]*fn2[bb]*mesq_ubb
	    +fn1[cb]*fn2[bb]*mesq_ubb
	    +fn1[sb]*fn2[bb]*mesq_ubb
	    +fn1[db]*fn2[bb]*mesq_ubb
	    +fn1[u]*fn2[c]*mesq_dcb
	    +fn1[s]*fn2[c]*mesq_dcb
	    +fn1[c]*fn2[c]*mesq_dcb
	    +fn1[b]*fn2[c]*mesq_dcb
	    +fn1[u]*fn2[u]*mesq_dub
	    +fn1[s]*fn2[u]*mesq_dub
	    +fn1[c]*fn2[u]*mesq_dub
	    +fn1[b]*fn2[u]*mesq_dub
	    +fn1[u]*fn2[c]*mesq_scb
	    +fn1[d]*fn2[c]*mesq_scb
	    +fn1[c]*fn2[c]*mesq_scb
	    +fn1[b]*fn2[c]*mesq_scb
	    +fn1[u]*fn2[u]*mesq_sub
	    +fn1[d]*fn2[u]*mesq_sub
	    +fn1[c]*fn2[u]*mesq_sub
	    +fn1[b]*fn2[u]*mesq_sub
	    +fn1[u]*fn2[c]*mesq_bcb
	    +fn1[d]*fn2[c]*mesq_bcb
	    +fn1[s]*fn2[c]*mesq_bcb
	    +fn1[c]*fn2[c]*mesq_bcb
	    +fn1[u]*fn2[u]*mesq_bub
	    +fn1[d]*fn2[u]*mesq_bub
	    +fn1[s]*fn2[u]*mesq_bub
	    +fn1[c]*fn2[u]*mesq_bub;
	  QPQPN_2=
	    +fn1[bb]*fn2[bb]*mesq_cbd
	    +fn1[bb]*fn2[cb]*mesq_cbd
	    +fn1[bb]*fn2[sb]*mesq_cbd
	    +fn1[bb]*fn2[ub]*mesq_cbd
	    +fn1[sb]*fn2[bb]*mesq_cbd
	    +fn1[sb]*fn2[cb]*mesq_cbd
	    +fn1[sb]*fn2[sb]*mesq_cbd
	    +fn1[sb]*fn2[ub]*mesq_cbd
	    +fn1[db]*fn2[bb]*mesq_cbd
	    +fn1[db]*fn2[cb]*mesq_cbd
	    +fn1[db]*fn2[sb]*mesq_cbd
	    +fn1[db]*fn2[ub]*mesq_cbd
	    +fn1[ub]*fn2[bb]*mesq_cbd
	    +fn1[ub]*fn2[cb]*mesq_cbd
	    +fn1[ub]*fn2[sb]*mesq_cbd
	    +fn1[ub]*fn2[ub]*mesq_cbd
	    +fn1[bb]*fn2[bb]*mesq_cbs
	    +fn1[bb]*fn2[cb]*mesq_cbs
	    +fn1[bb]*fn2[db]*mesq_cbs
	    +fn1[bb]*fn2[ub]*mesq_cbs
	    +fn1[sb]*fn2[bb]*mesq_cbs
	    +fn1[sb]*fn2[cb]*mesq_cbs
	    +fn1[sb]*fn2[db]*mesq_cbs
	    +fn1[sb]*fn2[ub]*mesq_cbs
	    +fn1[db]*fn2[bb]*mesq_cbs
	    +fn1[db]*fn2[cb]*mesq_cbs
	    +fn1[db]*fn2[db]*mesq_cbs
	    +fn1[db]*fn2[ub]*mesq_cbs
	    +fn1[ub]*fn2[bb]*mesq_cbs
	    +fn1[ub]*fn2[cb]*mesq_cbs
	    +fn1[ub]*fn2[db]*mesq_cbs
	    +fn1[ub]*fn2[ub]*mesq_cbs
	    +fn1[bb]*fn2[cb]*mesq_cbb
	    +fn1[bb]*fn2[sb]*mesq_cbb
	    +fn1[bb]*fn2[db]*mesq_cbb
	    +fn1[bb]*fn2[ub]*mesq_cbb
	    +fn1[sb]*fn2[cb]*mesq_cbb
	    +fn1[sb]*fn2[sb]*mesq_cbb
	    +fn1[sb]*fn2[db]*mesq_cbb
	    +fn1[sb]*fn2[ub]*mesq_cbb
	    +fn1[db]*fn2[cb]*mesq_cbb
	    +fn1[db]*fn2[sb]*mesq_cbb
	    +fn1[db]*fn2[db]*mesq_cbb
	    +fn1[db]*fn2[ub]*mesq_cbb
	    +fn1[ub]*fn2[cb]*mesq_cbb
	    +fn1[ub]*fn2[sb]*mesq_cbb
	    +fn1[ub]*fn2[db]*mesq_cbb
	    +fn1[ub]*fn2[ub]*mesq_cbb
	    +fn1[bb]*fn2[bb]*mesq_ubd
	    +fn1[bb]*fn2[cb]*mesq_ubd
	    +fn1[bb]*fn2[sb]*mesq_ubd
	    +fn1[bb]*fn2[ub]*mesq_ubd
	    +fn1[cb]*fn2[bb]*mesq_ubd
	    +fn1[cb]*fn2[cb]*mesq_ubd
	    +fn1[cb]*fn2[sb]*mesq_ubd
	    +fn1[cb]*fn2[ub]*mesq_ubd
	    +fn1[sb]*fn2[bb]*mesq_ubd
	    +fn1[sb]*fn2[cb]*mesq_ubd
	    +fn1[sb]*fn2[sb]*mesq_ubd
	    +fn1[sb]*fn2[ub]*mesq_ubd
	    +fn1[db]*fn2[bb]*mesq_ubd
	    +fn1[db]*fn2[cb]*mesq_ubd
	    +fn1[db]*fn2[sb]*mesq_ubd
	    +fn1[db]*fn2[ub]*mesq_ubd
	    +fn1[bb]*fn2[bb]*mesq_ubs
	    +fn1[bb]*fn2[cb]*mesq_ubs
	    +fn1[bb]*fn2[db]*mesq_ubs
	    +fn1[bb]*fn2[ub]*mesq_ubs
	    +fn1[cb]*fn2[bb]*mesq_ubs
	    +fn1[cb]*fn2[cb]*mesq_ubs
	    +fn1[cb]*fn2[db]*mesq_ubs
	    +fn1[cb]*fn2[ub]*mesq_ubs
	    +fn1[sb]*fn2[bb]*mesq_ubs
	    +fn1[sb]*fn2[cb]*mesq_ubs
	    +fn1[sb]*fn2[db]*mesq_ubs
	    +fn1[sb]*fn2[ub]*mesq_ubs
	    +fn1[db]*fn2[bb]*mesq_ubs
	    +fn1[db]*fn2[cb]*mesq_ubs
	    +fn1[db]*fn2[db]*mesq_ubs
	    +fn1[db]*fn2[ub]*mesq_ubs
	    +fn1[bb]*fn2[cb]*mesq_ubb
	    +fn1[bb]*fn2[sb]*mesq_ubb
	    +fn1[bb]*fn2[db]*mesq_ubb
	    +fn1[bb]*fn2[ub]*mesq_ubb
	    +fn1[cb]*fn2[cb]*mesq_ubb
	    +fn1[cb]*fn2[sb]*mesq_ubb
	    +fn1[cb]*fn2[db]*mesq_ubb
	    +fn1[cb]*fn2[ub]*mesq_ubb
	    +fn1[sb]*fn2[cb]*mesq_ubb
	    +fn1[sb]*fn2[sb]*mesq_ubb
	    +fn1[sb]*fn2[db]*mesq_ubb
	    +fn1[sb]*fn2[ub]*mesq_ubb
	    +fn1[db]*fn2[cb]*mesq_ubb
	    +fn1[db]*fn2[sb]*mesq_ubb
	    +fn1[db]*fn2[db]*mesq_ubb
	    +fn1[db]*fn2[ub]*mesq_ubb
	    +fn1[u]*fn2[u]*mesq_dcb
	    +fn1[u]*fn2[d]*mesq_dcb
	    +fn1[u]*fn2[s]*mesq_dcb
	    +fn1[u]*fn2[b]*mesq_dcb
	    +fn1[s]*fn2[u]*mesq_dcb
	    +fn1[s]*fn2[d]*mesq_dcb
	    +fn1[s]*fn2[s]*mesq_dcb
	    +fn1[s]*fn2[b]*mesq_dcb
	    +fn1[c]*fn2[u]*mesq_dcb
	    +fn1[c]*fn2[d]*mesq_dcb
	    +fn1[c]*fn2[s]*mesq_dcb
	    +fn1[c]*fn2[b]*mesq_dcb
	    +fn1[b]*fn2[u]*mesq_dcb
	    +fn1[b]*fn2[d]*mesq_dcb
	    +fn1[b]*fn2[s]*mesq_dcb
	    +fn1[b]*fn2[b]*mesq_dcb
	    +fn1[u]*fn2[d]*mesq_dub
	    +fn1[u]*fn2[s]*mesq_dub
	    +fn1[u]*fn2[c]*mesq_dub
	    +fn1[u]*fn2[b]*mesq_dub
	    +fn1[s]*fn2[d]*mesq_dub
	    +fn1[s]*fn2[s]*mesq_dub
	    +fn1[s]*fn2[c]*mesq_dub
	    +fn1[s]*fn2[b]*mesq_dub
	    +fn1[c]*fn2[d]*mesq_dub
	    +fn1[c]*fn2[s]*mesq_dub
	    +fn1[c]*fn2[c]*mesq_dub
	    +fn1[c]*fn2[b]*mesq_dub
	    +fn1[b]*fn2[d]*mesq_dub
	    +fn1[b]*fn2[s]*mesq_dub
	    +fn1[b]*fn2[c]*mesq_dub
	    +fn1[b]*fn2[b]*mesq_dub
	    +fn1[u]*fn2[u]*mesq_scb
	    +fn1[u]*fn2[d]*mesq_scb
	    +fn1[u]*fn2[s]*mesq_scb
	    +fn1[u]*fn2[b]*mesq_scb
	    +fn1[d]*fn2[u]*mesq_scb
	    +fn1[d]*fn2[d]*mesq_scb
	    +fn1[d]*fn2[s]*mesq_scb
	    +fn1[d]*fn2[b]*mesq_scb
	    +fn1[c]*fn2[u]*mesq_scb
	    +fn1[c]*fn2[d]*mesq_scb
	    +fn1[c]*fn2[s]*mesq_scb
	    +fn1[c]*fn2[b]*mesq_scb
	    +fn1[b]*fn2[u]*mesq_scb
	    +fn1[b]*fn2[d]*mesq_scb
	    +fn1[b]*fn2[s]*mesq_scb
	    +fn1[b]*fn2[b]*mesq_scb
	    +fn1[u]*fn2[d]*mesq_sub
	    +fn1[u]*fn2[s]*mesq_sub
	    +fn1[u]*fn2[c]*mesq_sub
	    +fn1[u]*fn2[b]*mesq_sub
	    +fn1[d]*fn2[d]*mesq_sub
	    +fn1[d]*fn2[s]*mesq_sub
	    +fn1[d]*fn2[c]*mesq_sub
	    +fn1[d]*fn2[b]*mesq_sub
	    +fn1[c]*fn2[d]*mesq_sub
	    +fn1[c]*fn2[s]*mesq_sub
	    +fn1[c]*fn2[c]*mesq_sub
	    +fn1[c]*fn2[b]*mesq_sub
	    +fn1[b]*fn2[d]*mesq_sub
	    +fn1[b]*fn2[s]*mesq_sub
	    +fn1[b]*fn2[c]*mesq_sub
	    +fn1[b]*fn2[b]*mesq_sub
	    +fn1[u]*fn2[u]*mesq_bcb
	    +fn1[u]*fn2[d]*mesq_bcb
	    +fn1[u]*fn2[s]*mesq_bcb
	    +fn1[u]*fn2[b]*mesq_bcb
	    +fn1[d]*fn2[u]*mesq_bcb
	    +fn1[d]*fn2[d]*mesq_bcb
	    +fn1[d]*fn2[s]*mesq_bcb
	    +fn1[d]*fn2[b]*mesq_bcb
	    +fn1[s]*fn2[u]*mesq_bcb
	    +fn1[s]*fn2[d]*mesq_bcb
	    +fn1[s]*fn2[s]*mesq_bcb
	    +fn1[s]*fn2[b]*mesq_bcb
	    +fn1[c]*fn2[u]*mesq_bcb
	    +fn1[c]*fn2[d]*mesq_bcb
	    +fn1[c]*fn2[s]*mesq_bcb
	    +fn1[c]*fn2[b]*mesq_bcb
	    +fn1[u]*fn2[d]*mesq_bub
	    +fn1[u]*fn2[s]*mesq_bub
	    +fn1[u]*fn2[c]*mesq_bub
	    +fn1[u]*fn2[b]*mesq_bub
	    +fn1[d]*fn2[d]*mesq_bub
	    +fn1[d]*fn2[s]*mesq_bub
	    +fn1[d]*fn2[c]*mesq_bub
	    +fn1[d]*fn2[b]*mesq_bub
	    +fn1[s]*fn2[d]*mesq_bub
	    +fn1[s]*fn2[s]*mesq_bub
	    +fn1[s]*fn2[c]*mesq_bub
	    +fn1[s]*fn2[b]*mesq_bub
	    +fn1[c]*fn2[d]*mesq_bub
	    +fn1[c]*fn2[s]*mesq_bub
	    +fn1[c]*fn2[c]*mesq_bub
	    +fn1[c]*fn2[b]*mesq_bub;
	  QPQPN_1=
	    +fn1[u]*fn2[u]*mesq_cbd
	    +fn1[u]*fn2[s]*mesq_cbd
	    +fn1[u]*fn2[c]*mesq_cbd
	    +fn1[u]*fn2[b]*mesq_cbd
	    +fn1[d]*fn2[u]*mesq_cbd
	    +fn1[d]*fn2[s]*mesq_cbd
	    +fn1[d]*fn2[c]*mesq_cbd
	    +fn1[d]*fn2[b]*mesq_cbd
	    +fn1[s]*fn2[u]*mesq_cbd
	    +fn1[s]*fn2[s]*mesq_cbd
	    +fn1[s]*fn2[c]*mesq_cbd
	    +fn1[s]*fn2[b]*mesq_cbd
	    +fn1[b]*fn2[u]*mesq_cbd
	    +fn1[b]*fn2[s]*mesq_cbd
	    +fn1[b]*fn2[c]*mesq_cbd
	    +fn1[b]*fn2[b]*mesq_cbd
	    +fn1[u]*fn2[u]*mesq_cbs
	    +fn1[u]*fn2[d]*mesq_cbs
	    +fn1[u]*fn2[c]*mesq_cbs
	    +fn1[u]*fn2[b]*mesq_cbs
	    +fn1[d]*fn2[u]*mesq_cbs
	    +fn1[d]*fn2[d]*mesq_cbs
	    +fn1[d]*fn2[c]*mesq_cbs
	    +fn1[d]*fn2[b]*mesq_cbs
	    +fn1[s]*fn2[u]*mesq_cbs
	    +fn1[s]*fn2[d]*mesq_cbs
	    +fn1[s]*fn2[c]*mesq_cbs
	    +fn1[s]*fn2[b]*mesq_cbs
	    +fn1[b]*fn2[u]*mesq_cbs
	    +fn1[b]*fn2[d]*mesq_cbs
	    +fn1[b]*fn2[c]*mesq_cbs
	    +fn1[b]*fn2[b]*mesq_cbs
	    +fn1[u]*fn2[u]*mesq_cbb
	    +fn1[u]*fn2[d]*mesq_cbb
	    +fn1[u]*fn2[s]*mesq_cbb
	    +fn1[u]*fn2[c]*mesq_cbb
	    +fn1[d]*fn2[u]*mesq_cbb
	    +fn1[d]*fn2[d]*mesq_cbb
	    +fn1[d]*fn2[s]*mesq_cbb
	    +fn1[d]*fn2[c]*mesq_cbb
	    +fn1[s]*fn2[u]*mesq_cbb
	    +fn1[s]*fn2[d]*mesq_cbb
	    +fn1[s]*fn2[s]*mesq_cbb
	    +fn1[s]*fn2[c]*mesq_cbb
	    +fn1[b]*fn2[u]*mesq_cbb
	    +fn1[b]*fn2[d]*mesq_cbb
	    +fn1[b]*fn2[s]*mesq_cbb
	    +fn1[b]*fn2[c]*mesq_cbb
	    +fn1[d]*fn2[u]*mesq_ubd
	    +fn1[d]*fn2[s]*mesq_ubd
	    +fn1[d]*fn2[c]*mesq_ubd
	    +fn1[d]*fn2[b]*mesq_ubd
	    +fn1[s]*fn2[u]*mesq_ubd
	    +fn1[s]*fn2[s]*mesq_ubd
	    +fn1[s]*fn2[c]*mesq_ubd
	    +fn1[s]*fn2[b]*mesq_ubd
	    +fn1[c]*fn2[u]*mesq_ubd
	    +fn1[c]*fn2[s]*mesq_ubd
	    +fn1[c]*fn2[c]*mesq_ubd
	    +fn1[c]*fn2[b]*mesq_ubd
	    +fn1[b]*fn2[u]*mesq_ubd
	    +fn1[b]*fn2[s]*mesq_ubd
	    +fn1[b]*fn2[c]*mesq_ubd
	    +fn1[b]*fn2[b]*mesq_ubd
	    +fn1[d]*fn2[u]*mesq_ubs
	    +fn1[d]*fn2[d]*mesq_ubs
	    +fn1[d]*fn2[c]*mesq_ubs
	    +fn1[d]*fn2[b]*mesq_ubs
	    +fn1[s]*fn2[u]*mesq_ubs
	    +fn1[s]*fn2[d]*mesq_ubs
	    +fn1[s]*fn2[c]*mesq_ubs
	    +fn1[s]*fn2[b]*mesq_ubs
	    +fn1[c]*fn2[u]*mesq_ubs
	    +fn1[c]*fn2[d]*mesq_ubs
	    +fn1[c]*fn2[c]*mesq_ubs
	    +fn1[c]*fn2[b]*mesq_ubs
	    +fn1[b]*fn2[u]*mesq_ubs
	    +fn1[b]*fn2[d]*mesq_ubs
	    +fn1[b]*fn2[c]*mesq_ubs
	    +fn1[b]*fn2[b]*mesq_ubs
	    +fn1[d]*fn2[u]*mesq_ubb
	    +fn1[d]*fn2[d]*mesq_ubb
	    +fn1[d]*fn2[s]*mesq_ubb
	    +fn1[d]*fn2[c]*mesq_ubb
	    +fn1[s]*fn2[u]*mesq_ubb
	    +fn1[s]*fn2[d]*mesq_ubb
	    +fn1[s]*fn2[s]*mesq_ubb
	    +fn1[s]*fn2[c]*mesq_ubb
	    +fn1[c]*fn2[u]*mesq_ubb
	    +fn1[c]*fn2[d]*mesq_ubb
	    +fn1[c]*fn2[s]*mesq_ubb
	    +fn1[c]*fn2[c]*mesq_ubb
	    +fn1[b]*fn2[u]*mesq_ubb
	    +fn1[b]*fn2[d]*mesq_ubb
	    +fn1[b]*fn2[s]*mesq_ubb
	    +fn1[b]*fn2[c]*mesq_ubb
	    +fn1[bb]*fn2[bb]*mesq_dcb
	    +fn1[bb]*fn2[sb]*mesq_dcb
	    +fn1[bb]*fn2[db]*mesq_dcb
	    +fn1[bb]*fn2[ub]*mesq_dcb
	    +fn1[cb]*fn2[bb]*mesq_dcb
	    +fn1[cb]*fn2[sb]*mesq_dcb
	    +fn1[cb]*fn2[db]*mesq_dcb
	    +fn1[cb]*fn2[ub]*mesq_dcb
	    +fn1[sb]*fn2[bb]*mesq_dcb
	    +fn1[sb]*fn2[sb]*mesq_dcb
	    +fn1[sb]*fn2[db]*mesq_dcb
	    +fn1[sb]*fn2[ub]*mesq_dcb
	    +fn1[ub]*fn2[bb]*mesq_dcb
	    +fn1[ub]*fn2[sb]*mesq_dcb
	    +fn1[ub]*fn2[db]*mesq_dcb
	    +fn1[ub]*fn2[ub]*mesq_dcb
	    +fn1[bb]*fn2[bb]*mesq_dub
	    +fn1[bb]*fn2[cb]*mesq_dub
	    +fn1[bb]*fn2[sb]*mesq_dub
	    +fn1[bb]*fn2[db]*mesq_dub
	    +fn1[cb]*fn2[bb]*mesq_dub
	    +fn1[cb]*fn2[cb]*mesq_dub
	    +fn1[cb]*fn2[sb]*mesq_dub
	    +fn1[cb]*fn2[db]*mesq_dub
	    +fn1[sb]*fn2[bb]*mesq_dub
	    +fn1[sb]*fn2[cb]*mesq_dub
	    +fn1[sb]*fn2[sb]*mesq_dub
	    +fn1[sb]*fn2[db]*mesq_dub
	    +fn1[ub]*fn2[bb]*mesq_dub
	    +fn1[ub]*fn2[cb]*mesq_dub
	    +fn1[ub]*fn2[sb]*mesq_dub
	    +fn1[ub]*fn2[db]*mesq_dub
	    +fn1[bb]*fn2[bb]*mesq_scb
	    +fn1[bb]*fn2[sb]*mesq_scb
	    +fn1[bb]*fn2[db]*mesq_scb
	    +fn1[bb]*fn2[ub]*mesq_scb
	    +fn1[cb]*fn2[bb]*mesq_scb
	    +fn1[cb]*fn2[sb]*mesq_scb
	    +fn1[cb]*fn2[db]*mesq_scb
	    +fn1[cb]*fn2[ub]*mesq_scb
	    +fn1[db]*fn2[bb]*mesq_scb
	    +fn1[db]*fn2[sb]*mesq_scb
	    +fn1[db]*fn2[db]*mesq_scb
	    +fn1[db]*fn2[ub]*mesq_scb
	    +fn1[ub]*fn2[bb]*mesq_scb
	    +fn1[ub]*fn2[sb]*mesq_scb
	    +fn1[ub]*fn2[db]*mesq_scb
	    +fn1[ub]*fn2[ub]*mesq_scb
	    +fn1[bb]*fn2[bb]*mesq_sub
	    +fn1[bb]*fn2[cb]*mesq_sub
	    +fn1[bb]*fn2[sb]*mesq_sub
	    +fn1[bb]*fn2[db]*mesq_sub
	    +fn1[cb]*fn2[bb]*mesq_sub
	    +fn1[cb]*fn2[cb]*mesq_sub
	    +fn1[cb]*fn2[sb]*mesq_sub
	    +fn1[cb]*fn2[db]*mesq_sub
	    +fn1[db]*fn2[bb]*mesq_sub
	    +fn1[db]*fn2[cb]*mesq_sub
	    +fn1[db]*fn2[sb]*mesq_sub
	    +fn1[db]*fn2[db]*mesq_sub
	    +fn1[ub]*fn2[bb]*mesq_sub
	    +fn1[ub]*fn2[cb]*mesq_sub
	    +fn1[ub]*fn2[sb]*mesq_sub
	    +fn1[ub]*fn2[db]*mesq_sub
	    +fn1[cb]*fn2[bb]*mesq_bcb
	    +fn1[cb]*fn2[sb]*mesq_bcb
	    +fn1[cb]*fn2[db]*mesq_bcb
	    +fn1[cb]*fn2[ub]*mesq_bcb
	    +fn1[sb]*fn2[bb]*mesq_bcb
	    +fn1[sb]*fn2[sb]*mesq_bcb
	    +fn1[sb]*fn2[db]*mesq_bcb
	    +fn1[sb]*fn2[ub]*mesq_bcb
	    +fn1[db]*fn2[bb]*mesq_bcb
	    +fn1[db]*fn2[sb]*mesq_bcb
	    +fn1[db]*fn2[db]*mesq_bcb
	    +fn1[db]*fn2[ub]*mesq_bcb
	    +fn1[ub]*fn2[bb]*mesq_bcb
	    +fn1[ub]*fn2[sb]*mesq_bcb
	    +fn1[ub]*fn2[db]*mesq_bcb
	    +fn1[ub]*fn2[ub]*mesq_bcb
	    +fn1[cb]*fn2[bb]*mesq_bub
	    +fn1[cb]*fn2[cb]*mesq_bub
	    +fn1[cb]*fn2[sb]*mesq_bub
	    +fn1[cb]*fn2[db]*mesq_bub
	    +fn1[sb]*fn2[bb]*mesq_bub
	    +fn1[sb]*fn2[cb]*mesq_bub
	    +fn1[sb]*fn2[sb]*mesq_bub
	    +fn1[sb]*fn2[db]*mesq_bub
	    +fn1[db]*fn2[bb]*mesq_bub
	    +fn1[db]*fn2[cb]*mesq_bub
	    +fn1[db]*fn2[sb]*mesq_bub
	    +fn1[db]*fn2[db]*mesq_bub
	    +fn1[ub]*fn2[bb]*mesq_bub
	    +fn1[ub]*fn2[cb]*mesq_bub
	    +fn1[ub]*fn2[sb]*mesq_bub
	    +fn1[ub]*fn2[db]*mesq_bub;
	  QPQBPN=
	    +fn1[bb]*fn2[u]*mesq_cbd
	    +fn1[bb]*fn2[s]*mesq_cbd
	    +fn1[bb]*fn2[c]*mesq_cbd
	    +fn1[bb]*fn2[b]*mesq_cbd
	    +fn1[sb]*fn2[u]*mesq_cbd
	    +fn1[sb]*fn2[s]*mesq_cbd
	    +fn1[sb]*fn2[c]*mesq_cbd
	    +fn1[sb]*fn2[b]*mesq_cbd
	    +fn1[db]*fn2[u]*mesq_cbd
	    +fn1[db]*fn2[s]*mesq_cbd
	    +fn1[db]*fn2[c]*mesq_cbd
	    +fn1[db]*fn2[b]*mesq_cbd
	    +fn1[ub]*fn2[u]*mesq_cbd
	    +fn1[ub]*fn2[s]*mesq_cbd
	    +fn1[ub]*fn2[c]*mesq_cbd
	    +fn1[ub]*fn2[b]*mesq_cbd
	    +fn1[bb]*fn2[u]*mesq_cbs
	    +fn1[bb]*fn2[d]*mesq_cbs
	    +fn1[bb]*fn2[c]*mesq_cbs
	    +fn1[bb]*fn2[b]*mesq_cbs
	    +fn1[sb]*fn2[u]*mesq_cbs
	    +fn1[sb]*fn2[d]*mesq_cbs
	    +fn1[sb]*fn2[c]*mesq_cbs
	    +fn1[sb]*fn2[b]*mesq_cbs
	    +fn1[db]*fn2[u]*mesq_cbs
	    +fn1[db]*fn2[d]*mesq_cbs
	    +fn1[db]*fn2[c]*mesq_cbs
	    +fn1[db]*fn2[b]*mesq_cbs
	    +fn1[ub]*fn2[u]*mesq_cbs
	    +fn1[ub]*fn2[d]*mesq_cbs
	    +fn1[ub]*fn2[c]*mesq_cbs
	    +fn1[ub]*fn2[b]*mesq_cbs
	    +fn1[bb]*fn2[u]*mesq_cbb
	    +fn1[bb]*fn2[d]*mesq_cbb
	    +fn1[bb]*fn2[s]*mesq_cbb
	    +fn1[bb]*fn2[c]*mesq_cbb
	    +fn1[sb]*fn2[u]*mesq_cbb
	    +fn1[sb]*fn2[d]*mesq_cbb
	    +fn1[sb]*fn2[s]*mesq_cbb
	    +fn1[sb]*fn2[c]*mesq_cbb
	    +fn1[db]*fn2[u]*mesq_cbb
	    +fn1[db]*fn2[d]*mesq_cbb
	    +fn1[db]*fn2[s]*mesq_cbb
	    +fn1[db]*fn2[c]*mesq_cbb
	    +fn1[ub]*fn2[u]*mesq_cbb
	    +fn1[ub]*fn2[d]*mesq_cbb
	    +fn1[ub]*fn2[s]*mesq_cbb
	    +fn1[ub]*fn2[c]*mesq_cbb
	    +fn1[bb]*fn2[u]*mesq_ubd
	    +fn1[bb]*fn2[s]*mesq_ubd
	    +fn1[bb]*fn2[c]*mesq_ubd
	    +fn1[bb]*fn2[b]*mesq_ubd
	    +fn1[cb]*fn2[u]*mesq_ubd
	    +fn1[cb]*fn2[s]*mesq_ubd
	    +fn1[cb]*fn2[c]*mesq_ubd
	    +fn1[cb]*fn2[b]*mesq_ubd
	    +fn1[sb]*fn2[u]*mesq_ubd
	    +fn1[sb]*fn2[s]*mesq_ubd
	    +fn1[sb]*fn2[c]*mesq_ubd
	    +fn1[sb]*fn2[b]*mesq_ubd
	    +fn1[db]*fn2[u]*mesq_ubd
	    +fn1[db]*fn2[s]*mesq_ubd
	    +fn1[db]*fn2[c]*mesq_ubd
	    +fn1[db]*fn2[b]*mesq_ubd
	    +fn1[bb]*fn2[u]*mesq_ubs
	    +fn1[bb]*fn2[d]*mesq_ubs
	    +fn1[bb]*fn2[c]*mesq_ubs
	    +fn1[bb]*fn2[b]*mesq_ubs
	    +fn1[cb]*fn2[u]*mesq_ubs
	    +fn1[cb]*fn2[d]*mesq_ubs
	    +fn1[cb]*fn2[c]*mesq_ubs
	    +fn1[cb]*fn2[b]*mesq_ubs
	    +fn1[sb]*fn2[u]*mesq_ubs
	    +fn1[sb]*fn2[d]*mesq_ubs
	    +fn1[sb]*fn2[c]*mesq_ubs
	    +fn1[sb]*fn2[b]*mesq_ubs
	    +fn1[db]*fn2[u]*mesq_ubs
	    +fn1[db]*fn2[d]*mesq_ubs
	    +fn1[db]*fn2[c]*mesq_ubs
	    +fn1[db]*fn2[b]*mesq_ubs
	    +fn1[bb]*fn2[u]*mesq_ubb
	    +fn1[bb]*fn2[d]*mesq_ubb
	    +fn1[bb]*fn2[s]*mesq_ubb
	    +fn1[bb]*fn2[c]*mesq_ubb
	    +fn1[cb]*fn2[u]*mesq_ubb
	    +fn1[cb]*fn2[d]*mesq_ubb
	    +fn1[cb]*fn2[s]*mesq_ubb
	    +fn1[cb]*fn2[c]*mesq_ubb
	    +fn1[sb]*fn2[u]*mesq_ubb
	    +fn1[sb]*fn2[d]*mesq_ubb
	    +fn1[sb]*fn2[s]*mesq_ubb
	    +fn1[sb]*fn2[c]*mesq_ubb
	    +fn1[db]*fn2[u]*mesq_ubb
	    +fn1[db]*fn2[d]*mesq_ubb
	    +fn1[db]*fn2[s]*mesq_ubb
	    +fn1[db]*fn2[c]*mesq_ubb
	    +fn1[u]*fn2[bb]*mesq_dcb
	    +fn1[u]*fn2[sb]*mesq_dcb
	    +fn1[u]*fn2[db]*mesq_dcb
	    +fn1[u]*fn2[ub]*mesq_dcb
	    +fn1[s]*fn2[bb]*mesq_dcb
	    +fn1[s]*fn2[sb]*mesq_dcb
	    +fn1[s]*fn2[db]*mesq_dcb
	    +fn1[s]*fn2[ub]*mesq_dcb
	    +fn1[c]*fn2[bb]*mesq_dcb
	    +fn1[c]*fn2[sb]*mesq_dcb
	    +fn1[c]*fn2[db]*mesq_dcb
	    +fn1[c]*fn2[ub]*mesq_dcb
	    +fn1[b]*fn2[bb]*mesq_dcb
	    +fn1[b]*fn2[sb]*mesq_dcb
	    +fn1[b]*fn2[db]*mesq_dcb
	    +fn1[b]*fn2[ub]*mesq_dcb
	    +fn1[u]*fn2[bb]*mesq_dub
	    +fn1[u]*fn2[cb]*mesq_dub
	    +fn1[u]*fn2[sb]*mesq_dub
	    +fn1[u]*fn2[db]*mesq_dub
	    +fn1[s]*fn2[bb]*mesq_dub
	    +fn1[s]*fn2[cb]*mesq_dub
	    +fn1[s]*fn2[sb]*mesq_dub
	    +fn1[s]*fn2[db]*mesq_dub
	    +fn1[c]*fn2[bb]*mesq_dub
	    +fn1[c]*fn2[cb]*mesq_dub
	    +fn1[c]*fn2[sb]*mesq_dub
	    +fn1[c]*fn2[db]*mesq_dub
	    +fn1[b]*fn2[bb]*mesq_dub
	    +fn1[b]*fn2[cb]*mesq_dub
	    +fn1[b]*fn2[sb]*mesq_dub
	    +fn1[b]*fn2[db]*mesq_dub
	    +fn1[u]*fn2[bb]*mesq_scb
	    +fn1[u]*fn2[sb]*mesq_scb
	    +fn1[u]*fn2[db]*mesq_scb
	    +fn1[u]*fn2[ub]*mesq_scb
	    +fn1[d]*fn2[bb]*mesq_scb
	    +fn1[d]*fn2[sb]*mesq_scb
	    +fn1[d]*fn2[db]*mesq_scb
	    +fn1[d]*fn2[ub]*mesq_scb
	    +fn1[c]*fn2[bb]*mesq_scb
	    +fn1[c]*fn2[sb]*mesq_scb
	    +fn1[c]*fn2[db]*mesq_scb
	    +fn1[c]*fn2[ub]*mesq_scb
	    +fn1[b]*fn2[bb]*mesq_scb
	    +fn1[b]*fn2[sb]*mesq_scb
	    +fn1[b]*fn2[db]*mesq_scb
	    +fn1[b]*fn2[ub]*mesq_scb
	    +fn1[u]*fn2[bb]*mesq_sub
	    +fn1[u]*fn2[cb]*mesq_sub
	    +fn1[u]*fn2[sb]*mesq_sub
	    +fn1[u]*fn2[db]*mesq_sub
	    +fn1[d]*fn2[bb]*mesq_sub
	    +fn1[d]*fn2[cb]*mesq_sub
	    +fn1[d]*fn2[sb]*mesq_sub
	    +fn1[d]*fn2[db]*mesq_sub
	    +fn1[c]*fn2[bb]*mesq_sub
	    +fn1[c]*fn2[cb]*mesq_sub
	    +fn1[c]*fn2[sb]*mesq_sub
	    +fn1[c]*fn2[db]*mesq_sub
	    +fn1[b]*fn2[bb]*mesq_sub
	    +fn1[b]*fn2[cb]*mesq_sub
	    +fn1[b]*fn2[sb]*mesq_sub
	    +fn1[b]*fn2[db]*mesq_sub
	    +fn1[u]*fn2[bb]*mesq_bcb
	    +fn1[u]*fn2[sb]*mesq_bcb
	    +fn1[u]*fn2[db]*mesq_bcb
	    +fn1[u]*fn2[ub]*mesq_bcb
	    +fn1[d]*fn2[bb]*mesq_bcb
	    +fn1[d]*fn2[sb]*mesq_bcb
	    +fn1[d]*fn2[db]*mesq_bcb
	    +fn1[d]*fn2[ub]*mesq_bcb
	    +fn1[s]*fn2[bb]*mesq_bcb
	    +fn1[s]*fn2[sb]*mesq_bcb
	    +fn1[s]*fn2[db]*mesq_bcb
	    +fn1[s]*fn2[ub]*mesq_bcb
	    +fn1[c]*fn2[bb]*mesq_bcb
	    +fn1[c]*fn2[sb]*mesq_bcb
	    +fn1[c]*fn2[db]*mesq_bcb
	    +fn1[c]*fn2[ub]*mesq_bcb
	    +fn1[u]*fn2[bb]*mesq_bub
	    +fn1[u]*fn2[cb]*mesq_bub
	    +fn1[u]*fn2[sb]*mesq_bub
	    +fn1[u]*fn2[db]*mesq_bub
	    +fn1[d]*fn2[bb]*mesq_bub
	    +fn1[d]*fn2[cb]*mesq_bub
	    +fn1[d]*fn2[sb]*mesq_bub
	    +fn1[d]*fn2[db]*mesq_bub
	    +fn1[s]*fn2[bb]*mesq_bub
	    +fn1[s]*fn2[cb]*mesq_bub
	    +fn1[s]*fn2[sb]*mesq_bub
	    +fn1[s]*fn2[db]*mesq_bub
	    +fn1[c]*fn2[bb]*mesq_bub
	    +fn1[c]*fn2[cb]*mesq_bub
	    +fn1[c]*fn2[sb]*mesq_bub
	    +fn1[c]*fn2[db]*mesq_bub;
	  QBPQPN=
	    +fn1[u]*fn2[bb]*mesq_cbd
	    +fn1[u]*fn2[cb]*mesq_cbd
	    +fn1[u]*fn2[sb]*mesq_cbd
	    +fn1[u]*fn2[ub]*mesq_cbd
	    +fn1[d]*fn2[bb]*mesq_cbd
	    +fn1[d]*fn2[cb]*mesq_cbd
	    +fn1[d]*fn2[sb]*mesq_cbd
	    +fn1[d]*fn2[ub]*mesq_cbd
	    +fn1[s]*fn2[bb]*mesq_cbd
	    +fn1[s]*fn2[cb]*mesq_cbd
	    +fn1[s]*fn2[sb]*mesq_cbd
	    +fn1[s]*fn2[ub]*mesq_cbd
	    +fn1[b]*fn2[bb]*mesq_cbd
	    +fn1[b]*fn2[cb]*mesq_cbd
	    +fn1[b]*fn2[sb]*mesq_cbd
	    +fn1[b]*fn2[ub]*mesq_cbd
	    +fn1[u]*fn2[bb]*mesq_cbs
	    +fn1[u]*fn2[cb]*mesq_cbs
	    +fn1[u]*fn2[db]*mesq_cbs
	    +fn1[u]*fn2[ub]*mesq_cbs
	    +fn1[d]*fn2[bb]*mesq_cbs
	    +fn1[d]*fn2[cb]*mesq_cbs
	    +fn1[d]*fn2[db]*mesq_cbs
	    +fn1[d]*fn2[ub]*mesq_cbs
	    +fn1[s]*fn2[bb]*mesq_cbs
	    +fn1[s]*fn2[cb]*mesq_cbs
	    +fn1[s]*fn2[db]*mesq_cbs
	    +fn1[s]*fn2[ub]*mesq_cbs
	    +fn1[b]*fn2[bb]*mesq_cbs
	    +fn1[b]*fn2[cb]*mesq_cbs
	    +fn1[b]*fn2[db]*mesq_cbs
	    +fn1[b]*fn2[ub]*mesq_cbs
	    +fn1[u]*fn2[cb]*mesq_cbb
	    +fn1[u]*fn2[sb]*mesq_cbb
	    +fn1[u]*fn2[db]*mesq_cbb
	    +fn1[u]*fn2[ub]*mesq_cbb
	    +fn1[d]*fn2[cb]*mesq_cbb
	    +fn1[d]*fn2[sb]*mesq_cbb
	    +fn1[d]*fn2[db]*mesq_cbb
	    +fn1[d]*fn2[ub]*mesq_cbb
	    +fn1[s]*fn2[cb]*mesq_cbb
	    +fn1[s]*fn2[sb]*mesq_cbb
	    +fn1[s]*fn2[db]*mesq_cbb
	    +fn1[s]*fn2[ub]*mesq_cbb
	    +fn1[b]*fn2[cb]*mesq_cbb
	    +fn1[b]*fn2[sb]*mesq_cbb
	    +fn1[b]*fn2[db]*mesq_cbb
	    +fn1[b]*fn2[ub]*mesq_cbb
	    +fn1[d]*fn2[bb]*mesq_ubd
	    +fn1[d]*fn2[cb]*mesq_ubd
	    +fn1[d]*fn2[sb]*mesq_ubd
	    +fn1[d]*fn2[ub]*mesq_ubd
	    +fn1[s]*fn2[bb]*mesq_ubd
	    +fn1[s]*fn2[cb]*mesq_ubd
	    +fn1[s]*fn2[sb]*mesq_ubd
	    +fn1[s]*fn2[ub]*mesq_ubd
	    +fn1[c]*fn2[bb]*mesq_ubd
	    +fn1[c]*fn2[cb]*mesq_ubd
	    +fn1[c]*fn2[sb]*mesq_ubd
	    +fn1[c]*fn2[ub]*mesq_ubd
	    +fn1[b]*fn2[bb]*mesq_ubd
	    +fn1[b]*fn2[cb]*mesq_ubd
	    +fn1[b]*fn2[sb]*mesq_ubd
	    +fn1[b]*fn2[ub]*mesq_ubd
	    +fn1[d]*fn2[bb]*mesq_ubs
	    +fn1[d]*fn2[cb]*mesq_ubs
	    +fn1[d]*fn2[db]*mesq_ubs
	    +fn1[d]*fn2[ub]*mesq_ubs
	    +fn1[s]*fn2[bb]*mesq_ubs
	    +fn1[s]*fn2[cb]*mesq_ubs
	    +fn1[s]*fn2[db]*mesq_ubs
	    +fn1[s]*fn2[ub]*mesq_ubs
	    +fn1[c]*fn2[bb]*mesq_ubs
	    +fn1[c]*fn2[cb]*mesq_ubs
	    +fn1[c]*fn2[db]*mesq_ubs
	    +fn1[c]*fn2[ub]*mesq_ubs
	    +fn1[b]*fn2[bb]*mesq_ubs
	    +fn1[b]*fn2[cb]*mesq_ubs
	    +fn1[b]*fn2[db]*mesq_ubs
	    +fn1[b]*fn2[ub]*mesq_ubs
	    +fn1[d]*fn2[cb]*mesq_ubb
	    +fn1[d]*fn2[sb]*mesq_ubb
	    +fn1[d]*fn2[db]*mesq_ubb
	    +fn1[d]*fn2[ub]*mesq_ubb
	    +fn1[s]*fn2[cb]*mesq_ubb
	    +fn1[s]*fn2[sb]*mesq_ubb
	    +fn1[s]*fn2[db]*mesq_ubb
	    +fn1[s]*fn2[ub]*mesq_ubb
	    +fn1[c]*fn2[cb]*mesq_ubb
	    +fn1[c]*fn2[sb]*mesq_ubb
	    +fn1[c]*fn2[db]*mesq_ubb
	    +fn1[c]*fn2[ub]*mesq_ubb
	    +fn1[b]*fn2[cb]*mesq_ubb
	    +fn1[b]*fn2[sb]*mesq_ubb
	    +fn1[b]*fn2[db]*mesq_ubb
	    +fn1[b]*fn2[ub]*mesq_ubb
	    +fn1[bb]*fn2[u]*mesq_dcb
	    +fn1[bb]*fn2[d]*mesq_dcb
	    +fn1[bb]*fn2[s]*mesq_dcb
	    +fn1[bb]*fn2[b]*mesq_dcb
	    +fn1[cb]*fn2[u]*mesq_dcb
	    +fn1[cb]*fn2[d]*mesq_dcb
	    +fn1[cb]*fn2[s]*mesq_dcb
	    +fn1[cb]*fn2[b]*mesq_dcb
	    +fn1[sb]*fn2[u]*mesq_dcb
	    +fn1[sb]*fn2[d]*mesq_dcb
	    +fn1[sb]*fn2[s]*mesq_dcb
	    +fn1[sb]*fn2[b]*mesq_dcb
	    +fn1[ub]*fn2[u]*mesq_dcb
	    +fn1[ub]*fn2[d]*mesq_dcb
	    +fn1[ub]*fn2[s]*mesq_dcb
	    +fn1[ub]*fn2[b]*mesq_dcb
	    +fn1[bb]*fn2[d]*mesq_dub
	    +fn1[bb]*fn2[s]*mesq_dub
	    +fn1[bb]*fn2[c]*mesq_dub
	    +fn1[bb]*fn2[b]*mesq_dub
	    +fn1[cb]*fn2[d]*mesq_dub
	    +fn1[cb]*fn2[s]*mesq_dub
	    +fn1[cb]*fn2[c]*mesq_dub
	    +fn1[cb]*fn2[b]*mesq_dub
	    +fn1[sb]*fn2[d]*mesq_dub
	    +fn1[sb]*fn2[s]*mesq_dub
	    +fn1[sb]*fn2[c]*mesq_dub
	    +fn1[sb]*fn2[b]*mesq_dub
	    +fn1[ub]*fn2[d]*mesq_dub
	    +fn1[ub]*fn2[s]*mesq_dub
	    +fn1[ub]*fn2[c]*mesq_dub
	    +fn1[ub]*fn2[b]*mesq_dub
	    +fn1[bb]*fn2[u]*mesq_scb
	    +fn1[bb]*fn2[d]*mesq_scb
	    +fn1[bb]*fn2[s]*mesq_scb
	    +fn1[bb]*fn2[b]*mesq_scb
	    +fn1[cb]*fn2[u]*mesq_scb
	    +fn1[cb]*fn2[d]*mesq_scb
	    +fn1[cb]*fn2[s]*mesq_scb
	    +fn1[cb]*fn2[b]*mesq_scb
	    +fn1[db]*fn2[u]*mesq_scb
	    +fn1[db]*fn2[d]*mesq_scb
	    +fn1[db]*fn2[s]*mesq_scb
	    +fn1[db]*fn2[b]*mesq_scb
	    +fn1[ub]*fn2[u]*mesq_scb
	    +fn1[ub]*fn2[d]*mesq_scb
	    +fn1[ub]*fn2[s]*mesq_scb
	    +fn1[ub]*fn2[b]*mesq_scb
	    +fn1[bb]*fn2[d]*mesq_sub
	    +fn1[bb]*fn2[s]*mesq_sub
	    +fn1[bb]*fn2[c]*mesq_sub
	    +fn1[bb]*fn2[b]*mesq_sub
	    +fn1[cb]*fn2[d]*mesq_sub
	    +fn1[cb]*fn2[s]*mesq_sub
	    +fn1[cb]*fn2[c]*mesq_sub
	    +fn1[cb]*fn2[b]*mesq_sub
	    +fn1[db]*fn2[d]*mesq_sub
	    +fn1[db]*fn2[s]*mesq_sub
	    +fn1[db]*fn2[c]*mesq_sub
	    +fn1[db]*fn2[b]*mesq_sub
	    +fn1[ub]*fn2[d]*mesq_sub
	    +fn1[ub]*fn2[s]*mesq_sub
	    +fn1[ub]*fn2[c]*mesq_sub
	    +fn1[ub]*fn2[b]*mesq_sub
	    +fn1[cb]*fn2[u]*mesq_bcb
	    +fn1[cb]*fn2[d]*mesq_bcb
	    +fn1[cb]*fn2[s]*mesq_bcb
	    +fn1[cb]*fn2[b]*mesq_bcb
	    +fn1[sb]*fn2[u]*mesq_bcb
	    +fn1[sb]*fn2[d]*mesq_bcb
	    +fn1[sb]*fn2[s]*mesq_bcb
	    +fn1[sb]*fn2[b]*mesq_bcb
	    +fn1[db]*fn2[u]*mesq_bcb
	    +fn1[db]*fn2[d]*mesq_bcb
	    +fn1[db]*fn2[s]*mesq_bcb
	    +fn1[db]*fn2[b]*mesq_bcb
	    +fn1[ub]*fn2[u]*mesq_bcb
	    +fn1[ub]*fn2[d]*mesq_bcb
	    +fn1[ub]*fn2[s]*mesq_bcb
	    +fn1[ub]*fn2[b]*mesq_bcb
	    +fn1[cb]*fn2[d]*mesq_bub
	    +fn1[cb]*fn2[s]*mesq_bub
	    +fn1[cb]*fn2[c]*mesq_bub
	    +fn1[cb]*fn2[b]*mesq_bub
	    +fn1[sb]*fn2[d]*mesq_bub
	    +fn1[sb]*fn2[s]*mesq_bub
	    +fn1[sb]*fn2[c]*mesq_bub
	    +fn1[sb]*fn2[b]*mesq_bub
	    +fn1[db]*fn2[d]*mesq_bub
	    +fn1[db]*fn2[s]*mesq_bub
	    +fn1[db]*fn2[c]*mesq_bub
	    +fn1[db]*fn2[b]*mesq_bub
	    +fn1[ub]*fn2[d]*mesq_bub
	    +fn1[ub]*fn2[s]*mesq_bub
	    +fn1[ub]*fn2[c]*mesq_bub
	    +fn1[ub]*fn2[b]*mesq_bub;
	}      
    }
}
