#include "muf.h"
#include "resint.h"
#include "pmom.h"
#include "mesq.h"
#include "settings.h"
#include "ccoeff.h"
#include "resconst.h"

using namespace pmom;
using namespace resconst;
using namespace ccoeff;

complex <double> muf::h4st_qqb_qqb   (int idx) { return +pow(gamma2qqbp[idx],2)*LF2+pow(gamma2qqbp[idx],2)*LQ2-2.*pow(gamma2qqbp[idx],2)*LQ*LF+pow(gamma2qqp[idx],2)*LF2+pow(gamma2qqp[idx],2)*LQ2-2.*pow(gamma2qqp[idx],2)*LQ*LF+pow(gamma2qqb[idx],2)*LF2+pow(gamma2qqb[idx],2)*LQ2-2.*pow(gamma2qqb[idx],2)*LQ*LF+gamma2qg[idx]*gamma1gq[idx]*LF2+gamma2qg[idx]*gamma1gq[idx]*LQ2-2.*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+2.*gamma1qg[idx]*gamma3gq[idx]*LF2+2.*gamma1qg[idx]*gamma3gq[idx]*LQ2-2.*gamma1qg[idx]*gamma3gq[idx]*LQ*LF+gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3-gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF-2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+1./12.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+1./12.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4-1./3.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+1./2.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-1./3.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+2.*gamma4qq[idx]*LF-2.*gamma4qq[idx]*LQ+2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+4.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-5.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*pow(gamma2qq[idx],2)*LF2+2.*pow(gamma2qq[idx],2)*LQ2-4.*pow(gamma2qq[idx],2)*LQ*LF+2.*gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-2.*gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+5.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-6.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4+1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+3.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+4.*gamma1qq[idx]*gamma3qq[idx]*LF2+4.*gamma1qq[idx]*gamma3qq[idx]*LQ2-6.*gamma1qq[idx]*gamma3qq[idx]*LQ*LF+17./12.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+17./12.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-17./3.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+17./2.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-17./3.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+4.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LF3-4.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ3+10.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ2*LF-11.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ*LF2+2./3.*pow(gamma1qq[idx],4)*LF4+2./3.*pow(gamma1qq[idx],4)*LQ4-8./3.*pow(gamma1qq[idx],4)*LQ3*LF+4.*pow(gamma1qq[idx],4)*LQ2*LF2-8./3.*pow(gamma1qq[idx],4)*LQ*LF3+2.*C3qq[idx]*gamma1qq[idx]*LF-2.*C3qq[idx]*gamma1qq[idx]*LQ+C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2-2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+2.*C2qq[idx]*gamma2qq[idx]*LF-2.*C2qq[idx]*gamma2qq[idx]*LQ+3.*C2qq[idx]*pow(gamma1qq[idx],2)*LF2+3.*C2qq[idx]*pow(gamma1qq[idx],2)*LQ2-6.*C2qq[idx]*pow(gamma1qq[idx],2)*LQ*LF-2.*C1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+2.*C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+2.*C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2-2.*C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+1./3.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3-1./3.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF-C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+2.*C1qq[idx]*gamma3qq[idx]*LF-2.*C1qq[idx]*gamma3qq[idx]*LQ+8./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-8./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+8.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-8.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+6.*C1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LF2+6.*C1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ2-12.*C1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ*LF+7./3.*C1qq[idx]*pow(gamma1qq[idx],3)*LF3-7./3.*C1qq[idx]*pow(gamma1qq[idx],3)*LQ3+7.*C1qq[idx]*pow(gamma1qq[idx],3)*LQ2*LF-7.*C1qq[idx]*pow(gamma1qq[idx],3)*LQ*LF2+4.*C1qq[idx]*C2qq[idx]*gamma1qq[idx]*LF-4.*C1qq[idx]*C2qq[idx]*gamma1qq[idx]*LQ+pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2-2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+2.*pow(C1qq[idx],2)*gamma2qq[idx]*LF-2.*pow(C1qq[idx],2)*gamma2qq[idx]*LQ+2.*pow(C1qq[idx],2)*pow(gamma1qq[idx],2)*LF2+2.*pow(C1qq[idx],2)*pow(gamma1qq[idx],2)*LQ2-4.*pow(C1qq[idx],2)*pow(gamma1qq[idx],2)*LQ*LF+1./6.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./6.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-2./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-2./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+beta2*gamma1qq[idx]*LF2-beta2*gamma1qq[idx]*LQ2+beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3-beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*beta1*gamma2qq[idx]*LF2-2.*beta1*gamma2qq[idx]*LQ2+2.*beta1*pow(gamma1qq[idx],2)*LF3+2.*beta1*pow(gamma1qq[idx],2)*LQ3-2.*beta1*pow(gamma1qq[idx],2)*LQ2*LF-2.*beta1*pow(gamma1qq[idx],2)*LQ*LF2+2.*beta1*C1qq[idx]*gamma1qq[idx]*LF2-6.*beta1*C1qq[idx]*gamma1qq[idx]*LQ2+4.*beta1*C1qq[idx]*gamma1qq[idx]*LQ*LF-2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+3.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3-beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4-1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF-beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+3.*beta0*gamma3qq[idx]*LF2-3.*beta0*gamma3qq[idx]*LQ2+5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF4-5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+5.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-5.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LF3+6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ3-6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF-6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ*LF2+2.*beta0*pow(gamma1qq[idx],3)*LF4-2.*beta0*pow(gamma1qq[idx],3)*LQ4+4.*beta0*pow(gamma1qq[idx],3)*LQ3*LF-4.*beta0*pow(gamma1qq[idx],3)*LQ*LF3+2.*beta0*C2qq[idx]*gamma1qq[idx]*LF2-10.*beta0*C2qq[idx]*gamma1qq[idx]*LQ2+8.*beta0*C2qq[idx]*gamma1qq[idx]*LQ*LF+2.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+4.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3-6.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+4.*beta0*C1qq[idx]*gamma2qq[idx]*LF2-8.*beta0*C1qq[idx]*gamma2qq[idx]*LQ2+4.*beta0*C1qq[idx]*gamma2qq[idx]*LQ*LF+4.*beta0*C1qq[idx]*pow(gamma1qq[idx],2)*LF3+8.*beta0*C1qq[idx]*pow(gamma1qq[idx],2)*LQ3-12.*beta0*C1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF+beta0*pow(C1qq[idx],2)*gamma1qq[idx]*LF2-5.*beta0*pow(C1qq[idx],2)*gamma1qq[idx]*LQ2+4.*beta0*pow(C1qq[idx],2)*gamma1qq[idx]*LQ*LF+5./3.*beta0*beta1*gamma1qq[idx]*LF3-5./3.*beta0*beta1*gamma1qq[idx]*LQ3+11./12.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+11./12.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-2./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-2./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*pow(beta0,2)*gamma2qq[idx]*LF3-2.*pow(beta0,2)*gamma2qq[idx]*LQ3+11./6.*pow(beta0,2)*pow(gamma1qq[idx],2)*LF4+11./6.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ4-4./3.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ3*LF-pow(beta0,2)*pow(gamma1qq[idx],2)*LQ2*LF2-4./3.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ*LF3+4./3.*pow(beta0,2)*C1qq[idx]*gamma1qq[idx]*LF3-22./3.*pow(beta0,2)*C1qq[idx]*gamma1qq[idx]*LQ3+4.*pow(beta0,2)*C1qq[idx]*gamma1qq[idx]*LQ2*LF+2.*pow(beta0,2)*C1qq[idx]*gamma1qq[idx]*LQ*LF2+1./2.*pow(beta0,3)*gamma1qq[idx]*LF4-1./2.*pow(beta0,3)*gamma1qq[idx]*LQ4+2.*B3*gamma1qq[idx]*LQ2-2.*B3*gamma1qq[idx]*LQ*LF-B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*B2*gamma2qq[idx]*LQ2-2.*B2*gamma2qq[idx]*LQ*LF-2.*B2*pow(gamma1qq[idx],2)*LQ3+4.*B2*pow(gamma1qq[idx],2)*LQ2*LF-2.*B2*pow(gamma1qq[idx],2)*LQ*LF2+4.*B2*C1qq[idx]*gamma1qq[idx]*LQ2-4.*B2*C1qq[idx]*gamma1qq[idx]*LQ*LF+3.*B2*beta0*gamma1qq[idx]*LQ3-2.*B2*beta0*gamma1qq[idx]*LQ2*LF-B2*beta0*gamma1qq[idx]*LQ*LF2+2.*B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./3.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-1./3.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+2.*B1*gamma3qq[idx]*LQ2-2.*B1*gamma3qq[idx]*LQ*LF+5./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4-5.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+5.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-5./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3-4.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ3+8.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF-4.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ*LF2+4./3.*B1*pow(gamma1qq[idx],3)*LQ4-4.*B1*pow(gamma1qq[idx],3)*LQ3*LF+4.*B1*pow(gamma1qq[idx],3)*LQ2*LF2-4./3.*B1*pow(gamma1qq[idx],3)*LQ*LF3+4.*B1*C2qq[idx]*gamma1qq[idx]*LQ2-4.*B1*C2qq[idx]*gamma1qq[idx]*LQ*LF-2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+4.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+4.*B1*C1qq[idx]*gamma2qq[idx]*LQ2-4.*B1*C1qq[idx]*gamma2qq[idx]*LQ*LF-4.*B1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ3+8.*B1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF-4.*B1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ*LF2+2.*B1*pow(C1qq[idx],2)*gamma1qq[idx]*LQ2-2.*B1*pow(C1qq[idx],2)*gamma1qq[idx]*LQ*LF+2.*B1*beta1*gamma1qq[idx]*LQ3-B1*beta1*gamma1qq[idx]*LQ2*LF-B1*beta1*gamma1qq[idx]*LQ*LF2-3./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4+2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+3.*B1*beta0*gamma2qq[idx]*LQ3-B1*beta0*gamma2qq[idx]*LQ2*LF-2.*B1*beta0*gamma2qq[idx]*LQ*LF2-3.*B1*beta0*pow(gamma1qq[idx],2)*LQ4+4.*B1*beta0*pow(gamma1qq[idx],2)*LQ3*LF+B1*beta0*pow(gamma1qq[idx],2)*LQ2*LF2-2.*B1*beta0*pow(gamma1qq[idx],2)*LQ*LF3+8.*B1*beta0*C1qq[idx]*gamma1qq[idx]*LQ3-6.*B1*beta0*C1qq[idx]*gamma1qq[idx]*LQ2*LF-2.*B1*beta0*C1qq[idx]*gamma1qq[idx]*LQ*LF2+11./6.*B1*pow(beta0,2)*gamma1qq[idx]*LQ4-2./3.*B1*pow(beta0,2)*gamma1qq[idx]*LQ3*LF-1./2.*B1*pow(beta0,2)*gamma1qq[idx]*LQ2*LF2-2./3.*B1*pow(beta0,2)*gamma1qq[idx]*LQ*LF3-2.*B1*B2*gamma1qq[idx]*LQ3+2.*B1*B2*gamma1qq[idx]*LQ2*LF+1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-pow(B1,2)*gamma2qq[idx]*LQ3+pow(B1,2)*gamma2qq[idx]*LQ2*LF+pow(B1,2)*pow(gamma1qq[idx],2)*LQ4-2.*pow(B1,2)*pow(gamma1qq[idx],2)*LQ3*LF+pow(B1,2)*pow(gamma1qq[idx],2)*LQ2*LF2-2.*pow(B1,2)*C1qq[idx]*gamma1qq[idx]*LQ3+2.*pow(B1,2)*C1qq[idx]*gamma1qq[idx]*LQ2*LF-3./2.*pow(B1,2)*beta0*gamma1qq[idx]*LQ4+pow(B1,2)*beta0*gamma1qq[idx]*LQ3*LF+1./2.*pow(B1,2)*beta0*gamma1qq[idx]*LQ2*LF2+1./3.*pow(B1,3)*gamma1qq[idx]*LQ4-1./3.*pow(B1,3)*gamma1qq[idx]*LQ3*LF+A3*gamma1qq[idx]*LQ3-A3*gamma1qq[idx]*LQ2*LF-1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+A2*gamma2qq[idx]*LQ3-A2*gamma2qq[idx]*LQ2*LF-A2*pow(gamma1qq[idx],2)*LQ4+2.*A2*pow(gamma1qq[idx],2)*LQ3*LF-A2*pow(gamma1qq[idx],2)*LQ2*LF2+2.*A2*C1qq[idx]*gamma1qq[idx]*LQ3-2.*A2*C1qq[idx]*gamma1qq[idx]*LQ2*LF+11./6.*A2*beta0*gamma1qq[idx]*LQ4-4./3.*A2*beta0*gamma1qq[idx]*LQ3*LF-1./2.*A2*beta0*gamma1qq[idx]*LQ2*LF2-A2*B1*gamma1qq[idx]*LQ4+A2*B1*gamma1qq[idx]*LQ3*LF+A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF-A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF-A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2+1./6.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5-1./2.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+1./2.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2-1./6.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3+A1*gamma3qq[idx]*LQ3-A1*gamma3qq[idx]*LQ2*LF+5./6.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5-5./2.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+5./2.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-5./6.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3-2.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ4+4.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ3*LF-2.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF2+2./3.*A1*pow(gamma1qq[idx],3)*LQ5-2.*A1*pow(gamma1qq[idx],3)*LQ4*LF+2.*A1*pow(gamma1qq[idx],3)*LQ3*LF2-2./3.*A1*pow(gamma1qq[idx],3)*LQ2*LF3+2.*A1*C2qq[idx]*gamma1qq[idx]*LQ3-2.*A1*C2qq[idx]*gamma1qq[idx]*LQ2*LF-A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+2.*A1*C1qq[idx]*gamma2qq[idx]*LQ3-2.*A1*C1qq[idx]*gamma2qq[idx]*LQ2*LF-2.*A1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ4+4.*A1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ3*LF-2.*A1*C1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF2+A1*pow(C1qq[idx],2)*gamma1qq[idx]*LQ3-A1*pow(C1qq[idx],2)*gamma1qq[idx]*LQ2*LF+7./6.*A1*beta1*gamma1qq[idx]*LQ4-2./3.*A1*beta1*gamma1qq[idx]*LQ3*LF-1./2.*A1*beta1*gamma1qq[idx]*LQ2*LF2-5./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5+7./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./2.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+5./3.*A1*beta0*gamma2qq[idx]*LQ4-2./3.*A1*beta0*gamma2qq[idx]*LQ3*LF-A1*beta0*gamma2qq[idx]*LQ2*LF2-5./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ5+7./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ4*LF+1./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ3*LF2-A1*beta0*pow(gamma1qq[idx],2)*LQ2*LF3+13./3.*A1*beta0*C1qq[idx]*gamma1qq[idx]*LQ4-10./3.*A1*beta0*C1qq[idx]*gamma1qq[idx]*LQ3*LF-A1*beta0*C1qq[idx]*gamma1qq[idx]*LQ2*LF2+7./6.*A1*pow(beta0,2)*gamma1qq[idx]*LQ5-1./2.*A1*pow(beta0,2)*gamma1qq[idx]*LQ4*LF-1./3.*A1*pow(beta0,2)*gamma1qq[idx]*LQ3*LF2-1./3.*A1*pow(beta0,2)*gamma1qq[idx]*LQ2*LF3-A1*B2*gamma1qq[idx]*LQ4+A1*B2*gamma1qq[idx]*LQ3*LF+1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5-A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-A1*B1*gamma2qq[idx]*LQ4+A1*B1*gamma2qq[idx]*LQ3*LF+A1*B1*pow(gamma1qq[idx],2)*LQ5-2.*A1*B1*pow(gamma1qq[idx],2)*LQ4*LF+A1*B1*pow(gamma1qq[idx],2)*LQ3*LF2-2.*A1*B1*C1qq[idx]*gamma1qq[idx]*LQ4+2.*A1*B1*C1qq[idx]*gamma1qq[idx]*LQ3*LF-5./3.*A1*B1*beta0*gamma1qq[idx]*LQ5+7./6.*A1*B1*beta0*gamma1qq[idx]*LQ4*LF+1./2.*A1*B1*beta0*gamma1qq[idx]*LQ3*LF2+1./2.*A1*pow(B1,2)*gamma1qq[idx]*LQ5-1./2.*A1*pow(B1,2)*gamma1qq[idx]*LQ4*LF-1./2.*A1*A2*gamma1qq[idx]*LQ5+1./2.*A1*A2*gamma1qq[idx]*LQ4*LF+1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6-1./4.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2-1./4.*pow(A1,2)*gamma2qq[idx]*LQ5+1./4.*pow(A1,2)*gamma2qq[idx]*LQ4*LF+1./4.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ6-1./2.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ5*LF+1./4.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ4*LF2-1./2.*pow(A1,2)*C1qq[idx]*gamma1qq[idx]*LQ5+1./2.*pow(A1,2)*C1qq[idx]*gamma1qq[idx]*LQ4*LF-11./24.*pow(A1,2)*beta0*gamma1qq[idx]*LQ6+1./3.*pow(A1,2)*beta0*gamma1qq[idx]*LQ5*LF+1./8.*pow(A1,2)*beta0*gamma1qq[idx]*LQ4*LF2+1./4.*pow(A1,2)*B1*gamma1qq[idx]*LQ6-1./4.*pow(A1,2)*B1*gamma1qq[idx]*LQ5*LF+1./24.*pow(A1,3)*gamma1qq[idx]*LQ7-1./24.*pow(A1,3)*gamma1qq[idx]*LQ6*LF;}
complex <double> muf::h4st_qg_qqb    (int idx) { return +gamma4qg[idx]*LF-gamma4qg[idx]*LQ+1./2.*gamma2qg[idx]*gamma2qqbp[idx]*LF2+1./2.*gamma2qg[idx]*gamma2qqbp[idx]*LQ2-gamma2qg[idx]*gamma2qqbp[idx]*LQ*LF+1./2.*gamma2qg[idx]*gamma2qqp[idx]*LF2+1./2.*gamma2qg[idx]*gamma2qqp[idx]*LQ2-gamma2qg[idx]*gamma2qqp[idx]*LQ*LF+1./2.*gamma2qg[idx]*gamma2qqb[idx]*LF2+1./2.*gamma2qg[idx]*gamma2qqb[idx]*LQ2-gamma2qg[idx]*gamma2qqb[idx]*LQ*LF+1./2.*gamma2qg[idx]*gamma1gg[idx]*LF2+1./2.*gamma2qg[idx]*gamma1gg[idx]*LQ2-gamma2qg[idx]*gamma1gg[idx]*LQ*LF+gamma1qg[idx]*gamma3gg[idx]*LF2+gamma1qg[idx]*gamma3gg[idx]*LQ2-gamma1qg[idx]*gamma3gg[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ2*LF-gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ*LF2+1./24.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LF4+1./24.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ4-1./6.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ3*LF+1./4.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ2*LF2-1./6.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ*LF3+1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3-1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+pow(gamma1qg[idx],2)*gamma2gq[idx]*LF3-pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ3+2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ*LF2+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+5./2.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+gamma3qq[idx]*gamma1qg[idx]*LF2+gamma3qq[idx]*gamma1qg[idx]*LQ2-2.*gamma3qq[idx]*gamma1qg[idx]*LQ*LF+3./2.*gamma2qq[idx]*gamma2qg[idx]*LF2+3./2.*gamma2qq[idx]*gamma2qg[idx]*LQ2-3.*gamma2qq[idx]*gamma2qg[idx]*LQ*LF+1./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3-1./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+3./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF-3./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+2.*gamma1qq[idx]*gamma3qg[idx]*LF2+2.*gamma1qq[idx]*gamma3qg[idx]*LQ2-3.*gamma1qq[idx]*gamma3qg[idx]*LQ*LF+gamma1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF-gamma1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ*LF2+gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF-gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2+gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF-gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2+gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LF3-3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+5./24.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF4+5./24.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4-5./6.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF+5./4.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-5./6.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+7./2.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+3./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LF3-3./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ3+11./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF-11./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2+2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LF3-2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ3+4.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ2*LF-9./2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ*LF2+11./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LF4+11./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ4-11./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+11./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-11./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+5./8.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LF4+5./8.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ4-5./2.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ3*LF+15./4.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ2*LF2-5./2.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ*LF3+C3qq[idx]*gamma1qg[idx]*LF-C3qq[idx]*gamma1qg[idx]*LQ+C2qq[idx]*gamma2qg[idx]*LF-C2qq[idx]*gamma2qg[idx]*LQ+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF2+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2-C2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF+5./2.*C2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LF2+5./2.*C2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2-5.*C2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+C1qq[idx]*gamma3qg[idx]*LF-C1qq[idx]*gamma3qg[idx]*LQ-C1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ*LF-C1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF-C1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF-C1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF+C1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LF2+C1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ2-C1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ*LF+1./6.*C1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF3-1./6.*C1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3+1./2.*C1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF-1./2.*C1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF2+C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3-C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF-3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+2.*C1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LF2+2.*C1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ2-5.*C1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ*LF+3.*C1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LF2+3.*C1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LQ2-5.*C1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LQ*LF+7./6.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3-7./6.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+7./2.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF-7./2.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+13./6.*C1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LF3-13./6.*C1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3+13./2.*C1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF-13./2.*C1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF2+2.*C1qq[idx]*C2qq[idx]*gamma1qg[idx]*LF-2.*C1qq[idx]*C2qq[idx]*gamma1qg[idx]*LQ+pow(C1qq[idx],2)*gamma2qg[idx]*LF-pow(C1qq[idx],2)*gamma2qg[idx]*LQ+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LF2+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ2-pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF+3./2.*pow(C1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LF2+3./2.*pow(C1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LQ2-3.*pow(C1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3-double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-2.*double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+1./12.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+1./12.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4-1./3.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+1./2.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-1./3.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+1./2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+1./2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+3.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+1./3.*double(NF)*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3-1./3.*double(NF)*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+double(NF)*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF-double(NF)*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+1./2.*beta2*gamma1qg[idx]*LF2-1./2.*beta2*gamma1qg[idx]*LQ2+beta1*gamma2qg[idx]*LF2-beta1*gamma2qg[idx]*LQ2+1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LF3+1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ3-1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF-1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LF3+3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ3-3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF-3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+beta1*C1qq[idx]*gamma1qg[idx]*LF2-3.*beta1*C1qq[idx]*gamma1qg[idx]*LQ2+2.*beta1*C1qq[idx]*gamma1qg[idx]*LQ*LF+3./2.*beta0*gamma3qg[idx]*LF2-3./2.*beta0*gamma3qg[idx]*LQ2-beta0*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF-1./2.*beta0*gamma2qg[idx]*gamma1gg[idx]*LQ*LF2-beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF-1./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2-beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF-1./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2-beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-1./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LQ3-1./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF-beta0*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+1./4.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF4-1./4.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4+1./2.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF-1./2.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4-3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF-3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+3./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LF3+3./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ3-5./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF-2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2+3.*beta0*gamma1qq[idx]*gamma2qg[idx]*LF3+3.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ3-2.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF-5./2.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ*LF2+beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF4-beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4+2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF-2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+7./4.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LF4-7./4.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4+7./2.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF-7./2.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF3+beta0*C2qq[idx]*gamma1qg[idx]*LF2-5.*beta0*C2qq[idx]*gamma1qg[idx]*LQ2+4.*beta0*C2qq[idx]*gamma1qg[idx]*LQ*LF+2.*beta0*C1qq[idx]*gamma2qg[idx]*LF2-4.*beta0*C1qq[idx]*gamma2qg[idx]*LQ2+2.*beta0*C1qq[idx]*gamma2qg[idx]*LQ*LF+beta0*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3+2.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3-3.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF+3.*beta0*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LF3+6.*beta0*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3-9.*beta0*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF+1./2.*beta0*pow(C1qq[idx],2)*gamma1qg[idx]*LF2-5./2.*beta0*pow(C1qq[idx],2)*gamma1qg[idx]*LQ2+2.*beta0*pow(C1qq[idx],2)*gamma1qg[idx]*LQ*LF+1./2.*beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4-1./2.*beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF-beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+5./6.*beta0*beta1*gamma1qg[idx]*LF3-5./6.*beta0*beta1*gamma1qg[idx]*LQ3+pow(beta0,2)*gamma2qg[idx]*LF3-pow(beta0,2)*gamma2qg[idx]*LQ3+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LF4+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF-1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+11./8.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LF4+11./8.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4-pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF-3./4.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2-pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ*LF3+2./3.*pow(beta0,2)*C1qq[idx]*gamma1qg[idx]*LF3-11./3.*pow(beta0,2)*C1qq[idx]*gamma1qg[idx]*LQ3+2.*pow(beta0,2)*C1qq[idx]*gamma1qg[idx]*LQ2*LF+pow(beta0,2)*C1qq[idx]*gamma1qg[idx]*LQ*LF2+1./4.*pow(beta0,3)*gamma1qg[idx]*LF4-1./4.*pow(beta0,3)*gamma1qg[idx]*LQ4+B3*gamma1qg[idx]*LQ2-B3*gamma1qg[idx]*LQ*LF+B2*gamma2qg[idx]*LQ2-B2*gamma2qg[idx]*LQ*LF-1./2.*B2*gamma1qg[idx]*gamma1gg[idx]*LQ3+B2*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF-1./2.*B2*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2-3./2.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ3+3.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF-3./2.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+2.*B2*C1qq[idx]*gamma1qg[idx]*LQ2-2.*B2*C1qq[idx]*gamma1qg[idx]*LQ*LF+3./2.*B2*beta0*gamma1qg[idx]*LQ3-B2*beta0*gamma1qg[idx]*LQ2*LF-1./2.*B2*beta0*gamma1qg[idx]*LQ*LF2+B1*gamma3qg[idx]*LQ2-B1*gamma3qg[idx]*LQ*LF+B1*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF+B1*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF+B1*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF+B1*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gg[idx]*LQ3+B1*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+1./6.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4-1./2.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF+1./2.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-1./6.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-B1*gamma2qq[idx]*gamma1qg[idx]*LQ3+3.*B1*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF-B1*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2-2.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ3+3.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF-2.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ*LF2+2./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4-2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-2./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+7./6.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4-7./2.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF+7./2.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF2-7./6.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF3+2.*B1*C2qq[idx]*gamma1qg[idx]*LQ2-2.*B1*C2qq[idx]*gamma1qg[idx]*LQ*LF+2.*B1*C1qq[idx]*gamma2qg[idx]*LQ2-2.*B1*C1qq[idx]*gamma2qg[idx]*LQ*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2-3.*B1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3+6.*B1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF-3.*B1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+B1*pow(C1qq[idx],2)*gamma1qg[idx]*LQ2-B1*pow(C1qq[idx],2)*gamma1qg[idx]*LQ*LF+1./3.*B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-1./3.*B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+B1*beta1*gamma1qg[idx]*LQ3-1./2.*B1*beta1*gamma1qg[idx]*LQ2*LF-1./2.*B1*beta1*gamma1qg[idx]*LQ*LF2+3./2.*B1*beta0*gamma2qg[idx]*LQ3-1./2.*B1*beta0*gamma2qg[idx]*LQ2*LF-B1*beta0*gamma2qg[idx]*LQ*LF2-3./4.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ4+B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+1./4.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-1./2.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3-9./4.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ4+3.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF+3./4.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2-3./2.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ*LF3+4.*B1*beta0*C1qq[idx]*gamma1qg[idx]*LQ3-3.*B1*beta0*C1qq[idx]*gamma1qg[idx]*LQ2*LF-B1*beta0*C1qq[idx]*gamma1qg[idx]*LQ*LF2+11./12.*B1*pow(beta0,2)*gamma1qg[idx]*LQ4-1./3.*B1*pow(beta0,2)*gamma1qg[idx]*LQ3*LF-1./4.*B1*pow(beta0,2)*gamma1qg[idx]*LQ2*LF2-1./3.*B1*pow(beta0,2)*gamma1qg[idx]*LQ*LF3-B1*B2*gamma1qg[idx]*LQ3+B1*B2*gamma1qg[idx]*LQ2*LF-1./2.*pow(B1,2)*gamma2qg[idx]*LQ3+1./2.*pow(B1,2)*gamma2qg[idx]*LQ2*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4-1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2+3./4.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4-3./2.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF+3./4.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2-pow(B1,2)*C1qq[idx]*gamma1qg[idx]*LQ3+pow(B1,2)*C1qq[idx]*gamma1qg[idx]*LQ2*LF-3./4.*pow(B1,2)*beta0*gamma1qg[idx]*LQ4+1./2.*pow(B1,2)*beta0*gamma1qg[idx]*LQ3*LF+1./4.*pow(B1,2)*beta0*gamma1qg[idx]*LQ2*LF2+1./6.*pow(B1,3)*gamma1qg[idx]*LQ4-1./6.*pow(B1,3)*gamma1qg[idx]*LQ3*LF+1./2.*A3*gamma1qg[idx]*LQ3-1./2.*A3*gamma1qg[idx]*LQ2*LF+1./2.*A2*gamma2qg[idx]*LQ3-1./2.*A2*gamma2qg[idx]*LQ2*LF-1./4.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ4+1./2.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF-1./4.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-3./4.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ4+3./2.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF-3./4.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2+A2*C1qq[idx]*gamma1qg[idx]*LQ3-A2*C1qq[idx]*gamma1qg[idx]*LQ2*LF+11./12.*A2*beta0*gamma1qg[idx]*LQ4-2./3.*A2*beta0*gamma1qg[idx]*LQ3*LF-1./4.*A2*beta0*gamma1qg[idx]*LQ2*LF2-1./2.*A2*B1*gamma1qg[idx]*LQ4+1./2.*A2*B1*gamma1qg[idx]*LQ3*LF+1./2.*A1*gamma3qg[idx]*LQ3-1./2.*A1*gamma3qg[idx]*LQ2*LF+1./2.*A1*gamma2qg[idx]*gamma1gg[idx]*LQ3*LF+1./2.*A1*gamma1qg[idx]*gamma2qqbp[idx]*LQ3*LF+1./2.*A1*gamma1qg[idx]*gamma2qqp[idx]*LQ3*LF+1./2.*A1*gamma1qg[idx]*gamma2qqb[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ4+1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF2+1./12.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ5-1./4.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4*LF+1./4.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF2-1./12.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF3+1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5-3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2-1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3-1./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ4+3./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ3*LF-1./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF2-A1*gamma1qq[idx]*gamma2qg[idx]*LQ4+3./2.*A1*gamma1qq[idx]*gamma2qg[idx]*LQ3*LF-A1*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF2+1./3.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ5-A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF+A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2-1./3.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF3+7./12.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ5-7./4.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4*LF+7./4.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF2-7./12.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF3+A1*C2qq[idx]*gamma1qg[idx]*LQ3-A1*C2qq[idx]*gamma1qg[idx]*LQ2*LF+A1*C1qq[idx]*gamma2qg[idx]*LQ3-A1*C1qq[idx]*gamma2qg[idx]*LQ2*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4+A1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2-3./2.*A1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ4+3.*A1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF-3./2.*A1*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2+1./2.*A1*pow(C1qq[idx],2)*gamma1qg[idx]*LQ3-1./2.*A1*pow(C1qq[idx],2)*gamma1qg[idx]*LQ2*LF+1./6.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5-1./2.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+1./2.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2-1./6.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3+7./12.*A1*beta1*gamma1qg[idx]*LQ4-1./3.*A1*beta1*gamma1qg[idx]*LQ3*LF-1./4.*A1*beta1*gamma1qg[idx]*LQ2*LF2+5./6.*A1*beta0*gamma2qg[idx]*LQ4-1./3.*A1*beta0*gamma2qg[idx]*LQ3*LF-1./2.*A1*beta0*gamma2qg[idx]*LQ2*LF2-5./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ5+7./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF+1./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2-1./4.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF3-5./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ5+7./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF+1./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF2-3./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF3+13./6.*A1*beta0*C1qq[idx]*gamma1qg[idx]*LQ4-5./3.*A1*beta0*C1qq[idx]*gamma1qg[idx]*LQ3*LF-1./2.*A1*beta0*C1qq[idx]*gamma1qg[idx]*LQ2*LF2+7./12.*A1*pow(beta0,2)*gamma1qg[idx]*LQ5-1./4.*A1*pow(beta0,2)*gamma1qg[idx]*LQ4*LF-1./6.*A1*pow(beta0,2)*gamma1qg[idx]*LQ3*LF2-1./6.*A1*pow(beta0,2)*gamma1qg[idx]*LQ2*LF3-1./2.*A1*B2*gamma1qg[idx]*LQ4+1./2.*A1*B2*gamma1qg[idx]*LQ3*LF-1./2.*A1*B1*gamma2qg[idx]*LQ4+1./2.*A1*B1*gamma2qg[idx]*LQ3*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ5-1./2.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2+3./4.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ5-3./2.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF+3./4.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF2-A1*B1*C1qq[idx]*gamma1qg[idx]*LQ4+A1*B1*C1qq[idx]*gamma1qg[idx]*LQ3*LF-5./6.*A1*B1*beta0*gamma1qg[idx]*LQ5+7./12.*A1*B1*beta0*gamma1qg[idx]*LQ4*LF+1./4.*A1*B1*beta0*gamma1qg[idx]*LQ3*LF2+1./4.*A1*pow(B1,2)*gamma1qg[idx]*LQ5-1./4.*A1*pow(B1,2)*gamma1qg[idx]*LQ4*LF-1./4.*A1*A2*gamma1qg[idx]*LQ5+1./4.*A1*A2*gamma1qg[idx]*LQ4*LF-1./8.*pow(A1,2)*gamma2qg[idx]*LQ5+1./8.*pow(A1,2)*gamma2qg[idx]*LQ4*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ6-1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ5*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF2+3./16.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ6-3./8.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ5*LF+3./16.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF2-1./4.*pow(A1,2)*C1qq[idx]*gamma1qg[idx]*LQ5+1./4.*pow(A1,2)*C1qq[idx]*gamma1qg[idx]*LQ4*LF-11./48.*pow(A1,2)*beta0*gamma1qg[idx]*LQ6+1./6.*pow(A1,2)*beta0*gamma1qg[idx]*LQ5*LF+1./16.*pow(A1,2)*beta0*gamma1qg[idx]*LQ4*LF2+1./8.*pow(A1,2)*B1*gamma1qg[idx]*LQ6-1./8.*pow(A1,2)*B1*gamma1qg[idx]*LQ5*LF+1./48.*pow(A1,3)*gamma1qg[idx]*LQ7-1./48.*pow(A1,3)*gamma1qg[idx]*LQ6*LF;}
complex <double> muf::h4st_qq_qqb    (int idx) { return +gamma2qqp[idx]*gamma2qqbp[idx]*LF2+gamma2qqp[idx]*gamma2qqbp[idx]*LQ2-2.*gamma2qqp[idx]*gamma2qqbp[idx]*LQ*LF+gamma4qqb[idx]*LF-gamma4qqb[idx]*LQ+1./2.*gamma2qg[idx]*gamma1gq[idx]*LF2+1./2.*gamma2qg[idx]*gamma1gq[idx]*LQ2-gamma2qg[idx]*gamma1gq[idx]*LQ*LF+gamma1qg[idx]*gamma3gq[idx]*LF2+gamma1qg[idx]*gamma3gq[idx]*LQ2-gamma1qg[idx]*gamma3gq[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3-1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF-gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+1./4.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+2.*gamma2qq[idx]*gamma2qqb[idx]*LF2+2.*gamma2qq[idx]*gamma2qqb[idx]*LQ2-4.*gamma2qq[idx]*gamma2qqb[idx]*LQ*LF+gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*gamma1qq[idx]*gamma3qqb[idx]*LF2+2.*gamma1qq[idx]*gamma3qqb[idx]*LQ2-3.*gamma1qq[idx]*gamma3qqb[idx]*LQ*LF+gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3-3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+pow(gamma1qq[idx],2)*gamma2qqb[idx]*LF3-pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ3+3.*pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ2*LF-7./2.*pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ*LF2+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+17./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+C2qq[idx]*gamma2qqb[idx]*LF-C2qq[idx]*gamma2qqb[idx]*LQ+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2-C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma3qqb[idx]*LF-C1qq[idx]*gamma3qqb[idx]*LQ-C1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2-C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3-1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF-1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LQ2-5.*C1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF+4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+pow(C1qq[idx],2)*gamma2qqb[idx]*LF-pow(C1qq[idx],2)*gamma2qqb[idx]*LQ+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2-pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+1./2.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+beta1*gamma2qqb[idx]*LF2-beta1*gamma2qqb[idx]*LQ2+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma3qqb[idx]*LF2-3./2.*beta0*gamma3qqb[idx]*LQ2-beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3-1./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4-1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF-1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ3-5./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF-2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF2+5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF4-5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*beta0*C1qq[idx]*gamma2qqb[idx]*LF2-4.*beta0*C1qq[idx]*gamma2qqb[idx]*LQ2+2.*beta0*C1qq[idx]*gamma2qqb[idx]*LQ*LF+beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+2.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3-3.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+pow(beta0,2)*gamma2qqb[idx]*LF3-pow(beta0,2)*gamma2qqb[idx]*LQ3+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+B2*gamma2qqb[idx]*LQ2-B2*gamma2qqb[idx]*LQ*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+B1*gamma3qqb[idx]*LQ2-B1*gamma3qqb[idx]*LQ*LF+B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3-B1*gamma1qq[idx]*gamma2qqb[idx]*LQ3+3.*B1*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF-B1*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF2+5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4-5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*B1*C1qq[idx]*gamma2qqb[idx]*LQ2-2.*B1*C1qq[idx]*gamma2qqb[idx]*LQ*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*B1*beta0*gamma2qqb[idx]*LQ3-1./2.*B1*beta0*gamma2qqb[idx]*LQ2*LF-B1*beta0*gamma2qqb[idx]*LQ*LF2-3./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4+B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3-1./2.*pow(B1,2)*gamma2qqb[idx]*LQ3+1./2.*pow(B1,2)*gamma2qqb[idx]*LQ2*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A2*gamma2qqb[idx]*LQ3-1./2.*A2*gamma2qqb[idx]*LQ2*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A1*gamma3qqb[idx]*LQ3-1./2.*A1*gamma3qqb[idx]*LQ2*LF+1./2.*A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2+1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5-1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2-1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3-1./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ4+3./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ3*LF-1./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF2+5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5-5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+A1*C1qq[idx]*gamma2qqb[idx]*LQ3-A1*C1qq[idx]*gamma2qqb[idx]*LQ2*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+5./6.*A1*beta0*gamma2qqb[idx]*LQ4-1./3.*A1*beta0*gamma2qqb[idx]*LQ3*LF-1./2.*A1*beta0*gamma2qqb[idx]*LQ2*LF2-5./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5+7./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./4.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3-1./2.*A1*B1*gamma2qqb[idx]*LQ4+1./2.*A1*B1*gamma2qqb[idx]*LQ3*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5-1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./8.*pow(A1,2)*gamma2qqb[idx]*LQ5+1./8.*pow(A1,2)*gamma2qqb[idx]*LQ4*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6-1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2;}
complex <double> muf::h4st_qqp_qqb   (int idx) { return +gamma4qqbp[idx]*LF-gamma4qqbp[idx]*LQ+gamma2qqb[idx]*gamma2qqp[idx]*LF2+gamma2qqb[idx]*gamma2qqp[idx]*LQ2-2.*gamma2qqb[idx]*gamma2qqp[idx]*LQ*LF+1./2.*gamma2qg[idx]*gamma1gq[idx]*LF2+1./2.*gamma2qg[idx]*gamma1gq[idx]*LQ2-gamma2qg[idx]*gamma1gq[idx]*LQ*LF+gamma1qg[idx]*gamma3gq[idx]*LF2+gamma1qg[idx]*gamma3gq[idx]*LQ2-gamma1qg[idx]*gamma3gq[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3-1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF-gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+1./4.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+2.*gamma2qq[idx]*gamma2qqbp[idx]*LF2+2.*gamma2qq[idx]*gamma2qqbp[idx]*LQ2-4.*gamma2qq[idx]*gamma2qqbp[idx]*LQ*LF+gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*gamma1qq[idx]*gamma3qqbp[idx]*LF2+2.*gamma1qq[idx]*gamma3qqbp[idx]*LQ2-3.*gamma1qq[idx]*gamma3qqbp[idx]*LQ*LF+gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3-3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+pow(gamma1qq[idx],2)*gamma2qqbp[idx]*LF3-pow(gamma1qq[idx],2)*gamma2qqbp[idx]*LQ3+3.*pow(gamma1qq[idx],2)*gamma2qqbp[idx]*LQ2*LF-7./2.*pow(gamma1qq[idx],2)*gamma2qqbp[idx]*LQ*LF2+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+17./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+C2qq[idx]*gamma2qqbp[idx]*LF-C2qq[idx]*gamma2qqbp[idx]*LQ+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2-C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma3qqbp[idx]*LF-C1qq[idx]*gamma3qqbp[idx]*LQ-C1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2-C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3-1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF-1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqbp[idx]*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqbp[idx]*LQ2-5.*C1qq[idx]*gamma1qq[idx]*gamma2qqbp[idx]*LQ*LF+4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+pow(C1qq[idx],2)*gamma2qqbp[idx]*LF-pow(C1qq[idx],2)*gamma2qqbp[idx]*LQ+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2-pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+1./2.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+beta1*gamma2qqbp[idx]*LF2-beta1*gamma2qqbp[idx]*LQ2+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma3qqbp[idx]*LF2-3./2.*beta0*gamma3qqbp[idx]*LQ2-beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3-1./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4-1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF-1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqbp[idx]*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqbp[idx]*LQ3-5./2.*beta0*gamma1qq[idx]*gamma2qqbp[idx]*LQ2*LF-2.*beta0*gamma1qq[idx]*gamma2qqbp[idx]*LQ*LF2+5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF4-5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*beta0*C1qq[idx]*gamma2qqbp[idx]*LF2-4.*beta0*C1qq[idx]*gamma2qqbp[idx]*LQ2+2.*beta0*C1qq[idx]*gamma2qqbp[idx]*LQ*LF+beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+2.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3-3.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+pow(beta0,2)*gamma2qqbp[idx]*LF3-pow(beta0,2)*gamma2qqbp[idx]*LQ3+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+B2*gamma2qqbp[idx]*LQ2-B2*gamma2qqbp[idx]*LQ*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+B1*gamma3qqbp[idx]*LQ2-B1*gamma3qqbp[idx]*LQ*LF+B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3-B1*gamma1qq[idx]*gamma2qqbp[idx]*LQ3+3.*B1*gamma1qq[idx]*gamma2qqbp[idx]*LQ2*LF-B1*gamma1qq[idx]*gamma2qqbp[idx]*LQ*LF2+5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4-5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*B1*C1qq[idx]*gamma2qqbp[idx]*LQ2-2.*B1*C1qq[idx]*gamma2qqbp[idx]*LQ*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*B1*beta0*gamma2qqbp[idx]*LQ3-1./2.*B1*beta0*gamma2qqbp[idx]*LQ2*LF-B1*beta0*gamma2qqbp[idx]*LQ*LF2-3./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4+B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3-1./2.*pow(B1,2)*gamma2qqbp[idx]*LQ3+1./2.*pow(B1,2)*gamma2qqbp[idx]*LQ2*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A2*gamma2qqbp[idx]*LQ3-1./2.*A2*gamma2qqbp[idx]*LQ2*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A1*gamma3qqbp[idx]*LQ3-1./2.*A1*gamma3qqbp[idx]*LQ2*LF+1./2.*A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2+1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5-1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2-1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3-1./2.*A1*gamma1qq[idx]*gamma2qqbp[idx]*LQ4+3./2.*A1*gamma1qq[idx]*gamma2qqbp[idx]*LQ3*LF-1./2.*A1*gamma1qq[idx]*gamma2qqbp[idx]*LQ2*LF2+5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5-5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+A1*C1qq[idx]*gamma2qqbp[idx]*LQ3-A1*C1qq[idx]*gamma2qqbp[idx]*LQ2*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+5./6.*A1*beta0*gamma2qqbp[idx]*LQ4-1./3.*A1*beta0*gamma2qqbp[idx]*LQ3*LF-1./2.*A1*beta0*gamma2qqbp[idx]*LQ2*LF2-5./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5+7./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./4.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3-1./2.*A1*B1*gamma2qqbp[idx]*LQ4+1./2.*A1*B1*gamma2qqbp[idx]*LQ3*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5-1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./8.*pow(A1,2)*gamma2qqbp[idx]*LQ5+1./8.*pow(A1,2)*gamma2qqbp[idx]*LQ4*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6-1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2;}
complex <double> muf::h4st_qqbp_qqb  (int idx) { return +gamma4qqp[idx]*LF-gamma4qqp[idx]*LQ+gamma2qqb[idx]*gamma2qqbp[idx]*LF2+gamma2qqb[idx]*gamma2qqbp[idx]*LQ2-2.*gamma2qqb[idx]*gamma2qqbp[idx]*LQ*LF+1./2.*gamma2qg[idx]*gamma1gq[idx]*LF2+1./2.*gamma2qg[idx]*gamma1gq[idx]*LQ2-gamma2qg[idx]*gamma1gq[idx]*LQ*LF+gamma1qg[idx]*gamma3gq[idx]*LF2+gamma1qg[idx]*gamma3gq[idx]*LQ2-gamma1qg[idx]*gamma3gq[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3-1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF-gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+1./4.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2-1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+2.*gamma2qq[idx]*gamma2qqp[idx]*LF2+2.*gamma2qq[idx]*gamma2qqp[idx]*LQ2-4.*gamma2qq[idx]*gamma2qqp[idx]*LQ*LF+gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+2.*gamma1qq[idx]*gamma3qqp[idx]*LF2+2.*gamma1qq[idx]*gamma3qqp[idx]*LQ2-3.*gamma1qq[idx]*gamma3qqp[idx]*LQ*LF+gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3-3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4+1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+pow(gamma1qq[idx],2)*gamma2qqp[idx]*LF3-pow(gamma1qq[idx],2)*gamma2qqp[idx]*LQ3+3.*pow(gamma1qq[idx],2)*gamma2qqp[idx]*LQ2*LF-7./2.*pow(gamma1qq[idx],2)*gamma2qqp[idx]*LQ*LF2+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+17./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+C2qq[idx]*gamma2qqp[idx]*LF-C2qq[idx]*gamma2qqp[idx]*LQ+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2-C2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma3qqp[idx]*LF-C1qq[idx]*gamma3qqp[idx]*LQ-C1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2-C1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3-1./6.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF-1./2.*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqp[idx]*LF2+2.*C1qq[idx]*gamma1qq[idx]*gamma2qqp[idx]*LQ2-5.*C1qq[idx]*gamma1qq[idx]*gamma2qqp[idx]*LQ*LF+4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3-4./3.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-4.*C1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+pow(C1qq[idx],2)*gamma2qqp[idx]*LF-pow(C1qq[idx],2)*gamma2qqp[idx]*LQ+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+1./2.*pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2-pow(C1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+1./2.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+beta1*gamma2qqp[idx]*LF2-beta1*gamma2qqp[idx]*LQ2+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma3qqp[idx]*LF2-3./2.*beta0*gamma3qqp[idx]*LQ2-beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3-1./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4-1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF-1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqp[idx]*LF3+3./2.*beta0*gamma1qq[idx]*gamma2qqp[idx]*LQ3-5./2.*beta0*gamma1qq[idx]*gamma2qqp[idx]*LQ2*LF-2.*beta0*gamma1qq[idx]*gamma2qqp[idx]*LQ*LF2+5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF4-5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*beta0*C1qq[idx]*gamma2qqp[idx]*LF2-4.*beta0*C1qq[idx]*gamma2qqp[idx]*LQ2+2.*beta0*C1qq[idx]*gamma2qqp[idx]*LQ*LF+beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+2.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3-3.*beta0*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+pow(beta0,2)*gamma2qqp[idx]*LF3-pow(beta0,2)*gamma2qqp[idx]*LQ3+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+B2*gamma2qqp[idx]*LQ2-B2*gamma2qqp[idx]*LQ*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+B1*gamma3qqp[idx]*LQ2-B1*gamma3qqp[idx]*LQ*LF+B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4-1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3-B1*gamma1qq[idx]*gamma2qqp[idx]*LQ3+3.*B1*gamma1qq[idx]*gamma2qqp[idx]*LQ2*LF-B1*gamma1qq[idx]*gamma2qqp[idx]*LQ*LF2+5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4-5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+2.*B1*C1qq[idx]*gamma2qqp[idx]*LQ2-2.*B1*C1qq[idx]*gamma2qqp[idx]*LQ*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+2.*B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF-B1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+3./2.*B1*beta0*gamma2qqp[idx]*LQ3-1./2.*B1*beta0*gamma2qqp[idx]*LQ2*LF-B1*beta0*gamma2qqp[idx]*LQ*LF2-3./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4+B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2-1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3-1./2.*pow(B1,2)*gamma2qqp[idx]*LQ3+1./2.*pow(B1,2)*gamma2qqp[idx]*LQ2*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4-1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A2*gamma2qqp[idx]*LQ3-1./2.*A2*gamma2qqp[idx]*LQ2*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+1./2.*A1*gamma3qqp[idx]*LQ3-1./2.*A1*gamma3qqp[idx]*LQ2*LF+1./2.*A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2+1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5-1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2-1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3-1./2.*A1*gamma1qq[idx]*gamma2qqp[idx]*LQ4+3./2.*A1*gamma1qq[idx]*gamma2qqp[idx]*LQ3*LF-1./2.*A1*gamma1qq[idx]*gamma2qqp[idx]*LQ2*LF2+5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5-5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+A1*C1qq[idx]*gamma2qqp[idx]*LQ3-A1*C1qq[idx]*gamma2qqp[idx]*LQ2*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF-1./2.*A1*C1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+5./6.*A1*beta0*gamma2qqp[idx]*LQ4-1./3.*A1*beta0*gamma2qqp[idx]*LQ3*LF-1./2.*A1*beta0*gamma2qqp[idx]*LQ2*LF2-5./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5+7./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./4.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3-1./2.*A1*B1*gamma2qqp[idx]*LQ4+1./2.*A1*B1*gamma2qqp[idx]*LQ3*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5-1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2-1./8.*pow(A1,2)*gamma2qqp[idx]*LQ5+1./8.*pow(A1,2)*gamma2qqp[idx]*LQ4*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6-1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2;}
complex <double> muf::h4st_gg_qqb    (int idx) { return +pow(gamma2qg[idx],2)*LF2+pow(gamma2qg[idx],2)*LQ2-2.*pow(gamma2qg[idx],2)*LQ*LF+2.*gamma1qg[idx]*gamma3qg[idx]*LF2+2.*gamma1qg[idx]*gamma3qg[idx]*LQ2-4.*gamma1qg[idx]*gamma3qg[idx]*LQ*LF+gamma1qg[idx]*gamma2qg[idx]*gamma1gg[idx]*LF3-gamma1qg[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ3+5.*gamma1qg[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF-5.*gamma1qg[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ*LF2+2.*pow(gamma1qg[idx],2)*gamma2qqbp[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2qqbp[idx]*LQ*LF2+2.*pow(gamma1qg[idx],2)*gamma2qqp[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2qqp[idx]*LQ*LF2+2.*pow(gamma1qg[idx],2)*gamma2qqb[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2qqb[idx]*LQ*LF2+2.*pow(gamma1qg[idx],2)*gamma2gg[idx]*LF3-2.*pow(gamma1qg[idx],2)*gamma2gg[idx]*LQ3+4.*pow(gamma1qg[idx],2)*gamma2gg[idx]*LQ2*LF-4.*pow(gamma1qg[idx],2)*gamma2gg[idx]*LQ*LF2+7./12.*pow(gamma1qg[idx],2)*pow(gamma1gg[idx],2)*LF4+7./12.*pow(gamma1qg[idx],2)*pow(gamma1gg[idx],2)*LQ4-7./3.*pow(gamma1qg[idx],2)*pow(gamma1gg[idx],2)*LQ3*LF+7./2.*pow(gamma1qg[idx],2)*pow(gamma1gg[idx],2)*LQ2*LF2-7./3.*pow(gamma1qg[idx],2)*pow(gamma1gg[idx],2)*LQ*LF3+2.*gamma2qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF-2.*gamma2qq[idx]*pow(gamma1qg[idx],2)*LQ*LF2+3.*gamma1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LF3-3.*gamma1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LQ3+7.*gamma1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LQ2*LF-7.*gamma1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LQ*LF2+5./6.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LF4+5./6.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ4-10./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ3*LF+5.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ2*LF2-10./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ*LF3+7./12.*pow(gamma1qq[idx],2)*pow(gamma1qg[idx],2)*LF4+7./12.*pow(gamma1qq[idx],2)*pow(gamma1qg[idx],2)*LQ4-7./3.*pow(gamma1qq[idx],2)*pow(gamma1qg[idx],2)*LQ3*LF+7./2.*pow(gamma1qq[idx],2)*pow(gamma1qg[idx],2)*LQ2*LF2-7./3.*pow(gamma1qq[idx],2)*pow(gamma1qg[idx],2)*LQ*LF3+2.*C2qq[idx]*pow(gamma1qg[idx],2)*LF2+2.*C2qq[idx]*pow(gamma1qg[idx],2)*LQ2-4.*C2qq[idx]*pow(gamma1qg[idx],2)*LQ*LF+4.*C1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LF2+4.*C1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LQ2-8.*C1qq[idx]*gamma1qg[idx]*gamma2qg[idx]*LQ*LF+2.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LF3-2.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ3+6.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ2*LF-6.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ*LF2+2.*C1qq[idx]*gamma1qq[idx]*pow(gamma1qg[idx],2)*LF3-2.*C1qq[idx]*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ3+6.*C1qq[idx]*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF-6.*C1qq[idx]*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ*LF2+pow(C1qq[idx],2)*pow(gamma1qg[idx],2)*LF2+pow(C1qq[idx],2)*pow(gamma1qg[idx],2)*LQ2-2.*pow(C1qq[idx],2)*pow(gamma1qg[idx],2)*LQ*LF+2./3.*double(NF)*pow(gamma1qg[idx],3)*gamma1gq[idx]*LF4+2./3.*double(NF)*pow(gamma1qg[idx],3)*gamma1gq[idx]*LQ4-8./3.*double(NF)*pow(gamma1qg[idx],3)*gamma1gq[idx]*LQ3*LF+4.*double(NF)*pow(gamma1qg[idx],3)*gamma1gq[idx]*LQ2*LF2-8./3.*double(NF)*pow(gamma1qg[idx],3)*gamma1gq[idx]*LQ*LF3+beta1*pow(gamma1qg[idx],2)*LF3+beta1*pow(gamma1qg[idx],2)*LQ3-beta1*pow(gamma1qg[idx],2)*LQ2*LF-beta1*pow(gamma1qg[idx],2)*LQ*LF2+3.*beta0*gamma1qg[idx]*gamma2qg[idx]*LF3+3.*beta0*gamma1qg[idx]*gamma2qg[idx]*LQ3-3.*beta0*gamma1qg[idx]*gamma2qg[idx]*LQ2*LF-3.*beta0*gamma1qg[idx]*gamma2qg[idx]*LQ*LF2+3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gg[idx]*LF4-3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ4+3.*beta0*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ3*LF-3.*beta0*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ*LF3+3./2.*beta0*gamma1qq[idx]*pow(gamma1qg[idx],2)*LF4-3./2.*beta0*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ4+3.*beta0*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ3*LF-3.*beta0*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ*LF3+2.*beta0*C1qq[idx]*pow(gamma1qg[idx],2)*LF3+4.*beta0*C1qq[idx]*pow(gamma1qg[idx],2)*LQ3-6.*beta0*C1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF+11./12.*pow(beta0,2)*pow(gamma1qg[idx],2)*LF4+11./12.*pow(beta0,2)*pow(gamma1qg[idx],2)*LQ4-2./3.*pow(beta0,2)*pow(gamma1qg[idx],2)*LQ3*LF-1./2.*pow(beta0,2)*pow(gamma1qg[idx],2)*LQ2*LF2-2./3.*pow(beta0,2)*pow(gamma1qg[idx],2)*LQ*LF3-B2*pow(gamma1qg[idx],2)*LQ3+2.*B2*pow(gamma1qg[idx],2)*LQ2*LF-B2*pow(gamma1qg[idx],2)*LQ*LF2-2.*B1*gamma1qg[idx]*gamma2qg[idx]*LQ3+4.*B1*gamma1qg[idx]*gamma2qg[idx]*LQ2*LF-2.*B1*gamma1qg[idx]*gamma2qg[idx]*LQ*LF2+B1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ4-3.*B1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ3*LF+3.*B1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ2*LF2-B1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ*LF3+B1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ4-3.*B1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ3*LF+3.*B1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF2-B1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ*LF3-2.*B1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ3+4.*B1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF-2.*B1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ*LF2-3./2.*B1*beta0*pow(gamma1qg[idx],2)*LQ4+2.*B1*beta0*pow(gamma1qg[idx],2)*LQ3*LF+1./2.*B1*beta0*pow(gamma1qg[idx],2)*LQ2*LF2-B1*beta0*pow(gamma1qg[idx],2)*LQ*LF3+1./2.*pow(B1,2)*pow(gamma1qg[idx],2)*LQ4-pow(B1,2)*pow(gamma1qg[idx],2)*LQ3*LF+1./2.*pow(B1,2)*pow(gamma1qg[idx],2)*LQ2*LF2-1./2.*A2*pow(gamma1qg[idx],2)*LQ4+A2*pow(gamma1qg[idx],2)*LQ3*LF-1./2.*A2*pow(gamma1qg[idx],2)*LQ2*LF2-A1*gamma1qg[idx]*gamma2qg[idx]*LQ4+2.*A1*gamma1qg[idx]*gamma2qg[idx]*LQ3*LF-A1*gamma1qg[idx]*gamma2qg[idx]*LQ2*LF2+1./2.*A1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ5-3./2.*A1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ4*LF+3./2.*A1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ3*LF2-1./2.*A1*pow(gamma1qg[idx],2)*gamma1gg[idx]*LQ2*LF3+1./2.*A1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ5-3./2.*A1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ4*LF+3./2.*A1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ3*LF2-1./2.*A1*gamma1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF3-A1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ4+2.*A1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ3*LF-A1*C1qq[idx]*pow(gamma1qg[idx],2)*LQ2*LF2-5./6.*A1*beta0*pow(gamma1qg[idx],2)*LQ5+7./6.*A1*beta0*pow(gamma1qg[idx],2)*LQ4*LF+1./6.*A1*beta0*pow(gamma1qg[idx],2)*LQ3*LF2-1./2.*A1*beta0*pow(gamma1qg[idx],2)*LQ2*LF3+1./2.*A1*B1*pow(gamma1qg[idx],2)*LQ5-A1*B1*pow(gamma1qg[idx],2)*LQ4*LF+1./2.*A1*B1*pow(gamma1qg[idx],2)*LQ3*LF2+1./8.*pow(A1,2)*pow(gamma1qg[idx],2)*LQ6-1./4.*pow(A1,2)*pow(gamma1qg[idx],2)*LQ5*LF+1./8.*pow(A1,2)*pow(gamma1qg[idx],2)*LQ4*LF2;}
complex <double> muf::h4st_qbg_qqb   (int idx) { return +gamma2qg[idx]*gamma2qqb[idx]*LF2+gamma2qg[idx]*gamma2qqb[idx]*LQ2-2.*gamma2qg[idx]*gamma2qqb[idx]*LQ*LF+gamma1qg[idx]*gamma3qqb[idx]*LF2+gamma1qg[idx]*gamma3qqb[idx]*LQ2-2.*gamma1qg[idx]*gamma3qqb[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqb[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqb[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqb[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3-1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+pow(gamma1qg[idx],2)*gamma2gq[idx]*LF3-pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ3+2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ*LF2+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+5./2.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+7./2.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LF2+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ2-4.*C1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF+C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3-C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF-3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ3-3./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-3./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4-3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF-3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-B1*gamma1qg[idx]*gamma2qqb[idx]*LQ3+2.*B1*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-1./2.*A1*gamma1qg[idx]*gamma2qqb[idx]*LQ4+A1*gamma1qg[idx]*gamma2qqb[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF2+1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5-3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2-1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3;}
complex <double> muf::h4st_qpg_qqb   (int idx) { return +gamma2qg[idx]*gamma2qqp[idx]*LF2+gamma2qg[idx]*gamma2qqp[idx]*LQ2-2.*gamma2qg[idx]*gamma2qqp[idx]*LQ*LF+gamma1qg[idx]*gamma3qqp[idx]*LF2+gamma1qg[idx]*gamma3qqp[idx]*LQ2-2.*gamma1qg[idx]*gamma3qqp[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3-1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+pow(gamma1qg[idx],2)*gamma2gq[idx]*LF3-pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ3+2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ*LF2+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+5./2.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF-5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+7./2.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LF2+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ2-4.*C1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF+C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3-C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF-3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ3-3./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF-3./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2+3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4-3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF-3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-B1*gamma1qg[idx]*gamma2qqp[idx]*LQ3+2.*B1*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2+1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-1./2.*A1*gamma1qg[idx]*gamma2qqp[idx]*LQ4+A1*gamma1qg[idx]*gamma2qqp[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF2+1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5-3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2-1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3;}
complex <double> muf::h4st_qbpg_qqb  (int idx) { return +gamma2qg[idx]*gamma2qqbp[idx]*LF2+gamma2qg[idx]*gamma2qqbp[idx]*LQ2-2.*gamma2qg[idx]*gamma2qqbp[idx]*LQ*LF+gamma1qg[idx]*gamma3qqbp[idx]*LF2+gamma1qg[idx]*gamma3qqbp[idx]*LQ2-2.*gamma1qg[idx]*gamma3qqbp[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqbp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqbp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3-1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF-5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+pow(gamma1qg[idx],2)*gamma2gq[idx]*LF3-pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ3+2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ2*LF-2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ*LF2+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+5./2.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2-5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ3+5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF-5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+7./2.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LF2+2.*C1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ2-4.*C1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF+C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3-C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF-3.*C1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+3./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LF3+3./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ3-3./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF-3./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2+3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4-3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF-3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-B1*gamma1qg[idx]*gamma2qqbp[idx]*LQ3+2.*B1*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF-B1*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4-3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2-1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3-1./2.*A1*gamma1qg[idx]*gamma2qqbp[idx]*LQ4+A1*gamma1qg[idx]*gamma2qqbp[idx]*LQ3*LF-1./2.*A1*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF2+1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5-3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2-1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3;}
complex <double> muf::h4st_qbq_qqb   (int idx) { return +pow(gamma2qqb[idx],2)*LF2+pow(gamma2qqb[idx],2)*LQ2-2.*pow(gamma2qqb[idx],2)*LQ*LF+gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
complex <double> muf::h4st_qbqp_qqb  (int idx) { return +gamma2qqb[idx]*gamma2qqbp[idx]*LF2+gamma2qqb[idx]*gamma2qqbp[idx]*LQ2-2.*gamma2qqb[idx]*gamma2qqbp[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
complex <double> muf::h4st_qbqbp_qqb (int idx) { return +gamma2qqb[idx]*gamma2qqp[idx]*LF2+gamma2qqb[idx]*gamma2qqp[idx]*LQ2-2.*gamma2qqb[idx]*gamma2qqp[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
complex <double> muf::h4st_qpqp_qqb  (int idx) { return +gamma2qqp[idx]*gamma2qqbp[idx]*LF2+gamma2qqp[idx]*gamma2qqbp[idx]*LQ2-2.*gamma2qqp[idx]*gamma2qqbp[idx]*LQ*LF+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-3./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
complex <double> muf::h4st_qpqbp_qqb (int idx) { return +pow(gamma2qqp[idx],2)*LF2+pow(gamma2qqp[idx],2)*LQ2-2.*pow(gamma2qqp[idx],2)*LQ*LF+gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF-3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
complex <double> muf::h4st_qbpqp_qqb (int idx) { return +pow(gamma2qqbp[idx],2)*LF2+pow(gamma2qqbp[idx],2)*LQ2-2.*pow(gamma2qqbp[idx],2)*LQ*LF+gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3-gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF-3.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2-pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3;}
