#include "muf.h"
#include "resint.h"
#include "pmom.h"
#include "mesq.h"
#include "settings.h"
#include "ccoeff.h"
#include "resconst.h"

using namespace pmom;
using namespace resconst;
using namespace ccoeff;

complex <double> muf::h4st_qq    (int idx ) {return + 1./2.*gamma2qqp[idx]*gamma2qqbp[idx]*LF2+ 1./2.*gamma2qqp[idx]*gamma2qqbp[idx]*LQ2- gamma2qqp[idx]*gamma2qqbp[idx]*LQ*LF+ 1./2.*gamma2qqp[idx]*gamma2qqbp[idx]*LF2+ 1./2.*gamma2qqp[idx]*gamma2qqbp[idx]*LQ2- gamma2qqp[idx]*gamma2qqbp[idx]*LQ*LF+ gamma4qqb[idx]*LF- gamma4qqb[idx]*LQ+ 1./2.*gamma2qg[idx]*gamma1gq[idx]*LF2+ 1./2.*gamma2qg[idx]*gamma1gq[idx]*LQ2- gamma2qg[idx]*gamma1gq[idx]*LQ*LF+ gamma1qg[idx]*gamma3gq[idx]*LF2+ gamma1qg[idx]*gamma3gq[idx]*LQ2- gamma1qg[idx]*gamma3gq[idx]*LQ*LF + 1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3- 1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+ 1./2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF- gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+ 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LF3- 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ3+ 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ2*LF- gamma1qg[idx]*gamma1gq[idx]*gamma2qqbp[idx]*LQ*LF2+ 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LF3- 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ3+ 1./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ2*LF- gamma1qg[idx]*gamma1gq[idx]*gamma2qqp[idx]*LQ*LF2+ gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF3- gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ3+ 2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2*LF - 5./2.*gamma1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF2+ 1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+ 1./24.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4- 1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+ 1./4.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2- 1./6.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+ 1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+ 1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4- pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+ 3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2- pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+ 2.*gamma2qq[idx]*gamma2qqb[idx]*LF2+ 2.*gamma2qq[idx]*gamma2qqb[idx]*LQ2- 4.*gamma2qq[idx]*gamma2qqb[idx]*LQ*LF+ gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3 - gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 5./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 2.*gamma1qq[idx]*gamma3qqb[idx]*LF2+ 2.*gamma1qq[idx]*gamma3qqb[idx]*LQ2- 3.*gamma1qq[idx]*gamma3qqb[idx]*LQ*LF+ gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ 3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3- 3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+ 5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- 3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+ 1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4+ 1./4.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4- gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF + 3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]* gamma1gg[idx]*LQ2*LF2- gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ pow(gamma1qq[idx],2)*gamma2qqb[idx]*LF3- pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ3+ 3.*pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ2*LF- 7./2.*pow(gamma1qq[idx],2)*gamma2qqb[idx]*LQ*LF2+ 17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+ 17./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- 17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 17./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 17./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF2+ EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2- 2.*EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF + EC1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LF2+ EC1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ2- 2.*EC1qg[idx]*gamma1gq[idx]*gamma2qqb[idx]*LQ*LF+ EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LF3- EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ3+ 3.*EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ2*LF- 3.*EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ*LF2+ EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LF2+ EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LQ2- 2.*EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LQ*LF+ EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LF2+ EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LQ2- 2.*EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LQ*LF+ 1./2.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3- 1./2.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3 + 3./2.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]* LQ2*LF- 3./2.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+ EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LF3- EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ3+ 3.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ2*LF- 3.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ*LF2+ pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LF2+ pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2- 2.*pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF+ EC3qqb[idx]*gamma1qq[idx]*LF- EC3qqb[idx]*gamma1qq[idx]*LQ+ 1./2.*EC2qqb[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ 1./2.*EC2qqb[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- EC2qqb[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF + EC2qqb[idx]*gamma2qq[idx]*LF- EC2qqb[idx]*gamma2qq[idx]*LQ+ 1./2.*EC2qqb[idx]*pow(gamma1qq[idx],2)*LF2+ 1./2.*EC2qqb[idx]*pow(gamma1qq[idx],2)*LQ2- EC2qqb[idx]*pow(gamma1qq[idx],2)*LQ*LF+ EC2qqb[idx]*EC1qg[idx]*gamma1gq[idx]*LF- EC2qqb[idx]*EC1qg[idx]*gamma1gq[idx]*LQ+ EC2qq[idx]*gamma2qqb[idx]*LF- EC2qq[idx]*gamma2qqb[idx]*LQ+ 1./2.*EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ 1./2.*EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ EC2qq[idx]*EC1qg[idx]*gamma1gq[idx]*LF- EC2qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ+ EC1qq[idx]*gamma3qqb[idx]*LF - EC1qq[idx]*gamma3qqb[idx]*LQ- EC1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+ EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+ EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2- EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+ 1./6.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3- 1./6.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ 1./2.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+ 2.*EC1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LF2+ 2.*EC1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LQ2- 5.*EC1qq[idx]*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF+ 4./3.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3- 4./3.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 4.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF - 4.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ* LF2+ EC1qq[idx]*EC2qg[idx]*gamma1gq[idx]*LF- EC1qq[idx]*EC2qg[idx]*gamma1gq[idx]*LQ+ EC1qq[idx]*EC1qg[idx]*gamma2gq[idx]*LF- EC1qq[idx]*EC1qg[idx]*gamma2gq[idx]*LQ+ 1./2.*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF2+ 1./2.*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2- EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF+ 3./2.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF2+ 3./2.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2- 3.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF+ EC1qq[idx]*EC2qqb[idx]*gamma1qq[idx]*LF- EC1qq[idx]*EC2qqb[idx]*gamma1qq[idx]*LQ+ pow(EC1qq[idx],2)*gamma2qqb[idx]*LF - pow(EC1qq[idx],2)*gamma2qqb[idx]*LQ+ 1./2.*pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+ 1./2.*pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2- pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ 1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+ 1./12.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4- 1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+ 1./2.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2- 1./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3+ beta1*gamma2qqb[idx]*LF2- beta1*gamma2qqb[idx]*LQ2+ 1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+ 1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3- 1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 1./2.*beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2 + 1./2.*beta1*EC1qg[idx]*gamma1gq[idx]*LF2- 3./2.*beta1*EC1qg[idx]*gamma1gq[idx]*LQ2+ beta1*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ 3./2.*beta0*gamma3qqb[idx]*LF2- 3./2.*beta0*gamma3qqb[idx]*LQ2- beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- 1./2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ 3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+ 3./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3- 1./2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+ 1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4- 1./4.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+ 1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF- 1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3 + 3./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LF3+ 3./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ3- 5./2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF- 2.*beta0*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF2+ 5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF4- 5./4.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+ 5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 1./2.*beta0*EC2qg[idx]*gamma1gq[idx]*LF2- 5./2.*beta0*EC2qg[idx]*gamma1gq[idx]*LQ2+ 2.*beta0*EC2qg[idx]*gamma1gq[idx]*LQ*LF+ beta0*EC1qg[idx]*gamma2gq[idx]*LF2- 2.*beta0*EC1qg[idx]*gamma2gq[idx]*LQ2+ beta0*EC1qg[idx]*gamma2gq[idx]*LQ*LF+ 1./2.*beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3 + beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3- 3./2.*beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF+ 3./2.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF3+ 3.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3- 9./2.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*beta0*EC2qqb[idx]*gamma1qq[idx]*LF2- 5./2.*beta0*EC2qqb[idx]*gamma1qq[idx]*LQ2+ 2.*beta0*EC2qqb[idx]*gamma1qq[idx]*LQ*LF+ 2.*beta0*EC1qq[idx]*gamma2qqb[idx]*LF2- 4.*beta0*EC1qq[idx]*gamma2qqb[idx]*LQ2+ 2.*beta0*EC1qq[idx]*gamma2qqb[idx]*LQ*LF+ beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+ 2.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3- 3.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LF2 - 5./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2+ 2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ pow(beta0,2)*gamma2qqb[idx]*LF3- pow(beta0,2)*gamma2qqb[idx]*LQ3+ 11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+ 11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- 1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 1./3.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LF3- 11./6.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ3+ pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ*LF2+ B2*gamma2qqb[idx]*LQ2- B2*gamma2qqb[idx]*LQ*LF - 1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+ B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 1./2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ B2*EC1qg[idx]*gamma1gq[idx]*LQ2- B2*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ B1*gamma3qqb[idx]*LQ2- B1*gamma3qqb[idx]*LQ*LF+ B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+ B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+ 1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4- 1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+ 1./2.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 1./6.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3 - B1*gamma1qq[idx]*gamma2qqb[idx]*LQ3+ 3.*B1*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF- B1*gamma1qq[idx]*gamma2qqb[idx]*LQ*LF2+ 5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4- 5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 5./2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 5./6.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ B1*EC2qg[idx]*gamma1gq[idx]*LQ2- B1*EC2qg[idx]*gamma1gq[idx]*LQ*LF+ B1*EC1qg[idx]*gamma2gq[idx]*LQ2- B1*EC1qg[idx]*gamma2gq[idx]*LQ*LF- 1./2.*B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2- 3./2.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3 + 3.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF- 3./2.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF2+ B1*EC2qqb[idx]*gamma1qq[idx]*LQ2- B1*EC2qqb[idx]*gamma1qq[idx]*LQ*LF+ 2.*B1*EC1qq[idx]*gamma2qqb[idx]*LQ2- 2.*B1*EC1qq[idx]*gamma2qqb[idx]*LQ*LF- B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 2.*B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ B1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2- B1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ 3./2.*B1*beta0*gamma2qqb[idx]*LQ3- 1./2.*B1*beta0*gamma2qqb[idx]*LQ2*LF- B1*beta0*gamma2qqb[idx]*LQ*LF2- 3./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4 + B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 1./4.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 2.*B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ3- 3./2.*B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ2*LF- 1./2.*B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ*LF2- 1./2.*pow(B1,2)*gamma2qqb[idx]*LQ3+ 1./2.*pow(B1,2)*gamma2qqb[idx]*LQ2*LF+ 1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- 1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 1./2.*pow(B1,2)*EC1qg[idx]*gamma1gq[idx]*LQ3+ 1./2.*pow(B1,2)*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*A2*gamma2qqb[idx]*LQ3- 1./2.*A2*gamma2qqb[idx]*LQ2*LF - 1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+ 1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./4.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 1./2.*A2*EC1qg[idx]*gamma1gq[idx]*LQ3- 1./2.*A2*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*A1*gamma3qqb[idx]*LQ3- 1./2.*A1*gamma3qqb[idx]*LQ2*LF+ 1./2.*A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+ 1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF- 1./2.*A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2+ 1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5- 1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+ 1./4.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2- 1./12.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3 - 1./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ4+ 3./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ3*LF- 1./2.*A1*gamma1qq[idx]*gamma2qqb[idx]*LQ2*LF2+ 5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5- 5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 5./4.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- 5./12.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+ 1./2.*A1*EC2qg[idx]*gamma1gq[idx]*LQ3- 1./2.*A1*EC2qg[idx]*gamma1gq[idx]*LQ2*LF+ 1./2.*A1*EC1qg[idx]*gamma2gq[idx]*LQ3- 1./2.*A1*EC1qg[idx]*gamma2gq[idx]*LQ2*LF- 1./4.*A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+ 1./2.*A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF- 1./4.*A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 3./4.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ4 + 3./2.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3*LF- 3./4.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF2+ 1./2.*A1*EC2qqb[idx]*gamma1qq[idx]*LQ3- 1./2.*A1*EC2qqb[idx]*gamma1qq[idx]*LQ2*LF+ A1*EC1qq[idx]*gamma2qqb[idx]*LQ3- A1*EC1qq[idx]*gamma2qqb[idx]*LQ2*LF- 1./2.*A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+ A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ3- 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ 5./6.*A1*beta0*gamma2qqb[idx]*LQ4- 1./3.*A1*beta0*gamma2qqb[idx]*LQ3*LF- 1./2.*A1*beta0*gamma2qqb[idx]*LQ2*LF2- 5./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5 + 7./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 1./12.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- 1./4.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+ 13./12.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ4- 5./6.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./4.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ2*LF2- 1./2.*A1*B1*gamma2qqb[idx]*LQ4+ 1./2.*A1*B1*gamma2qqb[idx]*LQ3*LF+ 1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5- 1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 1./4.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- 1./2.*A1*B1*EC1qg[idx]*gamma1gq[idx]*LQ4+ 1./2.*A1*B1*EC1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./8.*pow(A1,2)*gamma2qqb[idx]*LQ5+ 1./8.*pow(A1,2)*gamma2qqb[idx]*LQ4*LF  + 1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6- 1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+ 1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2- 1./8.*pow(A1,2)*EC1qg[idx]*gamma1gq[idx]*LQ5+ 1./8.*pow(A1,2)*EC1qg[idx]*gamma1gq[idx]*LQ4*LF ;}
